package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * ERP管理-WBS编号对象 erp_wbsbh
 *
 * @author ruoyi
 * @date 2025-02-17
 */
public class ErpWbsbh extends BaseEntity
{
        private static final long serialVersionUID = 1L;

        /** 主键 */
        private Long id;

        /** 课题id */
        @Excel(name = "课题id")
        private String project_id;

        /** 课题名称 */
        @Excel(name = "课题名称")
        private String project_name;

        /** wbs课题名称 */
        @Excel(name = "wbs课题名称")
        private String wbs_project_name;

        /** wbs层次 */
        @Excel(name = "wbs层次")
        private String wbs_cc;

        /** wbs编号 */
        @Excel(name = "wbs编号")
        private String wbs_bh;

        /** wbs描述 */
        @Excel(name = "wbs描述")
        private String wbs_ms;

        /** 项目负责人id */
        @Excel(name = "项目负责人id")
        private String xmfzr_id;

        /** 项目负责人 */
        @Excel(name = "项目负责人")
        private String xmfzr;

        /** 技术首席id */
        @Excel(name = "技术首席id")
        private String jssx_id;

        /** 技术首席 */
        @Excel(name = "技术首席")
        private String jssx;

        /** 指定负责人id */
        @Excel(name = "指定负责人id")
        private String zdfzr_id;

        /** 指定负责人 */
        @Excel(name = "指定负责人")
        private String zdfzr;

        /** 代理人id */
        @Excel(name = "代理人id")
        private String dlr_id;

        /** 代理人 */
        @Excel(name = "代理人")
        private String dlr;

        /** 成本中心 */
        @Excel(name = "成本中心")
        private String cbzx;

        /** wbs建立时间 */
        @Excel(name = "wbs建立时间")
        private String wbsjlsj;

        /** wbs关闭时间 */
        @Excel(name = "wbs关闭时间")
        private String wbsgbsj;

        /** 单位id */
        @Excel(name = "单位id")
        private String org_id;

        /** 单位名称 */
        @Excel(name = "单位名称")
        private String org_name;

        /** 创建人 */
        @Excel(name = "创建人")
        private String created_by;

        /** 创建时间 */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date created_time;

        /** 更新人 */
        private String update_by;

        /** 更新时间 */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date update_time;

        /** 项目级别 */
        @Excel(name = "项目级别")
        private String ext1;

        /** 备用2 */
        @Excel(name = "备用2")
        private String ext2;

        /** 备用3 */
        @Excel(name = "备用3")
        private String ext3;

        public void setId(Long id)
        {
                this.id = id;
        }

        public Long getId()
        {
                return id;
        }
        public void setProject_id(String project_id)
        {
                this.project_id = project_id;
        }

        public String getProject_id()
        {
                return project_id;
        }
        public void setProject_name(String project_name)
        {
                this.project_name = project_name;
        }

        public String getProject_name()
        {
                return project_name;
        }
        public void setWbs_project_name(String wbs_project_name)
        {
                this.wbs_project_name = wbs_project_name;
        }

        public String getWbs_project_name()
        {
                return wbs_project_name;
        }
        public void setWbs_cc(String wbs_cc)
        {
                this.wbs_cc = wbs_cc;
        }

        public String getWbs_cc()
        {
                return wbs_cc;
        }
        public void setWbs_bh(String wbs_bh)
        {
                this.wbs_bh = wbs_bh;
        }

        public String getWbs_bh()
        {
                return wbs_bh;
        }
        public void setWbs_ms(String wbs_ms)
        {
                this.wbs_ms = wbs_ms;
        }

        public String getWbs_ms()
        {
                return wbs_ms;
        }
        public void setXmfzr_id(String xmfzr_id)
        {
                this.xmfzr_id = xmfzr_id;
        }

        public String getXmfzr_id()
        {
                return xmfzr_id;
        }
        public void setXmfzr(String xmfzr)
        {
                this.xmfzr = xmfzr;
        }

        public String getXmfzr()
        {
                return xmfzr;
        }
        public void setJssx_id(String jssx_id)
        {
                this.jssx_id = jssx_id;
        }

        public String getJssx_id()
        {
                return jssx_id;
        }
        public void setJssx(String jssx)
        {
                this.jssx = jssx;
        }

        public String getJssx()
        {
                return jssx;
        }
        public void setZdfzr_id(String zdfzr_id)
        {
                this.zdfzr_id = zdfzr_id;
        }

        public String getZdfzr_id()
        {
                return zdfzr_id;
        }
        public void setZdfzr(String zdfzr)
        {
                this.zdfzr = zdfzr;
        }

        public String getZdfzr()
        {
                return zdfzr;
        }
        public void setDlr_id(String dlr_id)
        {
                this.dlr_id = dlr_id;
        }

        public String getDlr_id()
        {
                return dlr_id;
        }
        public void setDlr(String dlr)
        {
                this.dlr = dlr;
        }

        public String getDlr()
        {
                return dlr;
        }
        public void setCbzx(String cbzx)
        {
                this.cbzx = cbzx;
        }

        public String getCbzx()
        {
                return cbzx;
        }
        public void setWbsjlsj(String wbsjlsj)
        {
                this.wbsjlsj = wbsjlsj;
        }

        public String getWbsjlsj()
        {
                return wbsjlsj;
        }
        public void setWbsgbsj(String wbsgbsj)
        {
                this.wbsgbsj = wbsgbsj;
        }

        public String getWbsgbsj()
        {
                return wbsgbsj;
        }
        public void setOrg_id(String org_id)
        {
                this.org_id = org_id;
        }

        public String getOrg_id()
        {
                return org_id;
        }
        public void setOrg_name(String org_name)
        {
                this.org_name = org_name;
        }

        public String getOrg_name()
        {
                return org_name;
        }
        public void setCreated_by(String created_by)
        {
                this.created_by = created_by;
        }

        public String getCreated_by()
        {
                return created_by;
        }
        public void setCreated_time(Date created_time)
        {
                this.created_time = created_time;
        }

        public Date getCreated_time()
        {
                return created_time;
        }
        public void setUpdate_by(String update_by)
        {
                this.update_by = update_by;
        }

        public String getUpdate_by()
        {
                return update_by;
        }
        public void setUpdate_time(Date update_time)
        {
                this.update_time = update_time;
        }

        public Date getUpdate_time()
        {
                return update_time;
        }
        public void setExt1(String ext1)
        {
                this.ext1 = ext1;
        }

        public String getExt1()
        {
                return ext1;
        }
        public void setExt2(String ext2)
        {
                this.ext2 = ext2;
        }

        public String getExt2()
        {
                return ext2;
        }
        public void setExt3(String ext3)
        {
                this.ext3 = ext3;
        }

        public String getExt3()
        {
                return ext3;
        }

        @Override
        public String toString() {
                return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                        .append("id", getId())
                        .append("project_id", getProject_id())
                        .append("project_name", getProject_name())
                        .append("wbs_project_name", getWbs_project_name())
                        .append("wbs_cc", getWbs_cc())
                        .append("wbs_bh", getWbs_bh())
                        .append("wbs_ms", getWbs_ms())
                        .append("xmfzr_id", getXmfzr_id())
                        .append("xmfzr", getXmfzr())
                        .append("jssx_id", getJssx_id())
                        .append("jssx", getJssx())
                        .append("zdfzr_id", getZdfzr_id())
                        .append("zdfzr", getZdfzr())
                        .append("dlr_id", getDlr_id())
                        .append("dlr", getDlr())
                        .append("cbzx", getCbzx())
                        .append("wbsjlsj", getWbsjlsj())
                        .append("wbsgbsj", getWbsgbsj())
                        .append("org_id", getOrg_id())
                        .append("org_name", getOrg_name())
                        .append("remark", getRemark())
                        .append("created_by", getCreated_by())
                        .append("created_time", getCreated_time())
                        .append("update_by", getUpdate_by())
                        .append("update_time", getUpdate_time())
                        .append("ext1", getExt1())
                        .append("ext2", getExt2())
                        .append("ext3", getExt3())
                        .toString();
        }
}
