package com.ruoyi.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同（任务书）项目（课题）基本信息对象 history_project_htrws_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtrwsJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 合同签订时间 */
    @Excel(name = "合同签订时间")
    private String htqdsj;

    /** 合同编号 */
    @Excel(name = "合同编号")
    private String htbh;

    /** 合同分类 */
    @Excel(name = "合同分类")
    private String htfl;

    /** 合同类型 */
    @Excel(name = "合同类型")
    private String htlx;

    /** 委托方 */
    @Excel(name = "委托方")
    private String wtf;

    /** 受托方 */
    @Excel(name = "受托方")
    private String stf;

    /** 签订地点 */
    @Excel(name = "签订地点")
    private String qddd;

    /** 有效期限 */
    @Excel(name = "有效期限")
    private String yxqx;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String xmfzr;

    /** 技术首席 */
    @Excel(name = "技术首席")
    private String jssx;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String kssj;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String jssj;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String xmjb;

    /** 技术目标 */
    @Excel(name = "技术目标")
    private String jsmb;

    /** 主要研究内容 */
    @Excel(name = "主要研究内容")
    private String zyyjnr;

    /** 技术方法和路线 */
    @Excel(name = "技术方法和路线")
    private String jsffhlx;

    /** 技术经济指标 */
    @Excel(name = "技术经济指标")
    private String jsjjzb;

    /** 知识产权目标 */
    @Excel(name = "知识产权目标")
    private String zscqmb;

    /** 经费来源 */
    @Excel(name = "经费来源")
    private String jfly;

    /** 受托方经费使用类型 */
    @Excel(name = "受托方经费使用类型")
    private String jfsylx;

    /** 经费总额 */
    @Excel(name = "经费总额")
    private BigDecimal jfze;

    /** 是否开票 */
    @Excel(name = "是否开票")
    private String sfkp;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setHtqdsj(String htqdsj)
    {
        this.htqdsj = htqdsj;
    }

    public String getHtqdsj()
    {
        return htqdsj;
    }
    public void setHtbh(String htbh)
    {
        this.htbh = htbh;
    }

    public String getHtbh()
    {
        return htbh;
    }
    public void setHtfl(String htfl)
    {
        this.htfl = htfl;
    }

    public String getHtfl()
    {
        return htfl;
    }
    public void setHtlx(String htlx)
    {
        this.htlx = htlx;
    }

    public String getHtlx()
    {
        return htlx;
    }
    public void setWtf(String wtf)
    {
        this.wtf = wtf;
    }

    public String getWtf()
    {
        return wtf;
    }
    public void setStf(String stf)
    {
        this.stf = stf;
    }

    public String getStf()
    {
        return stf;
    }
    public void setQddd(String qddd)
    {
        this.qddd = qddd;
    }

    public String getQddd()
    {
        return qddd;
    }
    public void setYxqx(String yxqx)
    {
        this.yxqx = yxqx;
    }

    public String getYxqx()
    {
        return yxqx;
    }
    public void setXmfzr(String xmfzr)
    {
        this.xmfzr = xmfzr;
    }

    public String getXmfzr()
    {
        return xmfzr;
    }
    public void setJssx(String jssx)
    {
        this.jssx = jssx;
    }

    public String getJssx()
    {
        return jssx;
    }
    public void setKssj(String kssj)
    {
        this.kssj = kssj;
    }

    public String getKssj()
    {
        return kssj;
    }
    public void setJssj(String jssj)
    {
        this.jssj = jssj;
    }

    public String getJssj()
    {
        return jssj;
    }
    public void setXmjb(String xmjb)
    {
        this.xmjb = xmjb;
    }

    public String getXmjb()
    {
        return xmjb;
    }
    public void setJsmb(String jsmb)
    {
        this.jsmb = jsmb;
    }

    public String getJsmb()
    {
        return jsmb;
    }
    public void setZyyjnr(String zyyjnr)
    {
        this.zyyjnr = zyyjnr;
    }

    public String getZyyjnr()
    {
        return zyyjnr;
    }
    public void setJsffhlx(String jsffhlx)
    {
        this.jsffhlx = jsffhlx;
    }

    public String getJsffhlx()
    {
        return jsffhlx;
    }
    public void setJsjjzb(String jsjjzb)
    {
        this.jsjjzb = jsjjzb;
    }

    public String getJsjjzb()
    {
        return jsjjzb;
    }
    public void setZscqmb(String zscqmb)
    {
        this.zscqmb = zscqmb;
    }

    public String getZscqmb()
    {
        return zscqmb;
    }
    public void setJfly(String jfly)
    {
        this.jfly = jfly;
    }

    public String getJfly()
    {
        return jfly;
    }
    public void setJfsylx(String jfsylx)
    {
        this.jfsylx = jfsylx;
    }

    public String getJfsylx()
    {
        return jfsylx;
    }
    public void setJfze(BigDecimal jfze)
    {
        this.jfze = jfze;
    }

    public BigDecimal getJfze()
    {
        return jfze;
    }
    public void setSfkp(String sfkp)
    {
        this.sfkp = sfkp;
    }

    public String getSfkp()
    {
        return sfkp;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("htqdsj", getHtqdsj())
                .append("htbh", getHtbh())
                .append("htfl", getHtfl())
                .append("htlx", getHtlx())
                .append("wtf", getWtf())
                .append("stf", getStf())
                .append("qddd", getQddd())
                .append("yxqx", getYxqx())
                .append("xmfzr", getXmfzr())
                .append("jssx", getJssx())
                .append("kssj", getKssj())
                .append("jssj", getJssj())
                .append("xmjb", getXmjb())
                .append("jsmb", getJsmb())
                .append("zyyjnr", getZyyjnr())
                .append("jsffhlx", getJsffhlx())
                .append("jsjjzb", getJsjjzb())
                .append("zscqmb", getZscqmb())
                .append("jfly", getJfly())
                .append("jfsylx", getJfsylx())
                .append("jfze", getJfze())
                .append("sfkp", getSfkp())
                .toString();
    }
}
