package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目验收信息对象 history_project_htys_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtysJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 验收时间 */
    @Excel(name = "验收时间")
    private String yssj;

    /** 验收意见第一段 */
    @Excel(name = "验收意见第一段")
    private String ysyjdyd;

    /** 完成的主要研究工作（胜利分公司和公司格式）主要研究工作及成果（石油工程公司格式）研究内容完成情况（集团和股份公司） */
    @Excel(name = "完成的主要研究工作", readConverterExp = "胜=利分公司和公司格式")
    private String wczyyjgz;

    /** 主要技术成果与创新内容（胜利分公司和公司格式）主要技术创新内容（石油工程公司格式）主要技术成果及创新点（集团和股份公司） */
    @Excel(name = "主要技术成果与创新内容", readConverterExp = "胜=利分公司和公司格式")
    private String zyjscg;

    /** 技术指标完成情况（胜利分公司和公司格式）技术指标完成（石油工程公司格式）技术经济指标完成情况（集团和股份公司） */
    @Excel(name = "技术指标完成情况", readConverterExp = "胜=利分公司和公司格式")
    private String jszbwcqk;

    /** 管理及资金使用情况（胜利分公司和公司、石油工程公司格式） */
    @Excel(name = "管理及资金使用情况", readConverterExp = "胜=利分公司和公司、石油工程公司格式")
    private String gljzjsyqk;

    /** 市场转化场景（公司、石油工程公司格式） */
    @Excel(name = "市场转化场景", readConverterExp = "公=司、石油工程公司格式")
    private String sczhcj;

    /** 综合评价（胜利分公司、公司、石油工程公司格式、集团和股份公司） */
    @Excel(name = "综合评价", readConverterExp = "胜=利分公司、公司、石油工程公司格式、集团和股份公司")
    private String zhpj;

    /** 建议 */
    @Excel(name = "建议")
    private String jy;

    /** 验收专家组组长 */
    @Excel(name = "验收专家组组长")
    private String yszjzzz;

    /** 验收地点 */
    @Excel(name = "验收地点")
    private String ysdd;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setYssj(String yssj)
    {
        this.yssj = yssj;
    }

    public String getYssj()
    {
        return yssj;
    }
    public void setYsyjdyd(String ysyjdyd)
    {
        this.ysyjdyd = ysyjdyd;
    }

    public String getYsyjdyd()
    {
        return ysyjdyd;
    }
    public void setWczyyjgz(String wczyyjgz)
    {
        this.wczyyjgz = wczyyjgz;
    }

    public String getWczyyjgz()
    {
        return wczyyjgz;
    }
    public void setZyjscg(String zyjscg)
    {
        this.zyjscg = zyjscg;
    }

    public String getZyjscg()
    {
        return zyjscg;
    }
    public void setJszbwcqk(String jszbwcqk)
    {
        this.jszbwcqk = jszbwcqk;
    }

    public String getJszbwcqk()
    {
        return jszbwcqk;
    }
    public void setGljzjsyqk(String gljzjsyqk)
    {
        this.gljzjsyqk = gljzjsyqk;
    }

    public String getGljzjsyqk()
    {
        return gljzjsyqk;
    }
    public void setSczhcj(String sczhcj)
    {
        this.sczhcj = sczhcj;
    }

    public String getSczhcj()
    {
        return sczhcj;
    }
    public void setZhpj(String zhpj)
    {
        this.zhpj = zhpj;
    }

    public String getZhpj()
    {
        return zhpj;
    }
    public void setJy(String jy)
    {
        this.jy = jy;
    }

    public String getJy()
    {
        return jy;
    }
    public void setYszjzzz(String yszjzzz)
    {
        this.yszjzzz = yszjzzz;
    }

    public String getYszjzzz()
    {
        return yszjzzz;
    }
    public void setYsdd(String ysdd)
    {
        this.ysdd = ysdd;
    }

    public String getYsdd()
    {
        return ysdd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("yssj", getYssj())
                .append("ysyjdyd", getYsyjdyd())
                .append("wczyyjgz", getWczyyjgz())
                .append("zyjscg", getZyjscg())
                .append("jszbwcqk", getJszbwcqk())
                .append("gljzjsyqk", getGljzjsyqk())
                .append("sczhcj", getSczhcj())
                .append("zhpj", getZhpj())
                .append("jy", getJy())
                .append("yszjzzz", getYszjzzz())
                .append("ysdd", getYsdd())
                .toString();
    }
}
