package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 预验收信息对象 history_project_htyys_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtyysJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 时间 */
    @Excel(name = "时间")
    private String sj;

    /** 地点 */
    @Excel(name = "地点")
    private String dd;

    /** 预验收单位 */
    @Excel(name = "预验收单位")
    private String yysdw;

    /** 预验收组组长 */
    @Excel(name = "预验收组组长")
    private String yyszzz;

    /** 预验收组主审 */
    @Excel(name = "预验收组主审")
    private String yyszzs;

    /** 预验收组评委 */
    @Excel(name = "预验收组评委")
    private String yyszpw;

    /** 预验收结论 */
    @Excel(name = "预验收结论")
    private String yyszjzjy;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setSj(String sj)
    {
        this.sj = sj;
    }

    public String getSj()
    {
        return sj;
    }
    public void setDd(String dd)
    {
        this.dd = dd;
    }

    public String getDd()
    {
        return dd;
    }
    public void setYysdw(String yysdw)
    {
        this.yysdw = yysdw;
    }

    public String getYysdw()
    {
        return yysdw;
    }
    public void setYyszzz(String yyszzz)
    {
        this.yyszzz = yyszzz;
    }

    public String getYyszzz()
    {
        return yyszzz;
    }
    public void setYyszzs(String yyszzs)
    {
        this.yyszzs = yyszzs;
    }

    public String getYyszzs()
    {
        return yyszzs;
    }
    public void setYyszpw(String yyszpw)
    {
        this.yyszpw = yyszpw;
    }

    public String getYyszpw()
    {
        return yyszpw;
    }
    public void setYyszjzjy(String yyszjzjy)
    {
        this.yyszjzjy = yyszjzjy;
    }

    public String getYyszjzjy()
    {
        return yyszjzjy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("sj", getSj())
                .append("dd", getDd())
                .append("yysdw", getYysdw())
                .append("yyszzz", getYyszzz())
                .append("yyszzs", getYyszzs())
                .append("yyszpw", getYyszpw())
                .append("yyszjzjy", getYyszjzjy())
                .toString();
    }
}
