package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目中检信息对象 history_project_htzj_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtzjJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 时间 */
    @Excel(name = "时间")
    private String sj;

    /** 地点 */
    @Excel(name = "地点")
    private String dd;

    /** 中检单位 */
    @Excel(name = "中检单位")
    private String zjdw;

    /** 中检组组长 */
    @Excel(name = "中检组组长")
    private String zjzzz;

    /** 中检组主审 */
    @Excel(name = "中检组主审")
    private String zjzzs;

    /** 中检组评委 */
    @Excel(name = "中检组评委")
    private String zjzpw;

    /** 中检专家组建议 */
    @Excel(name = "中检专家组建议")
    private String zjzjzjy;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setSj(String sj)
    {
        this.sj = sj;
    }

    public String getSj()
    {
        return sj;
    }
    public void setDd(String dd)
    {
        this.dd = dd;
    }

    public String getDd()
    {
        return dd;
    }
    public void setZjdw(String zjdw)
    {
        this.zjdw = zjdw;
    }

    public String getZjdw()
    {
        return zjdw;
    }
    public void setZjzzz(String zjzzz)
    {
        this.zjzzz = zjzzz;
    }

    public String getZjzzz()
    {
        return zjzzz;
    }
    public void setZjzzs(String zjzzs)
    {
        this.zjzzs = zjzzs;
    }

    public String getZjzzs()
    {
        return zjzzs;
    }
    public void setZjzpw(String zjzpw)
    {
        this.zjzpw = zjzpw;
    }

    public String getZjzpw()
    {
        return zjzpw;
    }
    public void setZjzjzjy(String zjzjzjy)
    {
        this.zjzjzjy = zjzjzjy;
    }

    public String getZjzjzjy()
    {
        return zjzjzjy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("sj", getSj())
                .append("dd", getDd())
                .append("zjdw", getZjdw())
                .append("zjzzz", getZjzzz())
                .append("zjzzs", getZjzzs())
                .append("zjzpw", getZjzpw())
                .append("zjzjzjy", getZjzjzjy())
                .toString();
    }
}
