package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 经费实际支出分析_月度经济活动分析对象 jfsjzc_ydjjhdfx
 *
 * @author ruoyi
 * @date 2025-02-19
 */
public class JfsjzcYdjjhdfx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 年度下达id */
    @Excel(name = "年度下达id")
    private String ndxd_id;

    /** 合同号 */
    @Excel(name = "合同号")
    private String hth;

    /** 课题id */
    @Excel(name = "课题id")
    private String project_id;

    /** 课题名称 */
    @Excel(name = "课题名称")
    private String project_name;

    /** 课题编号 */
    @Excel(name = "课题编号")
    private String project_code;

    /** wbs课题名称 */
    @Excel(name = "wbs课题名称")
    private String wbs_project_name;

    /** wbs编号 */
    @Excel(name = "wbs编号")
    private String wbs_bh;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String xmjb;

    /** 负责人 */
    @Excel(name = "负责人")
    private String head;

    /** 首席 */
    @Excel(name = "首席")
    private String chief;

    /** 指定负责人 */
    @Excel(name = "指定负责人")
    private String zdfzr;

    /** 负责单位id */
    @Excel(name = "负责单位id")
    private String org_id;

    /** 负责单位名称 */
    @Excel(name = "负责单位名称")
    private String org_name;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date start_time;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date end_time;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String ggnr;

    /** 项目类型 */
    @Excel(name = "项目类型")
    private String xmlx;

    /** 专业 */
    @Excel(name = "专业")
    private String zy;

    /** 进度情况 */
    @Excel(name = "进度情况")
    private String jdqk;

    /** 结题情况 */
    @Excel(name = "结题情况")
    private String jtqk;

    /** 合同总经费 */
    @Excel(name = "合同总经费")
    private BigDecimal htzjf;

    /** 胜利费用（万元） */
    @Excel(name = "胜利费用", readConverterExp = "万=元")
    private BigDecimal slfyhs;

    /** 胜利费用（万元/不含税） */
    @Excel(name = "胜利费用", readConverterExp = "万=元/不含税")
    private BigDecimal slfybhs;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 年度经费 */
    @Excel(name = "年度经费")
    private BigDecimal ndjf;

    /** 主要研究内容 */
    @Excel(name = "主要研究内容")
    private String zyyjnr;

    /** 技术经济指标 */
    @Excel(name = "技术经济指标")
    private String jsjjzb;

    /** 1月实际支出（万元/不含税） */
    @Excel(name = "1月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc1;

    /** 2月实际支出（万元/不含税） */
    @Excel(name = "2月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc2;

    /** 3月实际支出（万元/不含税） */
    @Excel(name = "3月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc3;

    /** 4月实际支出（万元/不含税） */
    @Excel(name = "4月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc4;

    /** 5月实际支出（万元/不含税） */
    @Excel(name = "5月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc5;

    /** 6月实际支出（万元/不含税） */
    @Excel(name = "6月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc6;

    /** 7月实际支出（万元/不含税） */
    @Excel(name = "7月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc7;

    /** 8月实际支出（万元/不含税） */
    @Excel(name = "8月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc8;

    /** 9月实际支出（万元/不含税） */
    @Excel(name = "9月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc9;

    /** 10月实际支出（万元/不含税） */
    @Excel(name = "10月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc10;

    /** 11月实际支出（万元/不含税） */
    @Excel(name = "11月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc11;

    /** 12月实际支出（万元/不含税） */
    @Excel(name = "12月实际支出", readConverterExp = "万=元/不含税")
    private BigDecimal sjzc12;

    /** 年度累计经费 */
    @Excel(name = "年度累计经费")
    private BigDecimal ndlj;

    /** 累计已结算 */
    @Excel(name = "累计已结算")
    private BigDecimal ljyjs;

    /** 累计剩余 */
    @Excel(name = "累计剩余")
    private BigDecimal ljsy;

    /** 专利情况 */
    @Excel(name = "专利情况")
    private String zlqk;

    /** 成果转化应用情况 */
    @Excel(name = "成果转化应用情况")
    private String cgzhyyqk;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNdxd_id(String ndxd_id)
    {
        this.ndxd_id = ndxd_id;
    }

    public String getNdxd_id()
    {
        return ndxd_id;
    }
    public void setHth(String hth)
    {
        this.hth = hth;
    }

    public String getHth()
    {
        return hth;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setProject_name(String project_name)
    {
        this.project_name = project_name;
    }

    public String getProject_name()
    {
        return project_name;
    }
    public void setProject_code(String project_code)
    {
        this.project_code = project_code;
    }

    public String getProject_code()
    {
        return project_code;
    }
    public void setWbs_project_name(String wbs_project_name)
    {
        this.wbs_project_name = wbs_project_name;
    }

    public String getWbs_project_name()
    {
        return wbs_project_name;
    }
    public void setWbs_bh(String wbs_bh)
    {
        this.wbs_bh = wbs_bh;
    }

    public String getWbs_bh()
    {
        return wbs_bh;
    }
    public void setXmjb(String xmjb)
    {
        this.xmjb = xmjb;
    }

    public String getXmjb()
    {
        return xmjb;
    }
    public void setHead(String head)
    {
        this.head = head;
    }

    public String getHead()
    {
        return head;
    }
    public void setChief(String chief)
    {
        this.chief = chief;
    }

    public String getChief()
    {
        return chief;
    }
    public void setZdfzr(String zdfzr)
    {
        this.zdfzr = zdfzr;
    }

    public String getZdfzr()
    {
        return zdfzr;
    }
    public void setOrg_id(String org_id)
    {
        this.org_id = org_id;
    }

    public String getOrg_id()
    {
        return org_id;
    }
    public void setOrg_name(String org_name)
    {
        this.org_name = org_name;
    }

    public String getOrg_name()
    {
        return org_name;
    }
    public void setStart_time(Date start_time)
    {
        this.start_time = start_time;
    }

    public Date getStart_time()
    {
        return start_time;
    }
    public void setEnd_time(Date end_time)
    {
        this.end_time = end_time;
    }

    public Date getEnd_time()
    {
        return end_time;
    }
    public void setGgnr(String ggnr)
    {
        this.ggnr = ggnr;
    }

    public String getGgnr()
    {
        return ggnr;
    }
    public void setXmlx(String xmlx)
    {
        this.xmlx = xmlx;
    }

    public String getXmlx()
    {
        return xmlx;
    }
    public void setZy(String zy)
    {
        this.zy = zy;
    }

    public String getZy()
    {
        return zy;
    }
    public void setJdqk(String jdqk)
    {
        this.jdqk = jdqk;
    }

    public String getJdqk()
    {
        return jdqk;
    }
    public void setJtqk(String jtqk)
    {
        this.jtqk = jtqk;
    }

    public String getJtqk()
    {
        return jtqk;
    }
    public void setHtzjf(BigDecimal htzjf)
    {
        this.htzjf = htzjf;
    }

    public BigDecimal getHtzjf()
    {
        return htzjf;
    }
    public void setSlfyhs(BigDecimal slfyhs)
    {
        this.slfyhs = slfyhs;
    }

    public BigDecimal getSlfyhs()
    {
        return slfyhs;
    }
    public void setSlfybhs(BigDecimal slfybhs)
    {
        this.slfybhs = slfybhs;
    }

    public BigDecimal getSlfybhs()
    {
        return slfybhs;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setNdjf(BigDecimal ndjf)
    {
        this.ndjf = ndjf;
    }

    public BigDecimal getNdjf()
    {
        return ndjf;
    }
    public void setZyyjnr(String zyyjnr)
    {
        this.zyyjnr = zyyjnr;
    }

    public String getZyyjnr()
    {
        return zyyjnr;
    }
    public void setJsjjzb(String jsjjzb)
    {
        this.jsjjzb = jsjjzb;
    }

    public String getJsjjzb()
    {
        return jsjjzb;
    }
    public void setSjzc1(BigDecimal sjzc1)
    {
        this.sjzc1 = sjzc1;
    }

    public BigDecimal getSjzc1()
    {
        return sjzc1;
    }
    public void setSjzc2(BigDecimal sjzc2)
    {
        this.sjzc2 = sjzc2;
    }

    public BigDecimal getSjzc2()
    {
        return sjzc2;
    }
    public void setSjzc3(BigDecimal sjzc3)
    {
        this.sjzc3 = sjzc3;
    }

    public BigDecimal getSjzc3()
    {
        return sjzc3;
    }
    public void setSjzc4(BigDecimal sjzc4)
    {
        this.sjzc4 = sjzc4;
    }

    public BigDecimal getSjzc4()
    {
        return sjzc4;
    }
    public void setSjzc5(BigDecimal sjzc5)
    {
        this.sjzc5 = sjzc5;
    }

    public BigDecimal getSjzc5()
    {
        return sjzc5;
    }
    public void setSjzc6(BigDecimal sjzc6)
    {
        this.sjzc6 = sjzc6;
    }

    public BigDecimal getSjzc6()
    {
        return sjzc6;
    }
    public void setSjzc7(BigDecimal sjzc7)
    {
        this.sjzc7 = sjzc7;
    }

    public BigDecimal getSjzc7()
    {
        return sjzc7;
    }
    public void setSjzc8(BigDecimal sjzc8)
    {
        this.sjzc8 = sjzc8;
    }

    public BigDecimal getSjzc8()
    {
        return sjzc8;
    }
    public void setSjzc9(BigDecimal sjzc9)
    {
        this.sjzc9 = sjzc9;
    }

    public BigDecimal getSjzc9()
    {
        return sjzc9;
    }
    public void setSjzc10(BigDecimal sjzc10)
    {
        this.sjzc10 = sjzc10;
    }

    public BigDecimal getSjzc10()
    {
        return sjzc10;
    }
    public void setSjzc11(BigDecimal sjzc11)
    {
        this.sjzc11 = sjzc11;
    }

    public BigDecimal getSjzc11()
    {
        return sjzc11;
    }
    public void setSjzc12(BigDecimal sjzc12)
    {
        this.sjzc12 = sjzc12;
    }

    public BigDecimal getSjzc12()
    {
        return sjzc12;
    }
    public void setNdlj(BigDecimal ndlj)
    {
        this.ndlj = ndlj;
    }

    public BigDecimal getNdlj()
    {
        return ndlj;
    }
    public void setLjyjs(BigDecimal ljyjs)
    {
        this.ljyjs = ljyjs;
    }

    public BigDecimal getLjyjs()
    {
        return ljyjs;
    }
    public void setLjsy(BigDecimal ljsy)
    {
        this.ljsy = ljsy;
    }

    public BigDecimal getLjsy()
    {
        return ljsy;
    }
    public void setZlqk(String zlqk)
    {
        this.zlqk = zlqk;
    }

    public String getZlqk()
    {
        return zlqk;
    }
    public void setCgzhyyqk(String cgzhyyqk)
    {
        this.cgzhyyqk = cgzhyyqk;
    }

    public String getCgzhyyqk()
    {
        return cgzhyyqk;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ndxd_id", getNdxd_id())
                .append("hth", getHth())
                .append("project_id", getProject_id())
                .append("project_name", getProject_name())
                .append("project_code", getProject_code())
                .append("wbs_project_name", getWbs_project_name())
                .append("wbs_bh", getWbs_bh())
                .append("xmjb", getXmjb())
                .append("head", getHead())
                .append("chief", getChief())
                .append("zdfzr", getZdfzr())
                .append("org_id", getOrg_id())
                .append("org_name", getOrg_name())
                .append("start_time", getStart_time())
                .append("end_time", getEnd_time())
                .append("ggnr", getGgnr())
                .append("xmlx", getXmlx())
                .append("zy", getZy())
                .append("jdqk", getJdqk())
                .append("jtqk", getJtqk())
                .append("htzjf", getHtzjf())
                .append("slfyhs", getSlfyhs())
                .append("slfybhs", getSlfybhs())
                .append("nd", getNd())
                .append("ndjf", getNdjf())
                .append("zyyjnr", getZyyjnr())
                .append("jsjjzb", getJsjjzb())
                .append("sjzc1", getSjzc1())
                .append("sjzc2", getSjzc2())
                .append("sjzc3", getSjzc3())
                .append("sjzc4", getSjzc4())
                .append("sjzc5", getSjzc5())
                .append("sjzc6", getSjzc6())
                .append("sjzc7", getSjzc7())
                .append("sjzc8", getSjzc8())
                .append("sjzc9", getSjzc9())
                .append("sjzc10", getSjzc10())
                .append("sjzc11", getSjzc11())
                .append("sjzc12", getSjzc12())
                .append("ndlj", getNdlj())
                .append("ljyjs", getLjyjs())
                .append("ljsy", getLjsy())
                .append("zlqk", getZlqk())
                .append("cgzhyyqk", getCgzhyyqk())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
