package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外协选商评审对象 outsourcing_wxxsps
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class OutsourcingWxxsps extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** WBS编号 */
    @Excel(name = "WBS编号")
    private String wbsbh;

    /** WBS项目名称 */
    @Excel(name = "WBS项目名称")
    private String wbsxmmc;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 年度经费  */
    @Excel(name = "年度经费 ")
    private BigDecimal ndjf;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String xmfzr;

    /** 技术首席 */
    @Excel(name = "技术首席")
    private String jssx;

    /** 填报人 */
    @Excel(name = "填报人")
    private String tbr;

    /** 项目研究内容 */
    @Excel(name = "项目研究内容")
    private String xmyjnr;

    /** 任务书中有关外协部分的说明 */
    @Excel(name = "任务书中有关外协部分的说明")
    private String rwszygwxbfdsm;

    /** 已发生的外协项目 */
    @Excel(name = "已发生的外协项目")
    private String yfsdwxxm;

    /** 本次外协计划年度 */
    @Excel(name = "本次外协计划年度")
    private String bcwxjhnd;

    /** 技术协作费预算 */
    @Excel(name = "技术协作费预算")
    private BigDecimal jsxzfys;

    /** 测试化验加工费预算 */
    @Excel(name = "测试化验加工费预算")
    private BigDecimal cshyjgfys;

    /** 拟外协研究开始时间 */
    @Excel(name = "拟外协研究开始时间")
    private String nwxyjkssj;

    /** 拟外协研究结束时间 */
    @Excel(name = "拟外协研究结束时间")
    private String nwxyjjssj;

    /** 拟合作形式 */
    @Excel(name = "拟合作形式")
    private String nhzxs;

    /** 拟外协合同名称 */
    @Excel(name = "拟外协合同名称")
    private String nwxhtmc;

    /** 拟外协单位 */
    @Excel(name = "拟外协单位")
    private String nwxdw;

    /** 拟协作内容 */
    @Excel(name = "拟协作内容")
    private String nxznr;

    /** 预期提交的成果 */
    @Excel(name = "预期提交的成果")
    private String yqtjdcg;

    /** 预期技术经济指标 */
    @Excel(name = "预期技术经济指标")
    private String yqjsjjzb;

    /** 是否有外协变更申请 */
    @Excel(name = "是否有外协变更申请")
    private String sfywxbgsq;

    /** 是否公示 */
    @Excel(name = "是否公示")
    private String sfgs;

    /** 公示业务名称 */
    @Excel(name = "公示业务名称")
    private String gsywmc;

    /** 公示业务工作量 */
    @Excel(name = "公示业务工作量")
    private String gsywgzl;

    /** 公示起止时间 */
    @Excel(name = "公示起止时间")
    private String gsqzsj;

    /** 选商方式 */
    @Excel(name = "选商方式")
    private String xsfs;

    /** 应召未招（竞争性谈判、独家谈判）说明 */
    @Excel(name = "应召未招", readConverterExp = "竞=争性谈判、独家谈判")
    private String yzwzjzxtpdjtpsm;

    /** 采购文件（招标方案）发布时间 */
    @Excel(name = "采购文件", readConverterExp = "招=标方案")
    private String cgwjzbfafbsj;

    /** 采购文件（招标方案）项目服务目标 */
    @Excel(name = "采购文件", readConverterExp = "招=标方案")
    private String cgwjzbfaxmfwmb;

    /** 采购文件（招标方案）报价截止时间 */
    @Excel(name = "采购文件", readConverterExp = "招=标方案")
    private String cgwjzbfabjjzsj;

    /** 承担单位初审情况 */
    @Excel(name = "承担单位初审情况")
    private String cddwcsqk;

    /** 申请详细审查开始时间 */
    @Excel(name = "申请详细审查开始时间")
    private String sqxxsckssj;

    /** 申请详细审查结束时间 */
    @Excel(name = "申请详细审查结束时间")
    private String sqxxscjssj;

    /** 实际选商和开题结果 */
    @Excel(name = "实际选商和开题结果")
    private String sjxshktjg;

    /** 选定外协单位的准入资质情况 */
    @Excel(name = "选定外协单位的准入资质情况")
    private String xdwxdwdzrzzqk;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 采购回执文件盖章时间 */
    @Excel(name = "采购回执文件盖章时间")
    private String cghzwjgzsj;

    /** 采购文件报价最高限额 */
    @Excel(name = "采购文件报价最高限额")
    private String cgwjbjzgxe;

    /** 变更说明 */
    @Excel(name = "变更说明")
    private String bgsm;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String xmjb;

    /** 项目id */
    @Excel(name = "项目id")
    private Long xmid;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setXmmc(String xmmc)
    {
        this.xmmc = xmmc;
    }

    public String getXmmc()
    {
        return xmmc;
    }
    public void setWbsbh(String wbsbh)
    {
        this.wbsbh = wbsbh;
    }

    public String getWbsbh()
    {
        return wbsbh;
    }
    public void setWbsxmmc(String wbsxmmc)
    {
        this.wbsxmmc = wbsxmmc;
    }

    public String getWbsxmmc()
    {
        return wbsxmmc;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setNdjf(BigDecimal ndjf)
    {
        this.ndjf = ndjf;
    }

    public BigDecimal getNdjf()
    {
        return ndjf;
    }
    public void setXmfzr(String xmfzr)
    {
        this.xmfzr = xmfzr;
    }

    public String getXmfzr()
    {
        return xmfzr;
    }
    public void setJssx(String jssx)
    {
        this.jssx = jssx;
    }

    public String getJssx()
    {
        return jssx;
    }
    public void setTbr(String tbr)
    {
        this.tbr = tbr;
    }

    public String getTbr()
    {
        return tbr;
    }
    public void setXmyjnr(String xmyjnr)
    {
        this.xmyjnr = xmyjnr;
    }

    public String getXmyjnr()
    {
        return xmyjnr;
    }
    public void setRwszygwxbfdsm(String rwszygwxbfdsm)
    {
        this.rwszygwxbfdsm = rwszygwxbfdsm;
    }

    public String getRwszygwxbfdsm()
    {
        return rwszygwxbfdsm;
    }
    public void setYfsdwxxm(String yfsdwxxm)
    {
        this.yfsdwxxm = yfsdwxxm;
    }

    public String getYfsdwxxm()
    {
        return yfsdwxxm;
    }
    public void setBcwxjhnd(String bcwxjhnd)
    {
        this.bcwxjhnd = bcwxjhnd;
    }

    public String getBcwxjhnd()
    {
        return bcwxjhnd;
    }
    public void setJsxzfys(BigDecimal jsxzfys)
    {
        this.jsxzfys = jsxzfys;
    }

    public BigDecimal getJsxzfys()
    {
        return jsxzfys;
    }
    public void setCshyjgfys(BigDecimal cshyjgfys)
    {
        this.cshyjgfys = cshyjgfys;
    }

    public BigDecimal getCshyjgfys()
    {
        return cshyjgfys;
    }
    public void setNwxyjkssj(String nwxyjkssj)
    {
        this.nwxyjkssj = nwxyjkssj;
    }

    public String getNwxyjkssj()
    {
        return nwxyjkssj;
    }
    public void setNwxyjjssj(String nwxyjjssj)
    {
        this.nwxyjjssj = nwxyjjssj;
    }

    public String getNwxyjjssj()
    {
        return nwxyjjssj;
    }
    public void setNhzxs(String nhzxs)
    {
        this.nhzxs = nhzxs;
    }

    public String getNhzxs()
    {
        return nhzxs;
    }
    public void setNwxhtmc(String nwxhtmc)
    {
        this.nwxhtmc = nwxhtmc;
    }

    public String getNwxhtmc()
    {
        return nwxhtmc;
    }
    public void setNwxdw(String nwxdw)
    {
        this.nwxdw = nwxdw;
    }

    public String getNwxdw()
    {
        return nwxdw;
    }
    public void setNxznr(String nxznr)
    {
        this.nxznr = nxznr;
    }

    public String getNxznr()
    {
        return nxznr;
    }
    public void setYqtjdcg(String yqtjdcg)
    {
        this.yqtjdcg = yqtjdcg;
    }

    public String getYqtjdcg()
    {
        return yqtjdcg;
    }
    public void setYqjsjjzb(String yqjsjjzb)
    {
        this.yqjsjjzb = yqjsjjzb;
    }

    public String getYqjsjjzb()
    {
        return yqjsjjzb;
    }
    public void setSfywxbgsq(String sfywxbgsq)
    {
        this.sfywxbgsq = sfywxbgsq;
    }

    public String getSfywxbgsq()
    {
        return sfywxbgsq;
    }
    public void setSfgs(String sfgs)
    {
        this.sfgs = sfgs;
    }

    public String getSfgs()
    {
        return sfgs;
    }
    public void setGsywmc(String gsywmc)
    {
        this.gsywmc = gsywmc;
    }

    public String getGsywmc()
    {
        return gsywmc;
    }
    public void setGsywgzl(String gsywgzl)
    {
        this.gsywgzl = gsywgzl;
    }

    public String getGsywgzl()
    {
        return gsywgzl;
    }
    public void setGsqzsj(String gsqzsj)
    {
        this.gsqzsj = gsqzsj;
    }

    public String getGsqzsj()
    {
        return gsqzsj;
    }
    public void setXsfs(String xsfs)
    {
        this.xsfs = xsfs;
    }

    public String getXsfs()
    {
        return xsfs;
    }
    public void setYzwzjzxtpdjtpsm(String yzwzjzxtpdjtpsm)
    {
        this.yzwzjzxtpdjtpsm = yzwzjzxtpdjtpsm;
    }

    public String getYzwzjzxtpdjtpsm()
    {
        return yzwzjzxtpdjtpsm;
    }
    public void setCgwjzbfafbsj(String cgwjzbfafbsj)
    {
        this.cgwjzbfafbsj = cgwjzbfafbsj;
    }

    public String getCgwjzbfafbsj()
    {
        return cgwjzbfafbsj;
    }
    public void setCgwjzbfaxmfwmb(String cgwjzbfaxmfwmb)
    {
        this.cgwjzbfaxmfwmb = cgwjzbfaxmfwmb;
    }

    public String getCgwjzbfaxmfwmb()
    {
        return cgwjzbfaxmfwmb;
    }
    public void setCgwjzbfabjjzsj(String cgwjzbfabjjzsj)
    {
        this.cgwjzbfabjjzsj = cgwjzbfabjjzsj;
    }

    public String getCgwjzbfabjjzsj()
    {
        return cgwjzbfabjjzsj;
    }
    public void setCddwcsqk(String cddwcsqk)
    {
        this.cddwcsqk = cddwcsqk;
    }

    public String getCddwcsqk()
    {
        return cddwcsqk;
    }
    public void setSqxxsckssj(String sqxxsckssj)
    {
        this.sqxxsckssj = sqxxsckssj;
    }

    public String getSqxxsckssj()
    {
        return sqxxsckssj;
    }
    public void setSqxxscjssj(String sqxxscjssj)
    {
        this.sqxxscjssj = sqxxscjssj;
    }

    public String getSqxxscjssj()
    {
        return sqxxscjssj;
    }
    public void setSjxshktjg(String sjxshktjg)
    {
        this.sjxshktjg = sjxshktjg;
    }

    public String getSjxshktjg()
    {
        return sjxshktjg;
    }
    public void setXdwxdwdzrzzqk(String xdwxdwdzrzzqk)
    {
        this.xdwxdwdzrzzqk = xdwxdwdzrzzqk;
    }

    public String getXdwxdwdzrzzqk()
    {
        return xdwxdwdzrzzqk;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setCghzwjgzsj(String cghzwjgzsj)
    {
        this.cghzwjgzsj = cghzwjgzsj;
    }

    public String getCghzwjgzsj()
    {
        return cghzwjgzsj;
    }
    public void setCgwjbjzgxe(String cgwjbjzgxe)
    {
        this.cgwjbjzgxe = cgwjbjzgxe;
    }

    public String getCgwjbjzgxe()
    {
        return cgwjbjzgxe;
    }
    public void setBgsm(String bgsm)
    {
        this.bgsm = bgsm;
    }

    public String getBgsm()
    {
        return bgsm;
    }
    public void setXmjb(String xmjb)
    {
        this.xmjb = xmjb;
    }

    public String getXmjb()
    {
        return xmjb;
    }
    public void setXmid(Long xmid)
    {
        this.xmid = xmid;
    }

    public Long getXmid()
    {
        return xmid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("xmmc", getXmmc())
                .append("wbsbh", getWbsbh())
                .append("wbsxmmc", getWbsxmmc())
                .append("nd", getNd())
                .append("ndjf", getNdjf())
                .append("xmfzr", getXmfzr())
                .append("jssx", getJssx())
                .append("tbr", getTbr())
                .append("xmyjnr", getXmyjnr())
                .append("rwszygwxbfdsm", getRwszygwxbfdsm())
                .append("yfsdwxxm", getYfsdwxxm())
                .append("bcwxjhnd", getBcwxjhnd())
                .append("jsxzfys", getJsxzfys())
                .append("cshyjgfys", getCshyjgfys())
                .append("nwxyjkssj", getNwxyjkssj())
                .append("nwxyjjssj", getNwxyjjssj())
                .append("nhzxs", getNhzxs())
                .append("nwxhtmc", getNwxhtmc())
                .append("nwxdw", getNwxdw())
                .append("nxznr", getNxznr())
                .append("yqtjdcg", getYqtjdcg())
                .append("yqjsjjzb", getYqjsjjzb())
                .append("sfywxbgsq", getSfywxbgsq())
                .append("sfgs", getSfgs())
                .append("gsywmc", getGsywmc())
                .append("gsywgzl", getGsywgzl())
                .append("gsqzsj", getGsqzsj())
                .append("xsfs", getXsfs())
                .append("yzwzjzxtpdjtpsm", getYzwzjzxtpdjtpsm())
                .append("cgwjzbfafbsj", getCgwjzbfafbsj())
                .append("cgwjzbfaxmfwmb", getCgwjzbfaxmfwmb())
                .append("cgwjzbfabjjzsj", getCgwjzbfabjjzsj())
                .append("cddwcsqk", getCddwcsqk())
                .append("sqxxsckssj", getSqxxsckssj())
                .append("sqxxscjssj", getSqxxscjssj())
                .append("sjxshktjg", getSjxshktjg())
                .append("xdwxdwdzrzzqk", getXdwxdwdzrzzqk())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("cghzwjgzsj", getCghzwjgzsj())
                .append("cgwjbjzgxe", getCgwjbjzgxe())
                .append("bgsm", getBgsm())
                .append("xmjb", getXmjb())
                .append("xmid", getXmid())
                .toString();
    }
}
