package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外协运行与验收-进度安排及考核指标对象 outsourcing_wxyxyys_jdapjkhzb
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class OutsourcingWxyxyysJdapjkhzb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fid;

    /** 时间 */
    @Excel(name = "时间")
    private String sj;

    /** 计划内容 */
    @Excel(name = "计划内容")
    private String jhnr;

    /** 考核指标 */
    @Excel(name = "考核指标")
    private String khbz;

    /** 考核负责人 */
    @Excel(name = "考核负责人")
    private String khfzr;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFid(Long fid)
    {
        this.fid = fid;
    }

    public Long getFid()
    {
        return fid;
    }
    public void setSj(String sj)
    {
        this.sj = sj;
    }

    public String getSj()
    {
        return sj;
    }
    public void setJhnr(String jhnr)
    {
        this.jhnr = jhnr;
    }

    public String getJhnr()
    {
        return jhnr;
    }
    public void setKhbz(String khbz)
    {
        this.khbz = khbz;
    }

    public String getKhbz()
    {
        return khbz;
    }
    public void setKhfzr(String khfzr)
    {
        this.khfzr = khfzr;
    }

    public String getKhfzr()
    {
        return khfzr;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fid", getFid())
                .append("sj", getSj())
                .append("jhnr", getJhnr())
                .append("khbz", getKhbz())
                .append("khfzr", getKhfzr())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .toString();
    }
}
