package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 指南字典对象 scientific_disc_guide
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public class ScientificDiscGuide extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 指南id */
    @Excel(name = "指南id")
    private String guide_id;

    /** 排序 */
    @Excel(name = "排序")
    private Long sd_order;

    /** 值 */
    @Excel(name = "值")
    private String value;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setGuide_id(String guide_id)
    {
        this.guide_id = guide_id;
    }

    public String getGuide_id()
    {
        return guide_id;
    }
    public void setSd_order(Long sd_order)
    {
        this.sd_order = sd_order;
    }

    public Long getSd_order()
    {
        return sd_order;
    }
    public void setValue(String value)
    {
        this.value = value;
    }

    public String getValue()
    {
        return value;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("guide_id", getGuide_id())
                .append("sd_order", getSd_order())
                .append("value", getValue())
                .append("name", getName())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
