package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ErpWbsbh;

/**
 * ERP管理-WBS编号Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-17
 */
public interface ErpWbsbhMapper
{
    /**
     * 查询ERP管理-WBS编号
     *
     * @param id ERP管理-WBS编号主键
     * @return ERP管理-WBS编号
     */
    public ErpWbsbh selectErpWbsbhById(Long id);

    /**
     * 查询ERP管理-WBS编号列表
     *
     * @param erpWbsbh ERP管理-WBS编号
     * @return ERP管理-WBS编号集合
     */
    public List<ErpWbsbh> selectErpWbsbhList(ErpWbsbh erpWbsbh);

    /**
     * 新增ERP管理-WBS编号
     *
     * @param erpWbsbh ERP管理-WBS编号
     * @return 结果
     */
    public int insertErpWbsbh(ErpWbsbh erpWbsbh);

    /**
     * 修改ERP管理-WBS编号
     *
     * @param erpWbsbh ERP管理-WBS编号
     * @return 结果
     */
    public int updateErpWbsbh(ErpWbsbh erpWbsbh);

    /**
     * 删除ERP管理-WBS编号
     *
     * @param id ERP管理-WBS编号主键
     * @return 结果
     */
    public int deleteErpWbsbhById(Long id);

    /**
     * 批量删除ERP管理-WBS编号
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteErpWbsbhByIds(Long[] ids);
}
