package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtwtxyJbxx;

/**
 * 委托协议基本信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HistoryProjectHtwtxyJbxxMapper
{
    /**
     * 查询委托协议基本信息
     *
     * @param id 委托协议基本信息主键
     * @return 委托协议基本信息
     */
    public HistoryProjectHtwtxyJbxx selectHistoryProjectHtwtxyJbxxById(Long id);

    /**
     * 查询委托协议基本信息列表
     *
     * @param historyProjectHtwtxyJbxx 委托协议基本信息
     * @return 委托协议基本信息集合
     */
    public List<HistoryProjectHtwtxyJbxx> selectHistoryProjectHtwtxyJbxxList(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx);

    /**
     * 新增委托协议基本信息
     *
     * @param historyProjectHtwtxyJbxx 委托协议基本信息
     * @return 结果
     */
    public int insertHistoryProjectHtwtxyJbxx(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx);

    /**
     * 修改委托协议基本信息
     *
     * @param historyProjectHtwtxyJbxx 委托协议基本信息
     * @return 结果
     */
    public int updateHistoryProjectHtwtxyJbxx(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx);

    /**
     * 删除委托协议基本信息
     *
     * @param id 委托协议基本信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtwtxyJbxxById(Long id);

    /**
     * 批量删除委托协议基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtwtxyJbxxByIds(Long[] ids);
}
