package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtzscqcgJbxx;

/**
 * 项目（课题）知识产权成果基本信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HistoryProjectHtzscqcgJbxxMapper
{
    /**
     * 查询项目（课题）知识产权成果基本信息
     *
     * @param id 项目（课题）知识产权成果基本信息主键
     * @return 项目（课题）知识产权成果基本信息
     */
    public HistoryProjectHtzscqcgJbxx selectHistoryProjectHtzscqcgJbxxById(Long id);

    /**
     * 查询项目（课题）知识产权成果基本信息列表
     *
     * @param historyProjectHtzscqcgJbxx 项目（课题）知识产权成果基本信息
     * @return 项目（课题）知识产权成果基本信息集合
     */
    public List<HistoryProjectHtzscqcgJbxx> selectHistoryProjectHtzscqcgJbxxList(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx);

    /**
     * 新增项目（课题）知识产权成果基本信息
     *
     * @param historyProjectHtzscqcgJbxx 项目（课题）知识产权成果基本信息
     * @return 结果
     */
    public int insertHistoryProjectHtzscqcgJbxx(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx);

    /**
     * 修改项目（课题）知识产权成果基本信息
     *
     * @param historyProjectHtzscqcgJbxx 项目（课题）知识产权成果基本信息
     * @return 结果
     */
    public int updateHistoryProjectHtzscqcgJbxx(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx);

    /**
     * 删除项目（课题）知识产权成果基本信息
     *
     * @param id 项目（课题）知识产权成果基本信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtzscqcgJbxxById(Long id);

    /**
     * 批量删除项目（课题）知识产权成果基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtzscqcgJbxxByIds(Long[] ids);
}
