package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ScientificGuide;

/**
 * 科研指南;指南和项目征集放在一起Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface ScientificGuideMapper
{
    /**
     * 查询科研指南;指南和项目征集放在一起
     *
     * @param id 科研指南;指南和项目征集放在一起主键
     * @return 科研指南;指南和项目征集放在一起
     */
    public ScientificGuide selectScientificGuideById(Long id);

    /**
     * 查询科研指南;指南和项目征集放在一起列表
     *
     * @param scientificGuide 科研指南;指南和项目征集放在一起
     * @return 科研指南;指南和项目征集放在一起集合
     */
    public List<ScientificGuide> selectScientificGuideList(ScientificGuide scientificGuide);

    /**
     * 新增科研指南;指南和项目征集放在一起
     *
     * @param scientificGuide 科研指南;指南和项目征集放在一起
     * @return 结果
     */
    public int insertScientificGuide(ScientificGuide scientificGuide);

    /**
     * 修改科研指南;指南和项目征集放在一起
     *
     * @param scientificGuide 科研指南;指南和项目征集放在一起
     * @return 结果
     */
    public int updateScientificGuide(ScientificGuide scientificGuide);

    /**
     * 删除科研指南;指南和项目征集放在一起
     *
     * @param id 科研指南;指南和项目征集放在一起主键
     * @return 结果
     */
    public int deleteScientificGuideById(Long id);

    /**
     * 批量删除科研指南;指南和项目征集放在一起
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScientificGuideByIds(Long[] ids);
}
