package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ErpWbsbhJfys;

/**
 * ERP管理-WBS编号_经费预算Service接口
 *
 * @author ruoyi
 * @date 2025-02-17
 */
public interface IErpWbsbhJfysService
{
    /**
     * 查询ERP管理-WBS编号_经费预算
     *
     * @param id ERP管理-WBS编号_经费预算主键
     * @return ERP管理-WBS编号_经费预算
     */
    public ErpWbsbhJfys selectErpWbsbhJfysById(Long id);

    /**
     * 查询ERP管理-WBS编号_经费预算列表
     *
     * @param erpWbsbhJfys ERP管理-WBS编号_经费预算
     * @return ERP管理-WBS编号_经费预算集合
     */
    public List<ErpWbsbhJfys> selectErpWbsbhJfysList(ErpWbsbhJfys erpWbsbhJfys);

    /**
     * 新增ERP管理-WBS编号_经费预算
     *
     * @param erpWbsbhJfys ERP管理-WBS编号_经费预算
     * @return 结果
     */
    public int insertErpWbsbhJfys(ErpWbsbhJfys erpWbsbhJfys);

    /**
     * 修改ERP管理-WBS编号_经费预算
     *
     * @param erpWbsbhJfys ERP管理-WBS编号_经费预算
     * @return 结果
     */
    public int updateErpWbsbhJfys(ErpWbsbhJfys erpWbsbhJfys);

    /**
     * 批量删除ERP管理-WBS编号_经费预算
     *
     * @param ids 需要删除的ERP管理-WBS编号_经费预算主键集合
     * @return 结果
     */
    public int deleteErpWbsbhJfysByIds(Long[] ids);

    /**
     * 删除ERP管理-WBS编号_经费预算信息
     *
     * @param id ERP管理-WBS编号_经费预算主键
     * @return 结果
     */
    public int deleteErpWbsbhJfysById(Long id);
}
