package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtwxxmJbxx;

/**
 * 项目（课题）外协项目基本信息Service接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface IHistoryProjectHtwxxmJbxxService
{
    /**
     * 查询项目（课题）外协项目基本信息
     *
     * @param id 项目（课题）外协项目基本信息主键
     * @return 项目（课题）外协项目基本信息
     */
    public HistoryProjectHtwxxmJbxx selectHistoryProjectHtwxxmJbxxById(Long id);

    /**
     * 查询项目（课题）外协项目基本信息列表
     *
     * @param historyProjectHtwxxmJbxx 项目（课题）外协项目基本信息
     * @return 项目（课题）外协项目基本信息集合
     */
    public List<HistoryProjectHtwxxmJbxx> selectHistoryProjectHtwxxmJbxxList(HistoryProjectHtwxxmJbxx historyProjectHtwxxmJbxx);

    /**
     * 新增项目（课题）外协项目基本信息
     *
     * @param historyProjectHtwxxmJbxx 项目（课题）外协项目基本信息
     * @return 结果
     */
    public int insertHistoryProjectHtwxxmJbxx(HistoryProjectHtwxxmJbxx historyProjectHtwxxmJbxx);

    /**
     * 修改项目（课题）外协项目基本信息
     *
     * @param historyProjectHtwxxmJbxx 项目（课题）外协项目基本信息
     * @return 结果
     */
    public int updateHistoryProjectHtwxxmJbxx(HistoryProjectHtwxxmJbxx historyProjectHtwxxmJbxx);

    /**
     * 批量删除项目（课题）外协项目基本信息
     *
     * @param ids 需要删除的项目（课题）外协项目基本信息主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtwxxmJbxxByIds(Long[] ids);

    /**
     * 删除项目（课题）外协项目基本信息信息
     *
     * @param id 项目（课题）外协项目基本信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtwxxmJbxxById(Long id);
}
