package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.HtjhGfgsxmndjfysKmys;

/**
 * 合同计划-股份公司项目年度经费预算科目Service接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface IHtjhGfgsxmndjfysKmysService
{
    /**
     * 查询合同计划-股份公司项目年度经费预算科目
     *
     * @param id 合同计划-股份公司项目年度经费预算科目主键
     * @return 合同计划-股份公司项目年度经费预算科目
     */
    public HtjhGfgsxmndjfysKmys selectHtjhGfgsxmndjfysKmysById(Long id);

    /**
     * 查询合同计划-股份公司项目年度经费预算科目列表
     *
     * @param htjhGfgsxmndjfysKmys 合同计划-股份公司项目年度经费预算科目
     * @return 合同计划-股份公司项目年度经费预算科目集合
     */
    public List<HtjhGfgsxmndjfysKmys> selectHtjhGfgsxmndjfysKmysList(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys);

    /**
     * 新增合同计划-股份公司项目年度经费预算科目
     *
     * @param htjhGfgsxmndjfysKmys 合同计划-股份公司项目年度经费预算科目
     * @return 结果
     */
    public int insertHtjhGfgsxmndjfysKmys(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys);

    /**
     * 修改合同计划-股份公司项目年度经费预算科目
     *
     * @param htjhGfgsxmndjfysKmys 合同计划-股份公司项目年度经费预算科目
     * @return 结果
     */
    public int updateHtjhGfgsxmndjfysKmys(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys);

    /**
     * 批量删除合同计划-股份公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-股份公司项目年度经费预算科目主键集合
     * @return 结果
     */
    public int deleteHtjhGfgsxmndjfysKmysByIds(Long[] ids);

    /**
     * 删除合同计划-股份公司项目年度经费预算科目信息
     *
     * @param id 合同计划-股份公司项目年度经费预算科目主键
     * @return 结果
     */
    public int deleteHtjhGfgsxmndjfysKmysById(Long id);
}
