package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.HtjhGjxmndjfysKmys;

/**
 * 合同计划-国家项目年度经费预算科目Service接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface IHtjhGjxmndjfysKmysService
{
    /**
     * 查询合同计划-国家项目年度经费预算科目
     *
     * @param id 合同计划-国家项目年度经费预算科目主键
     * @return 合同计划-国家项目年度经费预算科目
     */
    public HtjhGjxmndjfysKmys selectHtjhGjxmndjfysKmysById(Long id);

    /**
     * 查询合同计划-国家项目年度经费预算科目列表
     *
     * @param htjhGjxmndjfysKmys 合同计划-国家项目年度经费预算科目
     * @return 合同计划-国家项目年度经费预算科目集合
     */
    public List<HtjhGjxmndjfysKmys> selectHtjhGjxmndjfysKmysList(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys);

    /**
     * 新增合同计划-国家项目年度经费预算科目
     *
     * @param htjhGjxmndjfysKmys 合同计划-国家项目年度经费预算科目
     * @return 结果
     */
    public int insertHtjhGjxmndjfysKmys(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys);

    /**
     * 修改合同计划-国家项目年度经费预算科目
     *
     * @param htjhGjxmndjfysKmys 合同计划-国家项目年度经费预算科目
     * @return 结果
     */
    public int updateHtjhGjxmndjfysKmys(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys);

    /**
     * 批量删除合同计划-国家项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-国家项目年度经费预算科目主键集合
     * @return 结果
     */
    public int deleteHtjhGjxmndjfysKmysByIds(Long[] ids);

    /**
     * 删除合同计划-国家项目年度经费预算科目信息
     *
     * @param id 合同计划-国家项目年度经费预算科目主键
     * @return 结果
     */
    public int deleteHtjhGjxmndjfysKmysById(Long id);
}
