package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.HtjhSygcgsxmndjfysKmys;

/**
 * 合同计划-石油工程公司项目年度经费预算科目Service接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface IHtjhSygcgsxmndjfysKmysService
{
    /**
     * 查询合同计划-石油工程公司项目年度经费预算科目
     *
     * @param id 合同计划-石油工程公司项目年度经费预算科目主键
     * @return 合同计划-石油工程公司项目年度经费预算科目
     */
    public HtjhSygcgsxmndjfysKmys selectHtjhSygcgsxmndjfysKmysById(Long id);

    /**
     * 查询合同计划-石油工程公司项目年度经费预算科目列表
     *
     * @param htjhSygcgsxmndjfysKmys 合同计划-石油工程公司项目年度经费预算科目
     * @return 合同计划-石油工程公司项目年度经费预算科目集合
     */
    public List<HtjhSygcgsxmndjfysKmys> selectHtjhSygcgsxmndjfysKmysList(HtjhSygcgsxmndjfysKmys htjhSygcgsxmndjfysKmys);

    /**
     * 新增合同计划-石油工程公司项目年度经费预算科目
     *
     * @param htjhSygcgsxmndjfysKmys 合同计划-石油工程公司项目年度经费预算科目
     * @return 结果
     */
    public int insertHtjhSygcgsxmndjfysKmys(HtjhSygcgsxmndjfysKmys htjhSygcgsxmndjfysKmys);

    /**
     * 修改合同计划-石油工程公司项目年度经费预算科目
     *
     * @param htjhSygcgsxmndjfysKmys 合同计划-石油工程公司项目年度经费预算科目
     * @return 结果
     */
    public int updateHtjhSygcgsxmndjfysKmys(HtjhSygcgsxmndjfysKmys htjhSygcgsxmndjfysKmys);

    /**
     * 批量删除合同计划-石油工程公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-石油工程公司项目年度经费预算科目主键集合
     * @return 结果
     */
    public int deleteHtjhSygcgsxmndjfysKmysByIds(Long[] ids);

    /**
     * 删除合同计划-石油工程公司项目年度经费预算科目信息
     *
     * @param id 合同计划-石油工程公司项目年度经费预算科目主键
     * @return 结果
     */
    public int deleteHtjhSygcgsxmndjfysKmysById(Long id);
}
