package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Jfndzctzmx;

/**
 * 经费年度实际支出台账明细Service接口
 *
 * @author ruoyi
 * @date 2025-02-19
 */
public interface IJfndzctzmxService
{
    /**
     * 查询经费年度实际支出台账明细
     *
     * @param id 经费年度实际支出台账明细主键
     * @return 经费年度实际支出台账明细
     */
    public Jfndzctzmx selectJfndzctzmxById(Long id);

    /**
     * 查询经费年度实际支出台账明细列表
     *
     * @param jfndzctzmx 经费年度实际支出台账明细
     * @return 经费年度实际支出台账明细集合
     */
    public List<Jfndzctzmx> selectJfndzctzmxList(Jfndzctzmx jfndzctzmx);

    /**
     * 新增经费年度实际支出台账明细
     *
     * @param jfndzctzmx 经费年度实际支出台账明细
     * @return 结果
     */
    public int insertJfndzctzmx(Jfndzctzmx jfndzctzmx);

    /**
     * 修改经费年度实际支出台账明细
     *
     * @param jfndzctzmx 经费年度实际支出台账明细
     * @return 结果
     */
    public int updateJfndzctzmx(Jfndzctzmx jfndzctzmx);

    /**
     * 批量删除经费年度实际支出台账明细
     *
     * @param ids 需要删除的经费年度实际支出台账明细主键集合
     * @return 结果
     */
    public int deleteJfndzctzmxByIds(Long[] ids);

    /**
     * 删除经费年度实际支出台账明细信息
     *
     * @param id 经费年度实际支出台账明细主键
     * @return 结果
     */
    public int deleteJfndzctzmxById(Long id);
}
