package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ErpWbsbhXdxxMapper;
import com.ruoyi.system.domain.ErpWbsbhXdxx;
import com.ruoyi.system.service.IErpWbsbhXdxxService;

/**
 * ERP管理-WBS编号_下达信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-17
 */
@Service
public class ErpWbsbhXdxxServiceImpl implements IErpWbsbhXdxxService
{
    @Autowired
    private ErpWbsbhXdxxMapper erpWbsbhXdxxMapper;

    /**
     * 查询ERP管理-WBS编号_下达信息
     *
     * @param id ERP管理-WBS编号_下达信息主键
     * @return ERP管理-WBS编号_下达信息
     */
    @Override
    public ErpWbsbhXdxx selectErpWbsbhXdxxById(Long id)
    {
        return erpWbsbhXdxxMapper.selectErpWbsbhXdxxById(id);
    }

    /**
     * 查询ERP管理-WBS编号_下达信息列表
     *
     * @param erpWbsbhXdxx ERP管理-WBS编号_下达信息
     * @return ERP管理-WBS编号_下达信息
     */
    @Override
    public List<ErpWbsbhXdxx> selectErpWbsbhXdxxList(ErpWbsbhXdxx erpWbsbhXdxx)
    {
        return erpWbsbhXdxxMapper.selectErpWbsbhXdxxList(erpWbsbhXdxx);
    }

    /**
     * 新增ERP管理-WBS编号_下达信息
     *
     * @param erpWbsbhXdxx ERP管理-WBS编号_下达信息
     * @return 结果
     */
    @Override
    public int insertErpWbsbhXdxx(ErpWbsbhXdxx erpWbsbhXdxx)
    {
        return erpWbsbhXdxxMapper.insertErpWbsbhXdxx(erpWbsbhXdxx);
    }

    /**
     * 修改ERP管理-WBS编号_下达信息
     *
     * @param erpWbsbhXdxx ERP管理-WBS编号_下达信息
     * @return 结果
     */
    @Override
    public int updateErpWbsbhXdxx(ErpWbsbhXdxx erpWbsbhXdxx)
    {
        return erpWbsbhXdxxMapper.updateErpWbsbhXdxx(erpWbsbhXdxx);
    }

    /**
     * 批量删除ERP管理-WBS编号_下达信息
     *
     * @param ids 需要删除的ERP管理-WBS编号_下达信息主键
     * @return 结果
     */
    @Override
    public int deleteErpWbsbhXdxxByIds(Long[] ids)
    {
        return erpWbsbhXdxxMapper.deleteErpWbsbhXdxxByIds(ids);
    }

    /**
     * 删除ERP管理-WBS编号_下达信息信息
     *
     * @param id ERP管理-WBS编号_下达信息主键
     * @return 结果
     */
    @Override
    public int deleteErpWbsbhXdxxById(Long id)
    {
        return erpWbsbhXdxxMapper.deleteErpWbsbhXdxxById(id);
    }
}
