package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtrwsJbxxNdjfMapper;
import com.ruoyi.system.domain.HistoryProjectHtrwsJbxxNdjf;
import com.ruoyi.system.service.IHistoryProjectHtrwsJbxxNdjfService;

/**
 * 合同（任务书）项目（课题）基本信息_年度经费Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtrwsJbxxNdjfServiceImpl implements IHistoryProjectHtrwsJbxxNdjfService
{
    @Autowired
    private HistoryProjectHtrwsJbxxNdjfMapper historyProjectHtrwsJbxxNdjfMapper;

    /**
     * 查询合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param id 合同（任务书）项目（课题）基本信息_年度经费主键
     * @return 合同（任务书）项目（课题）基本信息_年度经费
     */
    @Override
    public HistoryProjectHtrwsJbxxNdjf selectHistoryProjectHtrwsJbxxNdjfById(Long id)
    {
        return historyProjectHtrwsJbxxNdjfMapper.selectHistoryProjectHtrwsJbxxNdjfById(id);
    }

    /**
     * 查询合同（任务书）项目（课题）基本信息_年度经费列表
     *
     * @param historyProjectHtrwsJbxxNdjf 合同（任务书）项目（课题）基本信息_年度经费
     * @return 合同（任务书）项目（课题）基本信息_年度经费
     */
    @Override
    public List<HistoryProjectHtrwsJbxxNdjf> selectHistoryProjectHtrwsJbxxNdjfList(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        return historyProjectHtrwsJbxxNdjfMapper.selectHistoryProjectHtrwsJbxxNdjfList(historyProjectHtrwsJbxxNdjf);
    }

    /**
     * 新增合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param historyProjectHtrwsJbxxNdjf 合同（任务书）项目（课题）基本信息_年度经费
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtrwsJbxxNdjf(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        return historyProjectHtrwsJbxxNdjfMapper.insertHistoryProjectHtrwsJbxxNdjf(historyProjectHtrwsJbxxNdjf);
    }

    /**
     * 修改合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param historyProjectHtrwsJbxxNdjf 合同（任务书）项目（课题）基本信息_年度经费
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtrwsJbxxNdjf(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf)
    {
        return historyProjectHtrwsJbxxNdjfMapper.updateHistoryProjectHtrwsJbxxNdjf(historyProjectHtrwsJbxxNdjf);
    }

    /**
     * 批量删除合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param ids 需要删除的合同（任务书）项目（课题）基本信息_年度经费主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtrwsJbxxNdjfByIds(Long[] ids)
    {
        return historyProjectHtrwsJbxxNdjfMapper.deleteHistoryProjectHtrwsJbxxNdjfByIds(ids);
    }

    /**
     * 删除合同（任务书）项目（课题）基本信息_年度经费信息
     *
     * @param id 合同（任务书）项目（课题）基本信息_年度经费主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtrwsJbxxNdjfById(Long id)
    {
        return historyProjectHtrwsJbxxNdjfMapper.deleteHistoryProjectHtrwsJbxxNdjfById(id);
    }
}
