package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtwtxyJbxxFyfpmxMapper;
import com.ruoyi.system.domain.HistoryProjectHtwtxyJbxxFyfpmx;
import com.ruoyi.system.service.IHistoryProjectHtwtxyJbxxFyfpmxService;

/**
 * 委托协议基本信息_费用分配明细Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtwtxyJbxxFyfpmxServiceImpl implements IHistoryProjectHtwtxyJbxxFyfpmxService
{
    @Autowired
    private HistoryProjectHtwtxyJbxxFyfpmxMapper historyProjectHtwtxyJbxxFyfpmxMapper;

    /**
     * 查询委托协议基本信息_费用分配明细
     *
     * @param id 委托协议基本信息_费用分配明细主键
     * @return 委托协议基本信息_费用分配明细
     */
    @Override
    public HistoryProjectHtwtxyJbxxFyfpmx selectHistoryProjectHtwtxyJbxxFyfpmxById(Long id)
    {
        return historyProjectHtwtxyJbxxFyfpmxMapper.selectHistoryProjectHtwtxyJbxxFyfpmxById(id);
    }

    /**
     * 查询委托协议基本信息_费用分配明细列表
     *
     * @param historyProjectHtwtxyJbxxFyfpmx 委托协议基本信息_费用分配明细
     * @return 委托协议基本信息_费用分配明细
     */
    @Override
    public List<HistoryProjectHtwtxyJbxxFyfpmx> selectHistoryProjectHtwtxyJbxxFyfpmxList(HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        return historyProjectHtwtxyJbxxFyfpmxMapper.selectHistoryProjectHtwtxyJbxxFyfpmxList(historyProjectHtwtxyJbxxFyfpmx);
    }

    /**
     * 新增委托协议基本信息_费用分配明细
     *
     * @param historyProjectHtwtxyJbxxFyfpmx 委托协议基本信息_费用分配明细
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtwtxyJbxxFyfpmx(HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        return historyProjectHtwtxyJbxxFyfpmxMapper.insertHistoryProjectHtwtxyJbxxFyfpmx(historyProjectHtwtxyJbxxFyfpmx);
    }

    /**
     * 修改委托协议基本信息_费用分配明细
     *
     * @param historyProjectHtwtxyJbxxFyfpmx 委托协议基本信息_费用分配明细
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtwtxyJbxxFyfpmx(HistoryProjectHtwtxyJbxxFyfpmx historyProjectHtwtxyJbxxFyfpmx)
    {
        return historyProjectHtwtxyJbxxFyfpmxMapper.updateHistoryProjectHtwtxyJbxxFyfpmx(historyProjectHtwtxyJbxxFyfpmx);
    }

    /**
     * 批量删除委托协议基本信息_费用分配明细
     *
     * @param ids 需要删除的委托协议基本信息_费用分配明细主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtwtxyJbxxFyfpmxByIds(Long[] ids)
    {
        return historyProjectHtwtxyJbxxFyfpmxMapper.deleteHistoryProjectHtwtxyJbxxFyfpmxByIds(ids);
    }

    /**
     * 删除委托协议基本信息_费用分配明细信息
     *
     * @param id 委托协议基本信息_费用分配明细主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtwtxyJbxxFyfpmxById(Long id)
    {
        return historyProjectHtwtxyJbxxFyfpmxMapper.deleteHistoryProjectHtwtxyJbxxFyfpmxById(id);
    }
}
