package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtyysJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtyysJbxx;
import com.ruoyi.system.service.IHistoryProjectHtyysJbxxService;

/**
 * 预验收信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtyysJbxxServiceImpl implements IHistoryProjectHtyysJbxxService
{
    @Autowired
    private HistoryProjectHtyysJbxxMapper historyProjectHtyysJbxxMapper;

    /**
     * 查询预验收信息
     *
     * @param id 预验收信息主键
     * @return 预验收信息
     */
    @Override
    public HistoryProjectHtyysJbxx selectHistoryProjectHtyysJbxxById(Long id)
    {
        return historyProjectHtyysJbxxMapper.selectHistoryProjectHtyysJbxxById(id);
    }

    /**
     * 查询预验收信息列表
     *
     * @param historyProjectHtyysJbxx 预验收信息
     * @return 预验收信息
     */
    @Override
    public List<HistoryProjectHtyysJbxx> selectHistoryProjectHtyysJbxxList(HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        return historyProjectHtyysJbxxMapper.selectHistoryProjectHtyysJbxxList(historyProjectHtyysJbxx);
    }

    /**
     * 新增预验收信息
     *
     * @param historyProjectHtyysJbxx 预验收信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtyysJbxx(HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        return historyProjectHtyysJbxxMapper.insertHistoryProjectHtyysJbxx(historyProjectHtyysJbxx);
    }

    /**
     * 修改预验收信息
     *
     * @param historyProjectHtyysJbxx 预验收信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtyysJbxx(HistoryProjectHtyysJbxx historyProjectHtyysJbxx)
    {
        return historyProjectHtyysJbxxMapper.updateHistoryProjectHtyysJbxx(historyProjectHtyysJbxx);
    }

    /**
     * 批量删除预验收信息
     *
     * @param ids 需要删除的预验收信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtyysJbxxByIds(Long[] ids)
    {
        return historyProjectHtyysJbxxMapper.deleteHistoryProjectHtyysJbxxByIds(ids);
    }

    /**
     * 删除预验收信息信息
     *
     * @param id 预验收信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtyysJbxxById(Long id)
    {
        return historyProjectHtyysJbxxMapper.deleteHistoryProjectHtyysJbxxById(id);
    }
}
