package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhDqwlgsxmndjfysKmysMapper;
import com.ruoyi.system.domain.HtjhDqwlgsxmndjfysKmys;
import com.ruoyi.system.service.IHtjhDqwlgsxmndjfysKmysService;

/**
 * 合同计划-地球物理公司项目年度经费预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhDqwlgsxmndjfysKmysServiceImpl implements IHtjhDqwlgsxmndjfysKmysService
{
    @Autowired
    private HtjhDqwlgsxmndjfysKmysMapper htjhDqwlgsxmndjfysKmysMapper;

    /**
     * 查询合同计划-地球物理公司项目年度经费预算科目
     *
     * @param id 合同计划-地球物理公司项目年度经费预算科目主键
     * @return 合同计划-地球物理公司项目年度经费预算科目
     */
    @Override
    public HtjhDqwlgsxmndjfysKmys selectHtjhDqwlgsxmndjfysKmysById(Long id)
    {
        return htjhDqwlgsxmndjfysKmysMapper.selectHtjhDqwlgsxmndjfysKmysById(id);
    }

    /**
     * 查询合同计划-地球物理公司项目年度经费预算科目列表
     *
     * @param htjhDqwlgsxmndjfysKmys 合同计划-地球物理公司项目年度经费预算科目
     * @return 合同计划-地球物理公司项目年度经费预算科目
     */
    @Override
    public List<HtjhDqwlgsxmndjfysKmys> selectHtjhDqwlgsxmndjfysKmysList(HtjhDqwlgsxmndjfysKmys htjhDqwlgsxmndjfysKmys)
    {
        return htjhDqwlgsxmndjfysKmysMapper.selectHtjhDqwlgsxmndjfysKmysList(htjhDqwlgsxmndjfysKmys);
    }

    /**
     * 新增合同计划-地球物理公司项目年度经费预算科目
     *
     * @param htjhDqwlgsxmndjfysKmys 合同计划-地球物理公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhDqwlgsxmndjfysKmys(HtjhDqwlgsxmndjfysKmys htjhDqwlgsxmndjfysKmys)
    {
        return htjhDqwlgsxmndjfysKmysMapper.insertHtjhDqwlgsxmndjfysKmys(htjhDqwlgsxmndjfysKmys);
    }

    /**
     * 修改合同计划-地球物理公司项目年度经费预算科目
     *
     * @param htjhDqwlgsxmndjfysKmys 合同计划-地球物理公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhDqwlgsxmndjfysKmys(HtjhDqwlgsxmndjfysKmys htjhDqwlgsxmndjfysKmys)
    {
        return htjhDqwlgsxmndjfysKmysMapper.updateHtjhDqwlgsxmndjfysKmys(htjhDqwlgsxmndjfysKmys);
    }

    /**
     * 批量删除合同计划-地球物理公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-地球物理公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhDqwlgsxmndjfysKmysByIds(Long[] ids)
    {
        return htjhDqwlgsxmndjfysKmysMapper.deleteHtjhDqwlgsxmndjfysKmysByIds(ids);
    }

    /**
     * 删除合同计划-地球物理公司项目年度经费预算科目信息
     *
     * @param id 合同计划-地球物理公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhDqwlgsxmndjfysKmysById(Long id)
    {
        return htjhDqwlgsxmndjfysKmysMapper.deleteHtjhDqwlgsxmndjfysKmysById(id);
    }
}
