package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhFgsxmndjfysKmysMapper;
import com.ruoyi.system.domain.HtjhFgsxmndjfysKmys;
import com.ruoyi.system.service.IHtjhFgsxmndjfysKmysService;

/**
 * 合同计划-分公司项目年度经费预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhFgsxmndjfysKmysServiceImpl implements IHtjhFgsxmndjfysKmysService
{
    @Autowired
    private HtjhFgsxmndjfysKmysMapper htjhFgsxmndjfysKmysMapper;

    /**
     * 查询合同计划-分公司项目年度经费预算科目
     *
     * @param id 合同计划-分公司项目年度经费预算科目主键
     * @return 合同计划-分公司项目年度经费预算科目
     */
    @Override
    public HtjhFgsxmndjfysKmys selectHtjhFgsxmndjfysKmysById(Long id)
    {
        return htjhFgsxmndjfysKmysMapper.selectHtjhFgsxmndjfysKmysById(id);
    }

    /**
     * 查询合同计划-分公司项目年度经费预算科目列表
     *
     * @param htjhFgsxmndjfysKmys 合同计划-分公司项目年度经费预算科目
     * @return 合同计划-分公司项目年度经费预算科目
     */
    @Override
    public List<HtjhFgsxmndjfysKmys> selectHtjhFgsxmndjfysKmysList(HtjhFgsxmndjfysKmys htjhFgsxmndjfysKmys)
    {
        return htjhFgsxmndjfysKmysMapper.selectHtjhFgsxmndjfysKmysList(htjhFgsxmndjfysKmys);
    }

    /**
     * 新增合同计划-分公司项目年度经费预算科目
     *
     * @param htjhFgsxmndjfysKmys 合同计划-分公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhFgsxmndjfysKmys(HtjhFgsxmndjfysKmys htjhFgsxmndjfysKmys)
    {
        return htjhFgsxmndjfysKmysMapper.insertHtjhFgsxmndjfysKmys(htjhFgsxmndjfysKmys);
    }

    /**
     * 修改合同计划-分公司项目年度经费预算科目
     *
     * @param htjhFgsxmndjfysKmys 合同计划-分公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhFgsxmndjfysKmys(HtjhFgsxmndjfysKmys htjhFgsxmndjfysKmys)
    {
        return htjhFgsxmndjfysKmysMapper.updateHtjhFgsxmndjfysKmys(htjhFgsxmndjfysKmys);
    }

    /**
     * 批量删除合同计划-分公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-分公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhFgsxmndjfysKmysByIds(Long[] ids)
    {
        return htjhFgsxmndjfysKmysMapper.deleteHtjhFgsxmndjfysKmysByIds(ids);
    }

    /**
     * 删除合同计划-分公司项目年度经费预算科目信息
     *
     * @param id 合同计划-分公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhFgsxmndjfysKmysById(Long id)
    {
        return htjhFgsxmndjfysKmysMapper.deleteHtjhFgsxmndjfysKmysById(id);
    }
}
