package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhFgsxmndjfysMapper;
import com.ruoyi.system.domain.HtjhFgsxmndjfys;
import com.ruoyi.system.service.IHtjhFgsxmndjfysService;

/**
 * 合同计划-分公司项目年度经费预算主Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhFgsxmndjfysServiceImpl implements IHtjhFgsxmndjfysService
{
    @Autowired
    private HtjhFgsxmndjfysMapper htjhFgsxmndjfysMapper;

    /**
     * 查询合同计划-分公司项目年度经费预算主
     *
     * @param id 合同计划-分公司项目年度经费预算主主键
     * @return 合同计划-分公司项目年度经费预算主
     */
    @Override
    public HtjhFgsxmndjfys selectHtjhFgsxmndjfysById(Long id)
    {
        return htjhFgsxmndjfysMapper.selectHtjhFgsxmndjfysById(id);
    }

    /**
     * 查询合同计划-分公司项目年度经费预算主列表
     *
     * @param htjhFgsxmndjfys 合同计划-分公司项目年度经费预算主
     * @return 合同计划-分公司项目年度经费预算主
     */
    @Override
    public List<HtjhFgsxmndjfys> selectHtjhFgsxmndjfysList(HtjhFgsxmndjfys htjhFgsxmndjfys)
    {
        return htjhFgsxmndjfysMapper.selectHtjhFgsxmndjfysList(htjhFgsxmndjfys);
    }

    /**
     * 新增合同计划-分公司项目年度经费预算主
     *
     * @param htjhFgsxmndjfys 合同计划-分公司项目年度经费预算主
     * @return 结果
     */
    @Override
    public int insertHtjhFgsxmndjfys(HtjhFgsxmndjfys htjhFgsxmndjfys)
    {
        return htjhFgsxmndjfysMapper.insertHtjhFgsxmndjfys(htjhFgsxmndjfys);
    }

    /**
     * 修改合同计划-分公司项目年度经费预算主
     *
     * @param htjhFgsxmndjfys 合同计划-分公司项目年度经费预算主
     * @return 结果
     */
    @Override
    public int updateHtjhFgsxmndjfys(HtjhFgsxmndjfys htjhFgsxmndjfys)
    {
        return htjhFgsxmndjfysMapper.updateHtjhFgsxmndjfys(htjhFgsxmndjfys);
    }

    /**
     * 批量删除合同计划-分公司项目年度经费预算主
     *
     * @param ids 需要删除的合同计划-分公司项目年度经费预算主主键
     * @return 结果
     */
    @Override
    public int deleteHtjhFgsxmndjfysByIds(Long[] ids)
    {
        return htjhFgsxmndjfysMapper.deleteHtjhFgsxmndjfysByIds(ids);
    }

    /**
     * 删除合同计划-分公司项目年度经费预算主信息
     *
     * @param id 合同计划-分公司项目年度经费预算主主键
     * @return 结果
     */
    @Override
    public int deleteHtjhFgsxmndjfysById(Long id)
    {
        return htjhFgsxmndjfysMapper.deleteHtjhFgsxmndjfysById(id);
    }
}
