package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhGfgsxmndjfysKmysMapper;
import com.ruoyi.system.domain.HtjhGfgsxmndjfysKmys;
import com.ruoyi.system.service.IHtjhGfgsxmndjfysKmysService;

/**
 * 合同计划-股份公司项目年度经费预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhGfgsxmndjfysKmysServiceImpl implements IHtjhGfgsxmndjfysKmysService
{
    @Autowired
    private HtjhGfgsxmndjfysKmysMapper htjhGfgsxmndjfysKmysMapper;

    /**
     * 查询合同计划-股份公司项目年度经费预算科目
     *
     * @param id 合同计划-股份公司项目年度经费预算科目主键
     * @return 合同计划-股份公司项目年度经费预算科目
     */
    @Override
    public HtjhGfgsxmndjfysKmys selectHtjhGfgsxmndjfysKmysById(Long id)
    {
        return htjhGfgsxmndjfysKmysMapper.selectHtjhGfgsxmndjfysKmysById(id);
    }

    /**
     * 查询合同计划-股份公司项目年度经费预算科目列表
     *
     * @param htjhGfgsxmndjfysKmys 合同计划-股份公司项目年度经费预算科目
     * @return 合同计划-股份公司项目年度经费预算科目
     */
    @Override
    public List<HtjhGfgsxmndjfysKmys> selectHtjhGfgsxmndjfysKmysList(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        return htjhGfgsxmndjfysKmysMapper.selectHtjhGfgsxmndjfysKmysList(htjhGfgsxmndjfysKmys);
    }

    /**
     * 新增合同计划-股份公司项目年度经费预算科目
     *
     * @param htjhGfgsxmndjfysKmys 合同计划-股份公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhGfgsxmndjfysKmys(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        return htjhGfgsxmndjfysKmysMapper.insertHtjhGfgsxmndjfysKmys(htjhGfgsxmndjfysKmys);
    }

    /**
     * 修改合同计划-股份公司项目年度经费预算科目
     *
     * @param htjhGfgsxmndjfysKmys 合同计划-股份公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhGfgsxmndjfysKmys(HtjhGfgsxmndjfysKmys htjhGfgsxmndjfysKmys)
    {
        return htjhGfgsxmndjfysKmysMapper.updateHtjhGfgsxmndjfysKmys(htjhGfgsxmndjfysKmys);
    }

    /**
     * 批量删除合同计划-股份公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-股份公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGfgsxmndjfysKmysByIds(Long[] ids)
    {
        return htjhGfgsxmndjfysKmysMapper.deleteHtjhGfgsxmndjfysKmysByIds(ids);
    }

    /**
     * 删除合同计划-股份公司项目年度经费预算科目信息
     *
     * @param id 合同计划-股份公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGfgsxmndjfysKmysById(Long id)
    {
        return htjhGfgsxmndjfysKmysMapper.deleteHtjhGfgsxmndjfysKmysById(id);
    }
}
