package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhGfgsxmndjfysMapper;
import com.ruoyi.system.domain.HtjhGfgsxmndjfys;
import com.ruoyi.system.service.IHtjhGfgsxmndjfysService;

/**
 * 合同计划-股份公司项目年度经费预算主Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhGfgsxmndjfysServiceImpl implements IHtjhGfgsxmndjfysService
{
    @Autowired
    private HtjhGfgsxmndjfysMapper htjhGfgsxmndjfysMapper;

    /**
     * 查询合同计划-股份公司项目年度经费预算主
     *
     * @param id 合同计划-股份公司项目年度经费预算主主键
     * @return 合同计划-股份公司项目年度经费预算主
     */
    @Override
    public HtjhGfgsxmndjfys selectHtjhGfgsxmndjfysById(Long id)
    {
        return htjhGfgsxmndjfysMapper.selectHtjhGfgsxmndjfysById(id);
    }

    /**
     * 查询合同计划-股份公司项目年度经费预算主列表
     *
     * @param htjhGfgsxmndjfys 合同计划-股份公司项目年度经费预算主
     * @return 合同计划-股份公司项目年度经费预算主
     */
    @Override
    public List<HtjhGfgsxmndjfys> selectHtjhGfgsxmndjfysList(HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        return htjhGfgsxmndjfysMapper.selectHtjhGfgsxmndjfysList(htjhGfgsxmndjfys);
    }

    /**
     * 新增合同计划-股份公司项目年度经费预算主
     *
     * @param htjhGfgsxmndjfys 合同计划-股份公司项目年度经费预算主
     * @return 结果
     */
    @Override
    public int insertHtjhGfgsxmndjfys(HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        return htjhGfgsxmndjfysMapper.insertHtjhGfgsxmndjfys(htjhGfgsxmndjfys);
    }

    /**
     * 修改合同计划-股份公司项目年度经费预算主
     *
     * @param htjhGfgsxmndjfys 合同计划-股份公司项目年度经费预算主
     * @return 结果
     */
    @Override
    public int updateHtjhGfgsxmndjfys(HtjhGfgsxmndjfys htjhGfgsxmndjfys)
    {
        return htjhGfgsxmndjfysMapper.updateHtjhGfgsxmndjfys(htjhGfgsxmndjfys);
    }

    /**
     * 批量删除合同计划-股份公司项目年度经费预算主
     *
     * @param ids 需要删除的合同计划-股份公司项目年度经费预算主主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGfgsxmndjfysByIds(Long[] ids)
    {
        return htjhGfgsxmndjfysMapper.deleteHtjhGfgsxmndjfysByIds(ids);
    }

    /**
     * 删除合同计划-股份公司项目年度经费预算主信息
     *
     * @param id 合同计划-股份公司项目年度经费预算主主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGfgsxmndjfysById(Long id)
    {
        return htjhGfgsxmndjfysMapper.deleteHtjhGfgsxmndjfysById(id);
    }
}
