package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhGjxmndjfysKmysMapper;
import com.ruoyi.system.domain.HtjhGjxmndjfysKmys;
import com.ruoyi.system.service.IHtjhGjxmndjfysKmysService;

/**
 * 合同计划-国家项目年度经费预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhGjxmndjfysKmysServiceImpl implements IHtjhGjxmndjfysKmysService
{
    @Autowired
    private HtjhGjxmndjfysKmysMapper htjhGjxmndjfysKmysMapper;

    /**
     * 查询合同计划-国家项目年度经费预算科目
     *
     * @param id 合同计划-国家项目年度经费预算科目主键
     * @return 合同计划-国家项目年度经费预算科目
     */
    @Override
    public HtjhGjxmndjfysKmys selectHtjhGjxmndjfysKmysById(Long id)
    {
        return htjhGjxmndjfysKmysMapper.selectHtjhGjxmndjfysKmysById(id);
    }

    /**
     * 查询合同计划-国家项目年度经费预算科目列表
     *
     * @param htjhGjxmndjfysKmys 合同计划-国家项目年度经费预算科目
     * @return 合同计划-国家项目年度经费预算科目
     */
    @Override
    public List<HtjhGjxmndjfysKmys> selectHtjhGjxmndjfysKmysList(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        return htjhGjxmndjfysKmysMapper.selectHtjhGjxmndjfysKmysList(htjhGjxmndjfysKmys);
    }

    /**
     * 新增合同计划-国家项目年度经费预算科目
     *
     * @param htjhGjxmndjfysKmys 合同计划-国家项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhGjxmndjfysKmys(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        return htjhGjxmndjfysKmysMapper.insertHtjhGjxmndjfysKmys(htjhGjxmndjfysKmys);
    }

    /**
     * 修改合同计划-国家项目年度经费预算科目
     *
     * @param htjhGjxmndjfysKmys 合同计划-国家项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhGjxmndjfysKmys(HtjhGjxmndjfysKmys htjhGjxmndjfysKmys)
    {
        return htjhGjxmndjfysKmysMapper.updateHtjhGjxmndjfysKmys(htjhGjxmndjfysKmys);
    }

    /**
     * 批量删除合同计划-国家项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-国家项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysKmysByIds(Long[] ids)
    {
        return htjhGjxmndjfysKmysMapper.deleteHtjhGjxmndjfysKmysByIds(ids);
    }

    /**
     * 删除合同计划-国家项目年度经费预算科目信息
     *
     * @param id 合同计划-国家项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysKmysById(Long id)
    {
        return htjhGjxmndjfysKmysMapper.deleteHtjhGjxmndjfysKmysById(id);
    }
}
