package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhGjxmndjfysYsmxMapper;
import com.ruoyi.system.domain.HtjhGjxmndjfysYsmx;
import com.ruoyi.system.service.IHtjhGjxmndjfysYsmxService;

/**
 * 合同计划-国家项目年度经费预算-预算明细Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhGjxmndjfysYsmxServiceImpl implements IHtjhGjxmndjfysYsmxService
{
    @Autowired
    private HtjhGjxmndjfysYsmxMapper htjhGjxmndjfysYsmxMapper;

    /**
     * 查询合同计划-国家项目年度经费预算-预算明细
     *
     * @param id 合同计划-国家项目年度经费预算-预算明细主键
     * @return 合同计划-国家项目年度经费预算-预算明细
     */
    @Override
    public HtjhGjxmndjfysYsmx selectHtjhGjxmndjfysYsmxById(Long id)
    {
        return htjhGjxmndjfysYsmxMapper.selectHtjhGjxmndjfysYsmxById(id);
    }

    /**
     * 查询合同计划-国家项目年度经费预算-预算明细列表
     *
     * @param htjhGjxmndjfysYsmx 合同计划-国家项目年度经费预算-预算明细
     * @return 合同计划-国家项目年度经费预算-预算明细
     */
    @Override
    public List<HtjhGjxmndjfysYsmx> selectHtjhGjxmndjfysYsmxList(HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        return htjhGjxmndjfysYsmxMapper.selectHtjhGjxmndjfysYsmxList(htjhGjxmndjfysYsmx);
    }

    /**
     * 新增合同计划-国家项目年度经费预算-预算明细
     *
     * @param htjhGjxmndjfysYsmx 合同计划-国家项目年度经费预算-预算明细
     * @return 结果
     */
    @Override
    public int insertHtjhGjxmndjfysYsmx(HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        return htjhGjxmndjfysYsmxMapper.insertHtjhGjxmndjfysYsmx(htjhGjxmndjfysYsmx);
    }

    /**
     * 修改合同计划-国家项目年度经费预算-预算明细
     *
     * @param htjhGjxmndjfysYsmx 合同计划-国家项目年度经费预算-预算明细
     * @return 结果
     */
    @Override
    public int updateHtjhGjxmndjfysYsmx(HtjhGjxmndjfysYsmx htjhGjxmndjfysYsmx)
    {
        return htjhGjxmndjfysYsmxMapper.updateHtjhGjxmndjfysYsmx(htjhGjxmndjfysYsmx);
    }

    /**
     * 批量删除合同计划-国家项目年度经费预算-预算明细
     *
     * @param ids 需要删除的合同计划-国家项目年度经费预算-预算明细主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysYsmxByIds(Long[] ids)
    {
        return htjhGjxmndjfysYsmxMapper.deleteHtjhGjxmndjfysYsmxByIds(ids);
    }

    /**
     * 删除合同计划-国家项目年度经费预算-预算明细信息
     *
     * @param id 合同计划-国家项目年度经费预算-预算明细主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysYsmxById(Long id)
    {
        return htjhGjxmndjfysYsmxMapper.deleteHtjhGjxmndjfysYsmxById(id);
    }
}
