package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhJtgsxmndjfysKmysMapper;
import com.ruoyi.system.domain.HtjhJtgsxmndjfysKmys;
import com.ruoyi.system.service.IHtjhJtgsxmndjfysKmysService;

/**
 * 合同计划-集团公司项目年度经费预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhJtgsxmndjfysKmysServiceImpl implements IHtjhJtgsxmndjfysKmysService
{
    @Autowired
    private HtjhJtgsxmndjfysKmysMapper htjhJtgsxmndjfysKmysMapper;

    /**
     * 查询合同计划-集团公司项目年度经费预算科目
     *
     * @param id 合同计划-集团公司项目年度经费预算科目主键
     * @return 合同计划-集团公司项目年度经费预算科目
     */
    @Override
    public HtjhJtgsxmndjfysKmys selectHtjhJtgsxmndjfysKmysById(Long id)
    {
        return htjhJtgsxmndjfysKmysMapper.selectHtjhJtgsxmndjfysKmysById(id);
    }

    /**
     * 查询合同计划-集团公司项目年度经费预算科目列表
     *
     * @param htjhJtgsxmndjfysKmys 合同计划-集团公司项目年度经费预算科目
     * @return 合同计划-集团公司项目年度经费预算科目
     */
    @Override
    public List<HtjhJtgsxmndjfysKmys> selectHtjhJtgsxmndjfysKmysList(HtjhJtgsxmndjfysKmys htjhJtgsxmndjfysKmys)
    {
        return htjhJtgsxmndjfysKmysMapper.selectHtjhJtgsxmndjfysKmysList(htjhJtgsxmndjfysKmys);
    }

    /**
     * 新增合同计划-集团公司项目年度经费预算科目
     *
     * @param htjhJtgsxmndjfysKmys 合同计划-集团公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhJtgsxmndjfysKmys(HtjhJtgsxmndjfysKmys htjhJtgsxmndjfysKmys)
    {
        return htjhJtgsxmndjfysKmysMapper.insertHtjhJtgsxmndjfysKmys(htjhJtgsxmndjfysKmys);
    }

    /**
     * 修改合同计划-集团公司项目年度经费预算科目
     *
     * @param htjhJtgsxmndjfysKmys 合同计划-集团公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhJtgsxmndjfysKmys(HtjhJtgsxmndjfysKmys htjhJtgsxmndjfysKmys)
    {
        return htjhJtgsxmndjfysKmysMapper.updateHtjhJtgsxmndjfysKmys(htjhJtgsxmndjfysKmys);
    }

    /**
     * 批量删除合同计划-集团公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-集团公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhJtgsxmndjfysKmysByIds(Long[] ids)
    {
        return htjhJtgsxmndjfysKmysMapper.deleteHtjhJtgsxmndjfysKmysByIds(ids);
    }

    /**
     * 删除合同计划-集团公司项目年度经费预算科目信息
     *
     * @param id 合同计划-集团公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhJtgsxmndjfysKmysById(Long id)
    {
        return htjhJtgsxmndjfysKmysMapper.deleteHtjhJtgsxmndjfysKmysById(id);
    }
}
