package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhYskmMapper;
import com.ruoyi.system.domain.HtjhYskm;
import com.ruoyi.system.service.IHtjhYskmService;

/**
 * 合同计划-预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhYskmServiceImpl implements IHtjhYskmService
{
    @Autowired
    private HtjhYskmMapper htjhYskmMapper;

    /**
     * 查询合同计划-预算科目
     *
     * @param id 合同计划-预算科目主键
     * @return 合同计划-预算科目
     */
    @Override
    public HtjhYskm selectHtjhYskmById(Long id)
    {
        return htjhYskmMapper.selectHtjhYskmById(id);
    }

    /**
     * 查询合同计划-预算科目列表
     *
     * @param htjhYskm 合同计划-预算科目
     * @return 合同计划-预算科目
     */
    @Override
    public List<HtjhYskm> selectHtjhYskmList(HtjhYskm htjhYskm)
    {
        return htjhYskmMapper.selectHtjhYskmList(htjhYskm);
    }

    /**
     * 新增合同计划-预算科目
     *
     * @param htjhYskm 合同计划-预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhYskm(HtjhYskm htjhYskm)
    {
        return htjhYskmMapper.insertHtjhYskm(htjhYskm);
    }

    /**
     * 修改合同计划-预算科目
     *
     * @param htjhYskm 合同计划-预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhYskm(HtjhYskm htjhYskm)
    {
        return htjhYskmMapper.updateHtjhYskm(htjhYskm);
    }

    /**
     * 批量删除合同计划-预算科目
     *
     * @param ids 需要删除的合同计划-预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhYskmByIds(Long[] ids)
    {
        return htjhYskmMapper.deleteHtjhYskmByIds(ids);
    }

    /**
     * 删除合同计划-预算科目信息
     *
     * @param id 合同计划-预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhYskmById(Long id)
    {
        return htjhYskmMapper.deleteHtjhYskmById(id);
    }
}
