package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingWxyxyysJdapjkhzbMapper;
import com.ruoyi.system.domain.OutsourcingWxyxyysJdapjkhzb;
import com.ruoyi.system.service.IOutsourcingWxyxyysJdapjkhzbService;

/**
 * 外协运行与验收-进度安排及考核指标Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class OutsourcingWxyxyysJdapjkhzbServiceImpl implements IOutsourcingWxyxyysJdapjkhzbService
{
    @Autowired
    private OutsourcingWxyxyysJdapjkhzbMapper outsourcingWxyxyysJdapjkhzbMapper;

    /**
     * 查询外协运行与验收-进度安排及考核指标
     *
     * @param id 外协运行与验收-进度安排及考核指标主键
     * @return 外协运行与验收-进度安排及考核指标
     */
    @Override
    public OutsourcingWxyxyysJdapjkhzb selectOutsourcingWxyxyysJdapjkhzbById(Long id)
    {
        return outsourcingWxyxyysJdapjkhzbMapper.selectOutsourcingWxyxyysJdapjkhzbById(id);
    }

    /**
     * 查询外协运行与验收-进度安排及考核指标列表
     *
     * @param outsourcingWxyxyysJdapjkhzb 外协运行与验收-进度安排及考核指标
     * @return 外协运行与验收-进度安排及考核指标
     */
    @Override
    public List<OutsourcingWxyxyysJdapjkhzb> selectOutsourcingWxyxyysJdapjkhzbList(OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        return outsourcingWxyxyysJdapjkhzbMapper.selectOutsourcingWxyxyysJdapjkhzbList(outsourcingWxyxyysJdapjkhzb);
    }

    /**
     * 新增外协运行与验收-进度安排及考核指标
     *
     * @param outsourcingWxyxyysJdapjkhzb 外协运行与验收-进度安排及考核指标
     * @return 结果
     */
    @Override
    public int insertOutsourcingWxyxyysJdapjkhzb(OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        return outsourcingWxyxyysJdapjkhzbMapper.insertOutsourcingWxyxyysJdapjkhzb(outsourcingWxyxyysJdapjkhzb);
    }

    /**
     * 修改外协运行与验收-进度安排及考核指标
     *
     * @param outsourcingWxyxyysJdapjkhzb 外协运行与验收-进度安排及考核指标
     * @return 结果
     */
    @Override
    public int updateOutsourcingWxyxyysJdapjkhzb(OutsourcingWxyxyysJdapjkhzb outsourcingWxyxyysJdapjkhzb)
    {
        return outsourcingWxyxyysJdapjkhzbMapper.updateOutsourcingWxyxyysJdapjkhzb(outsourcingWxyxyysJdapjkhzb);
    }

    /**
     * 批量删除外协运行与验收-进度安排及考核指标
     *
     * @param ids 需要删除的外协运行与验收-进度安排及考核指标主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysJdapjkhzbByIds(Long[] ids)
    {
        return outsourcingWxyxyysJdapjkhzbMapper.deleteOutsourcingWxyxyysJdapjkhzbByIds(ids);
    }

    /**
     * 删除外协运行与验收-进度安排及考核指标信息
     *
     * @param id 外协运行与验收-进度安排及考核指标主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysJdapjkhzbById(Long id)
    {
        return outsourcingWxyxyysJdapjkhzbMapper.deleteOutsourcingWxyxyysJdapjkhzbById(id);
    }
}
