package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingWxyxyysKtyjryMapper;
import com.ruoyi.system.domain.OutsourcingWxyxyysKtyjry;
import com.ruoyi.system.service.IOutsourcingWxyxyysKtyjryService;

/**
 * 外协运行与验收-课题研究人员Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class OutsourcingWxyxyysKtyjryServiceImpl implements IOutsourcingWxyxyysKtyjryService
{
    @Autowired
    private OutsourcingWxyxyysKtyjryMapper outsourcingWxyxyysKtyjryMapper;

    /**
     * 查询外协运行与验收-课题研究人员
     *
     * @param id 外协运行与验收-课题研究人员主键
     * @return 外协运行与验收-课题研究人员
     */
    @Override
    public OutsourcingWxyxyysKtyjry selectOutsourcingWxyxyysKtyjryById(Long id)
    {
        return outsourcingWxyxyysKtyjryMapper.selectOutsourcingWxyxyysKtyjryById(id);
    }

    /**
     * 查询外协运行与验收-课题研究人员列表
     *
     * @param outsourcingWxyxyysKtyjry 外协运行与验收-课题研究人员
     * @return 外协运行与验收-课题研究人员
     */
    @Override
    public List<OutsourcingWxyxyysKtyjry> selectOutsourcingWxyxyysKtyjryList(OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        return outsourcingWxyxyysKtyjryMapper.selectOutsourcingWxyxyysKtyjryList(outsourcingWxyxyysKtyjry);
    }

    /**
     * 新增外协运行与验收-课题研究人员
     *
     * @param outsourcingWxyxyysKtyjry 外协运行与验收-课题研究人员
     * @return 结果
     */
    @Override
    public int insertOutsourcingWxyxyysKtyjry(OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        return outsourcingWxyxyysKtyjryMapper.insertOutsourcingWxyxyysKtyjry(outsourcingWxyxyysKtyjry);
    }

    /**
     * 修改外协运行与验收-课题研究人员
     *
     * @param outsourcingWxyxyysKtyjry 外协运行与验收-课题研究人员
     * @return 结果
     */
    @Override
    public int updateOutsourcingWxyxyysKtyjry(OutsourcingWxyxyysKtyjry outsourcingWxyxyysKtyjry)
    {
        return outsourcingWxyxyysKtyjryMapper.updateOutsourcingWxyxyysKtyjry(outsourcingWxyxyysKtyjry);
    }

    /**
     * 批量删除外协运行与验收-课题研究人员
     *
     * @param ids 需要删除的外协运行与验收-课题研究人员主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysKtyjryByIds(Long[] ids)
    {
        return outsourcingWxyxyysKtyjryMapper.deleteOutsourcingWxyxyysKtyjryByIds(ids);
    }

    /**
     * 删除外协运行与验收-课题研究人员信息
     *
     * @param id 外协运行与验收-课题研究人员主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysKtyjryById(Long id)
    {
        return outsourcingWxyxyysKtyjryMapper.deleteOutsourcingWxyxyysKtyjryById(id);
    }
}
