package com.ruoyi.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同（任务书）项目（课题）基本信息_年度经费对象 history_project_htrws_jbxx_ndjf
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtrwsJbxxNdjf extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 经费 */
    @Excel(name = "经费")
    private BigDecimal jf;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setJf(BigDecimal jf)
    {
        this.jf = jf;
    }

    public BigDecimal getJf()
    {
        return jf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("nd", getNd())
                .append("jf", getJf())
                .toString();
    }
}
