package com.ruoyi.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 委托协议基本信息对象 history_project_htwtxy_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtwtxyJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 受托方牵头单位 */
    @Excel(name = "受托方牵头单位")
    private String stfqddw;

    /** 受托方参加单位 */
    @Excel(name = "受托方参加单位")
    private String stfcjdw;

    /** 委托目的（如是单独与公司签订委托协议，只填写本单位承担部分的内容） */
    @Excel(name = "委托目的", readConverterExp = "如=是单独与公司签订委托协议，只填写本单位承担部分的内容")
    private String wtmd;

    /** 委托期限（如是单独与公司签订委托协议，只填写本单位承担部分的内容） */
    @Excel(name = "委托期限", readConverterExp = "如=是单独与公司签订委托协议，只填写本单位承担部分的内容")
    private String wtqx;

    /** 委托技术服务目标（如是单独与公司签订委托协议，只填写本单位承担部分的内容） */
    @Excel(name = "委托技术服务目标", readConverterExp = "如=是单独与公司签订委托协议，只填写本单位承担部分的内容")
    private String wtjsfwmb;

    /** 委托技术内容（如是单独与公司签订委托协议，只填写本单位承担部分的内容） */
    @Excel(name = "委托技术内容", readConverterExp = "如=是单独与公司签订委托协议，只填写本单位承担部分的内容")
    private String wtjsfnr;

    /** 委托技术经济指标（如是单独与公司签订委托协议，只填写本单位承担部分的内容） */
    @Excel(name = "委托技术经济指标", readConverterExp = "如=是单独与公司签订委托协议，只填写本单位承担部分的内容")
    private String wtjsfjjzb;

    /** 委托费用总额（如是单独与公司签订委托协议，只填写本单位承担部分的内容） */
    @Excel(name = "委托费用总额", readConverterExp = "如=是单独与公司签订委托协议，只填写本单位承担部分的内容")
    private BigDecimal wtfwze;

    /** 委托协议签订时间 */
    @Excel(name = "委托协议签订时间")
    private String wtxyqdsj;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setStfqddw(String stfqddw)
    {
        this.stfqddw = stfqddw;
    }

    public String getStfqddw()
    {
        return stfqddw;
    }
    public void setStfcjdw(String stfcjdw)
    {
        this.stfcjdw = stfcjdw;
    }

    public String getStfcjdw()
    {
        return stfcjdw;
    }
    public void setWtmd(String wtmd)
    {
        this.wtmd = wtmd;
    }

    public String getWtmd()
    {
        return wtmd;
    }
    public void setWtqx(String wtqx)
    {
        this.wtqx = wtqx;
    }

    public String getWtqx()
    {
        return wtqx;
    }
    public void setWtjsfwmb(String wtjsfwmb)
    {
        this.wtjsfwmb = wtjsfwmb;
    }

    public String getWtjsfwmb()
    {
        return wtjsfwmb;
    }
    public void setWtjsfnr(String wtjsfnr)
    {
        this.wtjsfnr = wtjsfnr;
    }

    public String getWtjsfnr()
    {
        return wtjsfnr;
    }
    public void setWtjsfjjzb(String wtjsfjjzb)
    {
        this.wtjsfjjzb = wtjsfjjzb;
    }

    public String getWtjsfjjzb()
    {
        return wtjsfjjzb;
    }
    public void setWtfwze(BigDecimal wtfwze)
    {
        this.wtfwze = wtfwze;
    }

    public BigDecimal getWtfwze()
    {
        return wtfwze;
    }
    public void setWtxyqdsj(String wtxyqdsj)
    {
        this.wtxyqdsj = wtxyqdsj;
    }

    public String getWtxyqdsj()
    {
        return wtxyqdsj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("stfqddw", getStfqddw())
                .append("stfcjdw", getStfcjdw())
                .append("wtmd", getWtmd())
                .append("wtqx", getWtqx())
                .append("wtjsfwmb", getWtjsfwmb())
                .append("wtjsfnr", getWtjsfnr())
                .append("wtjsfjjzb", getWtjsfjjzb())
                .append("wtfwze", getWtfwze())
                .append("wtxyqdsj", getWtxyqdsj())
                .toString();
    }
}
