package com.ruoyi.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目（课题）外协项目基本信息对象 history_project_htwxxm_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtwxxmJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 外协合同编号 */
    @Excel(name = "外协合同编号")
    private String wxhtbh;

    /** 外协单位id */
    @Excel(name = "外协单位id")
    private String wxdw_id;

    /** 外协单位 */
    @Excel(name = "外协单位")
    private String wxdw_mc;

    /** 协作类型 */
    @Excel(name = "协作类型")
    private String xzlx;

    /** 合同额（含税） */
    @Excel(name = "合同额", readConverterExp = "含=税")
    private BigDecimal hte;

    /** 合同开始时间 */
    @Excel(name = "合同开始时间")
    private String htkssj;

    /** 合同结束时间 */
    @Excel(name = "合同结束时间")
    private String htjssj;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setWxhtbh(String wxhtbh)
    {
        this.wxhtbh = wxhtbh;
    }

    public String getWxhtbh()
    {
        return wxhtbh;
    }
    public void setWxdw_id(String wxdw_id)
    {
        this.wxdw_id = wxdw_id;
    }

    public String getWxdw_id()
    {
        return wxdw_id;
    }
    public void setWxdw_mc(String wxdw_mc)
    {
        this.wxdw_mc = wxdw_mc;
    }

    public String getWxdw_mc()
    {
        return wxdw_mc;
    }
    public void setXzlx(String xzlx)
    {
        this.xzlx = xzlx;
    }

    public String getXzlx()
    {
        return xzlx;
    }
    public void setHte(BigDecimal hte)
    {
        this.hte = hte;
    }

    public BigDecimal getHte()
    {
        return hte;
    }
    public void setHtkssj(String htkssj)
    {
        this.htkssj = htkssj;
    }

    public String getHtkssj()
    {
        return htkssj;
    }
    public void setHtjssj(String htjssj)
    {
        this.htjssj = htjssj;
    }

    public String getHtjssj()
    {
        return htjssj;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("wxhtbh", getWxhtbh())
                .append("wxdw_id", getWxdw_id())
                .append("wxdw_mc", getWxdw_mc())
                .append("xzlx", getXzlx())
                .append("hte", getHte())
                .append("htkssj", getHtkssj())
                .append("htjssj", getHtjssj())
                .toString();
    }
}
