package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目（课题）知识产权成果基本信息对象 history_project_htzscqcg_jbxx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HistoryProjectHtzscqcgJbxx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 历史项目id */
    @Excel(name = "历史项目id")
    private String project_id;

    /** 专利 */
    @Excel(name = "专利")
    private String zl;

    /** 计算机软件著作权 */
    @Excel(name = "计算机软件著作权")
    private String jsjrjzzq;

    /** 论文 */
    @Excel(name = "论文")
    private String lw;

    /** 专著 */
    @Excel(name = "专著")
    private String zz;

    /** 其他 */
    @Excel(name = "其他")
    private String qt;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setZl(String zl)
    {
        this.zl = zl;
    }

    public String getZl()
    {
        return zl;
    }
    public void setJsjrjzzq(String jsjrjzzq)
    {
        this.jsjrjzzq = jsjrjzzq;
    }

    public String getJsjrjzzq()
    {
        return jsjrjzzq;
    }
    public void setLw(String lw)
    {
        this.lw = lw;
    }

    public String getLw()
    {
        return lw;
    }
    public void setZz(String zz)
    {
        this.zz = zz;
    }

    public String getZz()
    {
        return zz;
    }
    public void setQt(String qt)
    {
        this.qt = qt;
    }

    public String getQt()
    {
        return qt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("project_id", getProject_id())
                .append("zl", getZl())
                .append("jsjrjzzq", getJsjrjzzq())
                .append("lw", getLw())
                .append("zz", getZz())
                .append("qt", getQt())
                .toString();
    }
}
