package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同计划-国家项目年度经费预算-设备费明细对象 htjh_gjxmndjfys_sbfmx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HtjhGjxmndjfysSbfmx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private String zb_id;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String sbmc;

    /** 设备分类 */
    @Excel(name = "设备分类")
    private String sbfl;

    /** 功能和技术指标 */
    @Excel(name = "功能和技术指标")
    private String gnhjszb;

    /** 单价（万元） */
    @Excel(name = "单价", readConverterExp = "万=元")
    private BigDecimal dj;

    /** 数量 */
    @Excel(name = "数量")
    private Long sl;

    /** 金额（万元） */
    @Excel(name = "金额", readConverterExp = "万=元")
    private BigDecimal je;

    /** 购置或试制单位 */
    @Excel(name = "购置或试制单位")
    private String gzhszdw;

    /** 安置单位 */
    @Excel(name = "安置单位")
    private String azdw;

    /** 购置设备类型 */
    @Excel(name = "购置设备类型")
    private String gzsblx;

    /** 主要生产厂家及国别 */
    @Excel(name = "主要生产厂家及国别")
    private String sccj;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String ggxh;

    /** 拟开放共享范围 */
    @Excel(name = "拟开放共享范围")
    private String nkfgxfw;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setZb_id(String zb_id)
    {
        this.zb_id = zb_id;
    }

    public String getZb_id()
    {
        return zb_id;
    }
    public void setSbmc(String sbmc)
    {
        this.sbmc = sbmc;
    }

    public String getSbmc()
    {
        return sbmc;
    }
    public void setSbfl(String sbfl)
    {
        this.sbfl = sbfl;
    }

    public String getSbfl()
    {
        return sbfl;
    }
    public void setGnhjszb(String gnhjszb)
    {
        this.gnhjszb = gnhjszb;
    }

    public String getGnhjszb()
    {
        return gnhjszb;
    }
    public void setDj(BigDecimal dj)
    {
        this.dj = dj;
    }

    public BigDecimal getDj()
    {
        return dj;
    }
    public void setSl(Long sl)
    {
        this.sl = sl;
    }

    public Long getSl()
    {
        return sl;
    }
    public void setJe(BigDecimal je)
    {
        this.je = je;
    }

    public BigDecimal getJe()
    {
        return je;
    }
    public void setGzhszdw(String gzhszdw)
    {
        this.gzhszdw = gzhszdw;
    }

    public String getGzhszdw()
    {
        return gzhszdw;
    }
    public void setAzdw(String azdw)
    {
        this.azdw = azdw;
    }

    public String getAzdw()
    {
        return azdw;
    }
    public void setGzsblx(String gzsblx)
    {
        this.gzsblx = gzsblx;
    }

    public String getGzsblx()
    {
        return gzsblx;
    }
    public void setSccj(String sccj)
    {
        this.sccj = sccj;
    }

    public String getSccj()
    {
        return sccj;
    }
    public void setGgxh(String ggxh)
    {
        this.ggxh = ggxh;
    }

    public String getGgxh()
    {
        return ggxh;
    }
    public void setNkfgxfw(String nkfgxfw)
    {
        this.nkfgxfw = nkfgxfw;
    }

    public String getNkfgxfw()
    {
        return nkfgxfw;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("zb_id", getZb_id())
                .append("sbmc", getSbmc())
                .append("sbfl", getSbfl())
                .append("gnhjszb", getGnhjszb())
                .append("dj", getDj())
                .append("sl", getSl())
                .append("je", getJe())
                .append("gzhszdw", getGzhszdw())
                .append("azdw", getAzdw())
                .append("gzsblx", getGzsblx())
                .append("sccj", getSccj())
                .append("ggxh", getGgxh())
                .append("nkfgxfw", getNkfgxfw())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
