package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同计划-国家项目年度经费预算-预算明细对象 htjh_gjxmndjfys_ysmx
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public class HtjhGjxmndjfysYsmx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private String zb_id;

    /** 单位id */
    @Excel(name = "单位id")
    private String dwid;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String dwmc;

    /** 组织机构代码-统一社会信用代码 */
    @Excel(name = "组织机构代码-统一社会信用代码")
    private String xydm;

    /** 单位类型 */
    @Excel(name = "单位类型")
    private String dwlx;

    /** 任务分工 */
    @Excel(name = "任务分工")
    private String rwfg;

    /** 研究任务负责人 */
    @Excel(name = "研究任务负责人")
    private String yjrwfzr;

    /** 合计（万元） */
    @Excel(name = "合计", readConverterExp = "万=元")
    private BigDecimal hj;

    /** 间接费用（万元） */
    @Excel(name = "间接费用", readConverterExp = "万=元")
    private BigDecimal jjfx;

    /** 其他资金来源 */
    @Excel(name = "其他资金来源")
    private BigDecimal qtzjly;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setZb_id(String zb_id)
    {
        this.zb_id = zb_id;
    }

    public String getZb_id()
    {
        return zb_id;
    }
    public void setDwid(String dwid)
    {
        this.dwid = dwid;
    }

    public String getDwid()
    {
        return dwid;
    }
    public void setDwmc(String dwmc)
    {
        this.dwmc = dwmc;
    }

    public String getDwmc()
    {
        return dwmc;
    }
    public void setXydm(String xydm)
    {
        this.xydm = xydm;
    }

    public String getXydm()
    {
        return xydm;
    }
    public void setDwlx(String dwlx)
    {
        this.dwlx = dwlx;
    }

    public String getDwlx()
    {
        return dwlx;
    }
    public void setRwfg(String rwfg)
    {
        this.rwfg = rwfg;
    }

    public String getRwfg()
    {
        return rwfg;
    }
    public void setYjrwfzr(String yjrwfzr)
    {
        this.yjrwfzr = yjrwfzr;
    }

    public String getYjrwfzr()
    {
        return yjrwfzr;
    }
    public void setHj(BigDecimal hj)
    {
        this.hj = hj;
    }

    public BigDecimal getHj()
    {
        return hj;
    }
    public void setJjfx(BigDecimal jjfx)
    {
        this.jjfx = jjfx;
    }

    public BigDecimal getJjfx()
    {
        return jjfx;
    }
    public void setQtzjly(BigDecimal qtzjly)
    {
        this.qtzjly = qtzjly;
    }

    public BigDecimal getQtzjly()
    {
        return qtzjly;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("zb_id", getZb_id())
                .append("dwid", getDwid())
                .append("dwmc", getDwmc())
                .append("xydm", getXydm())
                .append("dwlx", getDwlx())
                .append("rwfg", getRwfg())
                .append("yjrwfzr", getYjrwfzr())
                .append("hj", getHj())
                .append("jjfx", getJjfx())
                .append("qtzjly", getQtzjly())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
