package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 经费年度实际支出台账明细对象 jfndzctzmx
 *
 * @author ruoyi
 * @date 2025-02-19
 */
public class Jfndzctzmx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 经费下达id */
    @Excel(name = "经费下达id")
    private String jfxd_id;

    /** 课题id */
    @Excel(name = "课题id")
    private String project_id;

    /** 课题名称 */
    @Excel(name = "课题名称")
    private String project_name;

    /** 课题编号 */
    @Excel(name = "课题编号")
    private String project_code;

    /** wbs课题名称 */
    @Excel(name = "wbs课题名称")
    private String wbs_project_name;

    /** wbs编号 */
    @Excel(name = "wbs编号")
    private String wbs_bh;

    /** wbs要素 */
    @Excel(name = "wbs要素")
    private String wbs_ys;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String xmjb;

    /** 单位id */
    @Excel(name = "单位id")
    private String org_id;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String org_name;

    /** 成本中心 */
    @Excel(name = "成本中心")
    private String cbzx;

    /** 科目 */
    @Excel(name = "科目")
    private String km;

    /** 科目名称 */
    @Excel(name = "科目名称")
    private String kmmc;

    /** 凭证编号 */
    @Excel(name = "凭证编号")
    private String pzbh;

    /** 凭证日期 */
    @Excel(name = "凭证日期")
    private String pzrq;

    /** 本币金额（万元） */
    @Excel(name = "本币金额", readConverterExp = "万=元")
    private BigDecimal bbje;

    /** 下达时间 */
    @Excel(name = "下达时间")
    private String xdsj;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setJfxd_id(String jfxd_id)
    {
        this.jfxd_id = jfxd_id;
    }

    public String getJfxd_id()
    {
        return jfxd_id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setProject_name(String project_name)
    {
        this.project_name = project_name;
    }

    public String getProject_name()
    {
        return project_name;
    }
    public void setProject_code(String project_code)
    {
        this.project_code = project_code;
    }

    public String getProject_code()
    {
        return project_code;
    }
    public void setWbs_project_name(String wbs_project_name)
    {
        this.wbs_project_name = wbs_project_name;
    }

    public String getWbs_project_name()
    {
        return wbs_project_name;
    }
    public void setWbs_bh(String wbs_bh)
    {
        this.wbs_bh = wbs_bh;
    }

    public String getWbs_bh()
    {
        return wbs_bh;
    }
    public void setWbs_ys(String wbs_ys)
    {
        this.wbs_ys = wbs_ys;
    }

    public String getWbs_ys()
    {
        return wbs_ys;
    }
    public void setXmjb(String xmjb)
    {
        this.xmjb = xmjb;
    }

    public String getXmjb()
    {
        return xmjb;
    }
    public void setOrg_id(String org_id)
    {
        this.org_id = org_id;
    }

    public String getOrg_id()
    {
        return org_id;
    }
    public void setOrg_name(String org_name)
    {
        this.org_name = org_name;
    }

    public String getOrg_name()
    {
        return org_name;
    }
    public void setCbzx(String cbzx)
    {
        this.cbzx = cbzx;
    }

    public String getCbzx()
    {
        return cbzx;
    }
    public void setKm(String km)
    {
        this.km = km;
    }

    public String getKm()
    {
        return km;
    }
    public void setKmmc(String kmmc)
    {
        this.kmmc = kmmc;
    }

    public String getKmmc()
    {
        return kmmc;
    }
    public void setPzbh(String pzbh)
    {
        this.pzbh = pzbh;
    }

    public String getPzbh()
    {
        return pzbh;
    }
    public void setPzrq(String pzrq)
    {
        this.pzrq = pzrq;
    }

    public String getPzrq()
    {
        return pzrq;
    }
    public void setBbje(BigDecimal bbje)
    {
        this.bbje = bbje;
    }

    public BigDecimal getBbje()
    {
        return bbje;
    }
    public void setXdsj(String xdsj)
    {
        this.xdsj = xdsj;
    }

    public String getXdsj()
    {
        return xdsj;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("jfxd_id", getJfxd_id())
                .append("project_id", getProject_id())
                .append("project_name", getProject_name())
                .append("project_code", getProject_code())
                .append("wbs_project_name", getWbs_project_name())
                .append("wbs_bh", getWbs_bh())
                .append("wbs_ys", getWbs_ys())
                .append("xmjb", getXmjb())
                .append("org_id", getOrg_id())
                .append("org_name", getOrg_name())
                .append("cbzx", getCbzx())
                .append("km", getKm())
                .append("kmmc", getKmmc())
                .append("pzbh", getPzbh())
                .append("pzrq", getPzrq())
                .append("bbje", getBbje())
                .append("xdsj", getXdsj())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
