package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 经费使用情况_季度经费使用情况对象 jfsyqk_jdjfsyxxqk
 *
 * @author ruoyi
 * @date 2025-02-20
 */
public class JfsyqkJdjfsyxxqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 年度下达id */
    @Excel(name = "年度下达id")
    private String ndxd_id;

    /** 合同号 */
    @Excel(name = "合同号")
    private String hth;

    /** 课题id */
    @Excel(name = "课题id")
    private String project_id;

    /** 课题名称 */
    @Excel(name = "课题名称")
    private String project_name;

    /** 课题编号 */
    @Excel(name = "课题编号")
    private String project_code;

    /** wbs课题名称 */
    @Excel(name = "wbs课题名称")
    private String wbs_project_name;

    /** wbs编号 */
    @Excel(name = "wbs编号")
    private String wbs_bh;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String xmjb;

    /** 负责人 */
    @Excel(name = "负责人")
    private String head;

    /** 首席 */
    @Excel(name = "首席")
    private String chief;

    /** 承担单位id */
    @Excel(name = "承担单位id")
    private String org_id;

    /** 承担单位名称 */
    @Excel(name = "承担单位名称")
    private String org_name;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date start_time;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date end_time;

    /** 合同总经费 */
    @Excel(name = "合同总经费")
    private BigDecimal htzjf;

    /** 年度经费 */
    @Excel(name = "年度经费")
    private BigDecimal ndjf;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 季度 */
    @Excel(name = "季度")
    private String jd;

    /** 进度情况（正常、延期） */
    @Excel(name = "进度情况", readConverterExp = "正=常、延期")
    private String jdqk;

    /** 年度技术协作费 */
    @Excel(name = "年度技术协作费")
    private BigDecimal ndjsxzf;

    /** 年度分析测试计量费 */
    @Excel(name = "年度分析测试计量费")
    private BigDecimal ndfxcsjlf;

    /** 技术协作费发生 */
    @Excel(name = "技术协作费发生")
    private BigDecimal jsxzffs;

    /** 分析测试计量费发生 */
    @Excel(name = "分析测试计量费发生")
    private BigDecimal fxcsjlffs;

    /** 季度总经费发生 */
    @Excel(name = "季度总经费发生")
    private BigDecimal jdzjfsfs;

    /** 当年经费发生 */
    @Excel(name = "当年经费发生")
    private BigDecimal dnjffs;

    /** 累计发生 */
    @Excel(name = "累计发生")
    private BigDecimal ljfs;

    /** 经费使用占比 */
    @Excel(name = "经费使用占比")
    private BigDecimal jfsyzb;

    /** 本季度完成的主要工作 */
    @Excel(name = "本季度完成的主要工作")
    private String bjdzygz;

    /** 累计完成的工作量 */
    @Excel(name = "累计完成的工作量")
    private String ljwcgzl;

    /** 累计完成的工作量占比 */
    @Excel(name = "累计完成的工作量占比")
    private BigDecimal ljwcgzlzb;

    /** 季度经费使用情况与季度完成工作量匹配度（经费使用占比/累计完成的工作量占比） */
    @Excel(name = "季度经费使用情况与季度完成工作量匹配度", readConverterExp = "经=费使用占比/累计完成的工作量占比")
    private BigDecimal jfygzlzb;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNdxd_id(String ndxd_id)
    {
        this.ndxd_id = ndxd_id;
    }

    public String getNdxd_id()
    {
        return ndxd_id;
    }
    public void setHth(String hth)
    {
        this.hth = hth;
    }

    public String getHth()
    {
        return hth;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setProject_name(String project_name)
    {
        this.project_name = project_name;
    }

    public String getProject_name()
    {
        return project_name;
    }
    public void setProject_code(String project_code)
    {
        this.project_code = project_code;
    }

    public String getProject_code()
    {
        return project_code;
    }
    public void setWbs_project_name(String wbs_project_name)
    {
        this.wbs_project_name = wbs_project_name;
    }

    public String getWbs_project_name()
    {
        return wbs_project_name;
    }
    public void setWbs_bh(String wbs_bh)
    {
        this.wbs_bh = wbs_bh;
    }

    public String getWbs_bh()
    {
        return wbs_bh;
    }
    public void setXmjb(String xmjb)
    {
        this.xmjb = xmjb;
    }

    public String getXmjb()
    {
        return xmjb;
    }
    public void setHead(String head)
    {
        this.head = head;
    }

    public String getHead()
    {
        return head;
    }
    public void setChief(String chief)
    {
        this.chief = chief;
    }

    public String getChief()
    {
        return chief;
    }
    public void setOrg_id(String org_id)
    {
        this.org_id = org_id;
    }

    public String getOrg_id()
    {
        return org_id;
    }
    public void setOrg_name(String org_name)
    {
        this.org_name = org_name;
    }

    public String getOrg_name()
    {
        return org_name;
    }
    public void setStart_time(Date start_time)
    {
        this.start_time = start_time;
    }

    public Date getStart_time()
    {
        return start_time;
    }
    public void setEnd_time(Date end_time)
    {
        this.end_time = end_time;
    }

    public Date getEnd_time()
    {
        return end_time;
    }
    public void setHtzjf(BigDecimal htzjf)
    {
        this.htzjf = htzjf;
    }

    public BigDecimal getHtzjf()
    {
        return htzjf;
    }
    public void setNdjf(BigDecimal ndjf)
    {
        this.ndjf = ndjf;
    }

    public BigDecimal getNdjf()
    {
        return ndjf;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setJd(String jd)
    {
        this.jd = jd;
    }

    public String getJd()
    {
        return jd;
    }
    public void setJdqk(String jdqk)
    {
        this.jdqk = jdqk;
    }

    public String getJdqk()
    {
        return jdqk;
    }
    public void setNdjsxzf(BigDecimal ndjsxzf)
    {
        this.ndjsxzf = ndjsxzf;
    }

    public BigDecimal getNdjsxzf()
    {
        return ndjsxzf;
    }
    public void setNdfxcsjlf(BigDecimal ndfxcsjlf)
    {
        this.ndfxcsjlf = ndfxcsjlf;
    }

    public BigDecimal getNdfxcsjlf()
    {
        return ndfxcsjlf;
    }
    public void setJsxzffs(BigDecimal jsxzffs)
    {
        this.jsxzffs = jsxzffs;
    }

    public BigDecimal getJsxzffs()
    {
        return jsxzffs;
    }
    public void setFxcsjlffs(BigDecimal fxcsjlffs)
    {
        this.fxcsjlffs = fxcsjlffs;
    }

    public BigDecimal getFxcsjlffs()
    {
        return fxcsjlffs;
    }
    public void setJdzjfsfs(BigDecimal jdzjfsfs)
    {
        this.jdzjfsfs = jdzjfsfs;
    }

    public BigDecimal getJdzjfsfs()
    {
        return jdzjfsfs;
    }
    public void setDnjffs(BigDecimal dnjffs)
    {
        this.dnjffs = dnjffs;
    }

    public BigDecimal getDnjffs()
    {
        return dnjffs;
    }
    public void setLjfs(BigDecimal ljfs)
    {
        this.ljfs = ljfs;
    }

    public BigDecimal getLjfs()
    {
        return ljfs;
    }
    public void setJfsyzb(BigDecimal jfsyzb)
    {
        this.jfsyzb = jfsyzb;
    }

    public BigDecimal getJfsyzb()
    {
        return jfsyzb;
    }
    public void setBjdzygz(String bjdzygz)
    {
        this.bjdzygz = bjdzygz;
    }

    public String getBjdzygz()
    {
        return bjdzygz;
    }
    public void setLjwcgzl(String ljwcgzl)
    {
        this.ljwcgzl = ljwcgzl;
    }

    public String getLjwcgzl()
    {
        return ljwcgzl;
    }
    public void setLjwcgzlzb(BigDecimal ljwcgzlzb)
    {
        this.ljwcgzlzb = ljwcgzlzb;
    }

    public BigDecimal getLjwcgzlzb()
    {
        return ljwcgzlzb;
    }
    public void setJfygzlzb(BigDecimal jfygzlzb)
    {
        this.jfygzlzb = jfygzlzb;
    }

    public BigDecimal getJfygzlzb()
    {
        return jfygzlzb;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ndxd_id", getNdxd_id())
                .append("hth", getHth())
                .append("project_id", getProject_id())
                .append("project_name", getProject_name())
                .append("project_code", getProject_code())
                .append("wbs_project_name", getWbs_project_name())
                .append("wbs_bh", getWbs_bh())
                .append("xmjb", getXmjb())
                .append("head", getHead())
                .append("chief", getChief())
                .append("org_id", getOrg_id())
                .append("org_name", getOrg_name())
                .append("start_time", getStart_time())
                .append("end_time", getEnd_time())
                .append("htzjf", getHtzjf())
                .append("ndjf", getNdjf())
                .append("nd", getNd())
                .append("jd", getJd())
                .append("jdqk", getJdqk())
                .append("ndjsxzf", getNdjsxzf())
                .append("ndfxcsjlf", getNdfxcsjlf())
                .append("jsxzffs", getJsxzffs())
                .append("fxcsjlffs", getFxcsjlffs())
                .append("jdzjfsfs", getJdzjfsfs())
                .append("dnjffs", getDnjffs())
                .append("ljfs", getLjfs())
                .append("jfsyzb", getJfsyzb())
                .append("bjdzygz", getBjdzygz())
                .append("ljwcgzl", getLjwcgzl())
                .append("ljwcgzlzb", getLjwcgzlzb())
                .append("jfygzlzb", getJfygzlzb())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
