package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 经费使用情况_地球物理公司年度使用情况预算科目对象 jfsyqk_nddqwlgsjfsy_kmys
 *
 * @author ruoyi
 * @date 2025-02-20
 */
public class JfsyqkNddqwlgsjfsyKmys extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private String zb_id;

    /** 预算科目id */
    @Excel(name = "预算科目id")
    private String yskm_id;

    /** 费用明细 */
    @Excel(name = "费用明细")
    private String yskm;

    /** 总预算（万元） */
    @Excel(name = "总预算", readConverterExp = "万=元")
    private BigDecimal zys;

    /** 年度预算（万元） */
    @Excel(name = "年度预算", readConverterExp = "万=元")
    private BigDecimal ndys;

    /** 年度已发生（万元） */
    @Excel(name = "年度已发生", readConverterExp = "万=元")
    private BigDecimal byzc;

    /** 年度已入账（万元） */
    @Excel(name = "年度已入账", readConverterExp = "万=元")
    private BigDecimal ndyrz;

    /** 累计已发生（万元） */
    @Excel(name = "累计已发生", readConverterExp = "万=元")
    private BigDecimal ljyfs;

    /** 累计已入账（万元） */
    @Excel(name = "累计已入账", readConverterExp = "万=元")
    private BigDecimal ljyrz;

    /** 使用比例（万元） */
    @Excel(name = "使用比例", readConverterExp = "万=元")
    private BigDecimal sybl;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setZb_id(String zb_id)
    {
        this.zb_id = zb_id;
    }

    public String getZb_id()
    {
        return zb_id;
    }
    public void setYskm_id(String yskm_id)
    {
        this.yskm_id = yskm_id;
    }

    public String getYskm_id()
    {
        return yskm_id;
    }
    public void setYskm(String yskm)
    {
        this.yskm = yskm;
    }

    public String getYskm()
    {
        return yskm;
    }
    public void setZys(BigDecimal zys)
    {
        this.zys = zys;
    }

    public BigDecimal getZys()
    {
        return zys;
    }
    public void setNdys(BigDecimal ndys)
    {
        this.ndys = ndys;
    }

    public BigDecimal getNdys()
    {
        return ndys;
    }
    public void setByzc(BigDecimal byzc)
    {
        this.byzc = byzc;
    }

    public BigDecimal getByzc()
    {
        return byzc;
    }
    public void setNdyrz(BigDecimal ndyrz)
    {
        this.ndyrz = ndyrz;
    }

    public BigDecimal getNdyrz()
    {
        return ndyrz;
    }
    public void setLjyfs(BigDecimal ljyfs)
    {
        this.ljyfs = ljyfs;
    }

    public BigDecimal getLjyfs()
    {
        return ljyfs;
    }
    public void setLjyrz(BigDecimal ljyrz)
    {
        this.ljyrz = ljyrz;
    }

    public BigDecimal getLjyrz()
    {
        return ljyrz;
    }
    public void setSybl(BigDecimal sybl)
    {
        this.sybl = sybl;
    }

    public BigDecimal getSybl()
    {
        return sybl;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("zb_id", getZb_id())
                .append("yskm_id", getYskm_id())
                .append("yskm", getYskm())
                .append("zys", getZys())
                .append("ndys", getNdys())
                .append("byzc", getByzc())
                .append("ndyrz", getNdyrz())
                .append("ljyfs", getLjyfs())
                .append("ljyrz", getLjyrz())
                .append("sybl", getSybl())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
