package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 经费使用情况_分公司年度使用情况对象 jfsyqk_ndfgsjfsy
 *
 * @author ruoyi
 * @date 2025-02-24
 */
public class JfsyqkNdfgsjfsy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 年度下达id */
    @Excel(name = "年度下达id")
    private String ndxd_id;

    /** 课题id */
    @Excel(name = "课题id")
    private String project_id;

    /** 课题名称 */
    @Excel(name = "课题名称")
    private String project_name;

    /** wbs课题名称 */
    @Excel(name = "wbs课题名称")
    private String wbs_project_name;

    /** wbs编号 */
    @Excel(name = "wbs编号")
    private String wbs_bh;

    /** 单位id */
    @Excel(name = "单位id")
    private String org_id;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String org_name;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date start_time;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date end_time;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    /** 备用1 */
    @Excel(name = "备用1")
    private String ext1;

    /** 备用2 */
    @Excel(name = "备用2")
    private String ext2;

    /** 备用3 */
    @Excel(name = "备用3")
    private String ext3;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNdxd_id(String ndxd_id)
    {
        this.ndxd_id = ndxd_id;
    }

    public String getNdxd_id()
    {
        return ndxd_id;
    }
    public void setProject_id(String project_id)
    {
        this.project_id = project_id;
    }

    public String getProject_id()
    {
        return project_id;
    }
    public void setProject_name(String project_name)
    {
        this.project_name = project_name;
    }

    public String getProject_name()
    {
        return project_name;
    }
    public void setWbs_project_name(String wbs_project_name)
    {
        this.wbs_project_name = wbs_project_name;
    }

    public String getWbs_project_name()
    {
        return wbs_project_name;
    }
    public void setWbs_bh(String wbs_bh)
    {
        this.wbs_bh = wbs_bh;
    }

    public String getWbs_bh()
    {
        return wbs_bh;
    }
    public void setOrg_id(String org_id)
    {
        this.org_id = org_id;
    }

    public String getOrg_id()
    {
        return org_id;
    }
    public void setOrg_name(String org_name)
    {
        this.org_name = org_name;
    }

    public String getOrg_name()
    {
        return org_name;
    }
    public void setStart_time(Date start_time)
    {
        this.start_time = start_time;
    }

    public Date getStart_time()
    {
        return start_time;
    }
    public void setEnd_time(Date end_time)
    {
        this.end_time = end_time;
    }

    public Date getEnd_time()
    {
        return end_time;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }
    public void setExt1(String ext1)
    {
        this.ext1 = ext1;
    }

    public String getExt1()
    {
        return ext1;
    }
    public void setExt2(String ext2)
    {
        this.ext2 = ext2;
    }

    public String getExt2()
    {
        return ext2;
    }
    public void setExt3(String ext3)
    {
        this.ext3 = ext3;
    }

    public String getExt3()
    {
        return ext3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("ndxd_id", getNdxd_id())
                .append("project_id", getProject_id())
                .append("project_name", getProject_name())
                .append("wbs_project_name", getWbs_project_name())
                .append("wbs_bh", getWbs_bh())
                .append("org_id", getOrg_id())
                .append("org_name", getOrg_name())
                .append("start_time", getStart_time())
                .append("end_time", getEnd_time())
                .append("nd", getNd())
                .append("remark", getRemark())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .append("ext1", getExt1())
                .append("ext2", getExt2())
                .append("ext3", getExt3())
                .toString();
    }
}
