package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外协选商评审-服务商技术文件审查情况对象 outsourcing_wxxsps_fwsjswjscqk
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class OutsourcingWxxspsFwsjswjscqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fid;

    /** 服务商评审资格情况 */
    @Excel(name = "服务商评审资格情况")
    private String fwspszgqk;

    /** 预期提交成果 */
    @Excel(name = "预期提交成果")
    private String yqtjcg;

    /** 技术经济指标 */
    @Excel(name = "技术经济指标")
    private String jsjjzb;

    /** 经费预算明细 */
    @Excel(name = "经费预算明细")
    private String jfysmx;

    /** 税费 */
    @Excel(name = "税费")
    private String sf;

    /** 总计 */
    @Excel(name = "总计")
    private String zj;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFid(Long fid)
    {
        this.fid = fid;
    }

    public Long getFid()
    {
        return fid;
    }
    public void setFwspszgqk(String fwspszgqk)
    {
        this.fwspszgqk = fwspszgqk;
    }

    public String getFwspszgqk()
    {
        return fwspszgqk;
    }
    public void setYqtjcg(String yqtjcg)
    {
        this.yqtjcg = yqtjcg;
    }

    public String getYqtjcg()
    {
        return yqtjcg;
    }
    public void setJsjjzb(String jsjjzb)
    {
        this.jsjjzb = jsjjzb;
    }

    public String getJsjjzb()
    {
        return jsjjzb;
    }
    public void setJfysmx(String jfysmx)
    {
        this.jfysmx = jfysmx;
    }

    public String getJfysmx()
    {
        return jfysmx;
    }
    public void setSf(String sf)
    {
        this.sf = sf;
    }

    public String getSf()
    {
        return sf;
    }
    public void setZj(String zj)
    {
        this.zj = zj;
    }

    public String getZj()
    {
        return zj;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fid", getFid())
                .append("fwspszgqk", getFwspszgqk())
                .append("yqtjcg", getYqtjcg())
                .append("jsjjzb", getJsjjzb())
                .append("jfysmx", getJfysmx())
                .append("sf", getSf())
                .append("zj", getZj())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .toString();
    }
}
