package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外协运行与验收对象 outsourcing_wxyxyys
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class OutsourcingWxyxyys extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目级别 */
    @Excel(name = "项目级别")
    private String xmjb;

    /** 项目id */
    @Excel(name = "项目id")
    private Long xmid;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** WBS编号 */
    @Excel(name = "WBS编号")
    private String wbsbh;

    /** WBS项目名称 */
    @Excel(name = "WBS项目名称")
    private String wbsxmmc;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 年度经费  */
    @Excel(name = "年度经费 ")
    private BigDecimal ndjf;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String xmfzr;

    /** 技术首席 */
    @Excel(name = "技术首席")
    private String jssx;

    /** 填报人 */
    @Excel(name = "填报人")
    private String tbr;

    /** 项目研究内容 */
    @Excel(name = "项目研究内容")
    private String xmyjnr;

    /** 任务书中有关外协部分的说明 */
    @Excel(name = "任务书中有关外协部分的说明")
    private String rwszygwxbfdsm;

    /** 已发生的外协项目 */
    @Excel(name = "已发生的外协项目")
    private String yfsdwxxm;

    /** 合同编号 */
    @Excel(name = "合同编号")
    private String htbh;

    /** 合同名称 */
    @Excel(name = "合同名称")
    private String htmc;

    /** 有效期限 */
    @Excel(name = "有效期限")
    private String yxqx;

    /** 选商方式 */
    @Excel(name = "选商方式")
    private String xsfs;

    /** 技术服务目标 */
    @Excel(name = "技术服务目标")
    private String jsfwmb;

    /** 技术服务内容 */
    @Excel(name = "技术服务内容")
    private String jsfwnr;

    /** 技术服务方式 */
    @Excel(name = "技术服务方式")
    private String jsfwfs;

    /** 技术服务的技术要求 */
    @Excel(name = "技术服务的技术要求")
    private String jsfwdjsyq;

    /** 服务期限 */
    @Excel(name = "服务期限")
    private String fwqx;

    /** 服务费用 */
    @Excel(name = "服务费用")
    private BigDecimal fwfy;

    /** 交付内容 */
    @Excel(name = "交付内容")
    private String jfnr;

    /** 约定交付时间 */
    @Excel(name = "约定交付时间")
    private String ydjfsj;

    /** 约定验收时间 */
    @Excel(name = "约定验收时间")
    private String ydyssj;

    /** 技术成果的归属 */
    @Excel(name = "技术成果的归属")
    private String jscgdgs;

    /** 单位 */
    @Excel(name = "单位")
    private String dw;

    /** 单位id */
    @Excel(name = "单位id")
    private String dwid;

    /** 合同相对人id */
    @Excel(name = "合同相对人id")
    private Long htxdrid;

    /** 合同相对人 */
    @Excel(name = "合同相对人")
    private String htxdr;

    /** 履行期限开始日期 */
    @Excel(name = "履行期限开始日期")
    private String lxqxksrq;

    /** 履行期限结束日期 */
    @Excel(name = "履行期限结束日期")
    private String lxqxjsrq;

    /** 经办人 */
    @Excel(name = "经办人")
    private String jbr;

    /** 协作主要研究内容 */
    @Excel(name = "协作主要研究内容")
    private String xzzyyjnr;

    /** 拟完成的工作量 */
    @Excel(name = "拟完成的工作量")
    private String nwcdgzl;

    /** 技术路线 */
    @Excel(name = "技术路线")
    private String jslx;

    /** 技术关键 */
    @Excel(name = "技术关键")
    private String jsgj;

    /** 技术指标 */
    @Excel(name = "技术指标")
    private String jszb;

    /** 预期提交成果 */
    @Excel(name = "预期提交成果")
    private String yqtjcg;

    /** 经费预算明细 */
    @Excel(name = "经费预算明细")
    private String jfysmx;

    /** 进度安排及考核指标（表格？） */
    @Excel(name = "进度安排及考核指标", readConverterExp = "表=格？")
    private String jdapjkhzb;

    /** 课题研究人员（表格？） */
    @Excel(name = "课题研究人员", readConverterExp = "表=格？")
    private String ktyjry;

    /** 预验收时间 */
    @Excel(name = "预验收时间")
    private String yyssj;

    /** 预验收评委名单 */
    @Excel(name = "预验收评委名单")
    private String yyspwmd;

    /** 预验收材料格式情况 */
    @Excel(name = "预验收材料格式情况")
    private String yysclgsqk;

    /** 预验收文字报告页数 */
    @Excel(name = "预验收文字报告页数")
    private String yyswzbgys;

    /** 预验收报告编写质量 */
    @Excel(name = "预验收报告编写质量")
    private String yysbgbxzl;

    /** 完成的主要研究工作（合同预验收情况） */
    @Excel(name = "完成的主要研究工作", readConverterExp = "合=同预验收情况")
    private String wcdzyyjgzhtyysqk;

    /** 取得的主要成果 */
    @Excel(name = "取得的主要成果")
    private String qddzycg;

    /** 技术指标完成情况（合同预验收情况） */
    @Excel(name = "技术指标完成情况", readConverterExp = "合=同预验收情况")
    private String jszbwcqkhtyysqk;

    /** 预验收资料交接情况 */
    @Excel(name = "预验收资料交接情况")
    private String yyszljjqk;

    /** 合同预验收综合评价 */
    @Excel(name = "合同预验收综合评价")
    private String htyyszhpj;

    /** 项目组申请合同验收时间 */
    @Excel(name = "项目组申请合同验收时间")
    private String xmzsqhtyssj;

    /** 合同验收时间 */
    @Excel(name = "合同验收时间")
    private String htyssj;

    /** 验收文字报告页数 */
    @Excel(name = "验收文字报告页数")
    private String yswzbgys;

    /** 完成的主要研究工作（合同正式验收情况） */
    @Excel(name = "完成的主要研究工作", readConverterExp = "合=同正式验收情况")
    private String wcdzyyjgzhtzsysqk;

    /** 形成的技术成果、关键技术及创新点 */
    @Excel(name = "形成的技术成果、关键技术及创新点")
    private String xcdjscggjjsjcxd;

    /** 技术指标完成情况（合同正式验收情况） */
    @Excel(name = "技术指标完成情况", readConverterExp = "合=同正式验收情况")
    private String jszbwcqkhtzsysqk;

    /** 结论 */
    @Excel(name = "结论")
    private String jl;

    /** 合同交接单明细 */
    @Excel(name = "合同交接单明细")
    private String htjjdmx;

    /** 合同验收单内容 */
    @Excel(name = "合同验收单内容")
    private String htysdnr;

    /** 合同验收意见内容 */
    @Excel(name = "合同验收意见内容")
    private String htysyjnr;

    /** 合同验收综合评分 */
    @Excel(name = "合同验收综合评分")
    private String htyszhpf;

    /** 合同验收结果 */
    @Excel(name = "合同验收结果")
    private String htysjg;

    /** 合同验收综合评价 */
    @Excel(name = "合同验收综合评价")
    private String htyszhpj;

    /** 合同正式验收情况备注 */
    @Excel(name = "合同正式验收情况备注")
    private String htzsysqkbz;

    /** 专利 */
    @Excel(name = "专利")
    private String zl;

    /** 计算机软件著作权 */
    @Excel(name = "计算机软件著作权")
    private String jsjrjzzq;

    /** 文章 */
    @Excel(name = "文章")
    private String wz;

    /** 其他 */
    @Excel(name = "其他")
    private String qt;

    /** 选商阶段 */
    @Excel(name = "选商阶段")
    private String xsjd;

    /** 运行阶段 */
    @Excel(name = "运行阶段")
    private String yxjd;

    /** 验收阶段 */
    @Excel(name = "验收阶段")
    private String ysjd;

    /** 成果资料归档情况 */
    @Excel(name = "成果资料归档情况")
    private String cgzlgdqk;

    /** 成果资料其他保管人员说明 */
    @Excel(name = "成果资料其他保管人员说明")
    private String cgzlqtbgrysm;

    /** 资料明细、类型备注 */
    @Excel(name = "资料明细、类型备注")
    private String zlmxlxbz;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setXmjb(String xmjb)
    {
        this.xmjb = xmjb;
    }

    public String getXmjb()
    {
        return xmjb;
    }
    public void setXmid(Long xmid)
    {
        this.xmid = xmid;
    }

    public Long getXmid()
    {
        return xmid;
    }
    public void setXmmc(String xmmc)
    {
        this.xmmc = xmmc;
    }

    public String getXmmc()
    {
        return xmmc;
    }
    public void setWbsbh(String wbsbh)
    {
        this.wbsbh = wbsbh;
    }

    public String getWbsbh()
    {
        return wbsbh;
    }
    public void setWbsxmmc(String wbsxmmc)
    {
        this.wbsxmmc = wbsxmmc;
    }

    public String getWbsxmmc()
    {
        return wbsxmmc;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setNdjf(BigDecimal ndjf)
    {
        this.ndjf = ndjf;
    }

    public BigDecimal getNdjf()
    {
        return ndjf;
    }
    public void setXmfzr(String xmfzr)
    {
        this.xmfzr = xmfzr;
    }

    public String getXmfzr()
    {
        return xmfzr;
    }
    public void setJssx(String jssx)
    {
        this.jssx = jssx;
    }

    public String getJssx()
    {
        return jssx;
    }
    public void setTbr(String tbr)
    {
        this.tbr = tbr;
    }

    public String getTbr()
    {
        return tbr;
    }
    public void setXmyjnr(String xmyjnr)
    {
        this.xmyjnr = xmyjnr;
    }

    public String getXmyjnr()
    {
        return xmyjnr;
    }
    public void setRwszygwxbfdsm(String rwszygwxbfdsm)
    {
        this.rwszygwxbfdsm = rwszygwxbfdsm;
    }

    public String getRwszygwxbfdsm()
    {
        return rwszygwxbfdsm;
    }
    public void setYfsdwxxm(String yfsdwxxm)
    {
        this.yfsdwxxm = yfsdwxxm;
    }

    public String getYfsdwxxm()
    {
        return yfsdwxxm;
    }
    public void setHtbh(String htbh)
    {
        this.htbh = htbh;
    }

    public String getHtbh()
    {
        return htbh;
    }
    public void setHtmc(String htmc)
    {
        this.htmc = htmc;
    }

    public String getHtmc()
    {
        return htmc;
    }
    public void setYxqx(String yxqx)
    {
        this.yxqx = yxqx;
    }

    public String getYxqx()
    {
        return yxqx;
    }
    public void setXsfs(String xsfs)
    {
        this.xsfs = xsfs;
    }

    public String getXsfs()
    {
        return xsfs;
    }
    public void setJsfwmb(String jsfwmb)
    {
        this.jsfwmb = jsfwmb;
    }

    public String getJsfwmb()
    {
        return jsfwmb;
    }
    public void setJsfwnr(String jsfwnr)
    {
        this.jsfwnr = jsfwnr;
    }

    public String getJsfwnr()
    {
        return jsfwnr;
    }
    public void setJsfwfs(String jsfwfs)
    {
        this.jsfwfs = jsfwfs;
    }

    public String getJsfwfs()
    {
        return jsfwfs;
    }
    public void setJsfwdjsyq(String jsfwdjsyq)
    {
        this.jsfwdjsyq = jsfwdjsyq;
    }

    public String getJsfwdjsyq()
    {
        return jsfwdjsyq;
    }
    public void setFwqx(String fwqx)
    {
        this.fwqx = fwqx;
    }

    public String getFwqx()
    {
        return fwqx;
    }
    public void setFwfy(BigDecimal fwfy)
    {
        this.fwfy = fwfy;
    }

    public BigDecimal getFwfy()
    {
        return fwfy;
    }
    public void setJfnr(String jfnr)
    {
        this.jfnr = jfnr;
    }

    public String getJfnr()
    {
        return jfnr;
    }
    public void setYdjfsj(String ydjfsj)
    {
        this.ydjfsj = ydjfsj;
    }

    public String getYdjfsj()
    {
        return ydjfsj;
    }
    public void setYdyssj(String ydyssj)
    {
        this.ydyssj = ydyssj;
    }

    public String getYdyssj()
    {
        return ydyssj;
    }
    public void setJscgdgs(String jscgdgs)
    {
        this.jscgdgs = jscgdgs;
    }

    public String getJscgdgs()
    {
        return jscgdgs;
    }
    public void setDw(String dw)
    {
        this.dw = dw;
    }

    public String getDw()
    {
        return dw;
    }
    public void setDwid(String dwid)
    {
        this.dwid = dwid;
    }

    public String getDwid()
    {
        return dwid;
    }
    public void setHtxdrid(Long htxdrid)
    {
        this.htxdrid = htxdrid;
    }

    public Long getHtxdrid()
    {
        return htxdrid;
    }
    public void setHtxdr(String htxdr)
    {
        this.htxdr = htxdr;
    }

    public String getHtxdr()
    {
        return htxdr;
    }
    public void setLxqxksrq(String lxqxksrq)
    {
        this.lxqxksrq = lxqxksrq;
    }

    public String getLxqxksrq()
    {
        return lxqxksrq;
    }
    public void setLxqxjsrq(String lxqxjsrq)
    {
        this.lxqxjsrq = lxqxjsrq;
    }

    public String getLxqxjsrq()
    {
        return lxqxjsrq;
    }
    public void setJbr(String jbr)
    {
        this.jbr = jbr;
    }

    public String getJbr()
    {
        return jbr;
    }
    public void setXzzyyjnr(String xzzyyjnr)
    {
        this.xzzyyjnr = xzzyyjnr;
    }

    public String getXzzyyjnr()
    {
        return xzzyyjnr;
    }
    public void setNwcdgzl(String nwcdgzl)
    {
        this.nwcdgzl = nwcdgzl;
    }

    public String getNwcdgzl()
    {
        return nwcdgzl;
    }
    public void setJslx(String jslx)
    {
        this.jslx = jslx;
    }

    public String getJslx()
    {
        return jslx;
    }
    public void setJsgj(String jsgj)
    {
        this.jsgj = jsgj;
    }

    public String getJsgj()
    {
        return jsgj;
    }
    public void setJszb(String jszb)
    {
        this.jszb = jszb;
    }

    public String getJszb()
    {
        return jszb;
    }
    public void setYqtjcg(String yqtjcg)
    {
        this.yqtjcg = yqtjcg;
    }

    public String getYqtjcg()
    {
        return yqtjcg;
    }
    public void setJfysmx(String jfysmx)
    {
        this.jfysmx = jfysmx;
    }

    public String getJfysmx()
    {
        return jfysmx;
    }
    public void setJdapjkhzb(String jdapjkhzb)
    {
        this.jdapjkhzb = jdapjkhzb;
    }

    public String getJdapjkhzb()
    {
        return jdapjkhzb;
    }
    public void setKtyjry(String ktyjry)
    {
        this.ktyjry = ktyjry;
    }

    public String getKtyjry()
    {
        return ktyjry;
    }
    public void setYyssj(String yyssj)
    {
        this.yyssj = yyssj;
    }

    public String getYyssj()
    {
        return yyssj;
    }
    public void setYyspwmd(String yyspwmd)
    {
        this.yyspwmd = yyspwmd;
    }

    public String getYyspwmd()
    {
        return yyspwmd;
    }
    public void setYysclgsqk(String yysclgsqk)
    {
        this.yysclgsqk = yysclgsqk;
    }

    public String getYysclgsqk()
    {
        return yysclgsqk;
    }
    public void setYyswzbgys(String yyswzbgys)
    {
        this.yyswzbgys = yyswzbgys;
    }

    public String getYyswzbgys()
    {
        return yyswzbgys;
    }
    public void setYysbgbxzl(String yysbgbxzl)
    {
        this.yysbgbxzl = yysbgbxzl;
    }

    public String getYysbgbxzl()
    {
        return yysbgbxzl;
    }
    public void setWcdzyyjgzhtyysqk(String wcdzyyjgzhtyysqk)
    {
        this.wcdzyyjgzhtyysqk = wcdzyyjgzhtyysqk;
    }

    public String getWcdzyyjgzhtyysqk()
    {
        return wcdzyyjgzhtyysqk;
    }
    public void setQddzycg(String qddzycg)
    {
        this.qddzycg = qddzycg;
    }

    public String getQddzycg()
    {
        return qddzycg;
    }
    public void setJszbwcqkhtyysqk(String jszbwcqkhtyysqk)
    {
        this.jszbwcqkhtyysqk = jszbwcqkhtyysqk;
    }

    public String getJszbwcqkhtyysqk()
    {
        return jszbwcqkhtyysqk;
    }
    public void setYyszljjqk(String yyszljjqk)
    {
        this.yyszljjqk = yyszljjqk;
    }

    public String getYyszljjqk()
    {
        return yyszljjqk;
    }
    public void setHtyyszhpj(String htyyszhpj)
    {
        this.htyyszhpj = htyyszhpj;
    }

    public String getHtyyszhpj()
    {
        return htyyszhpj;
    }
    public void setXmzsqhtyssj(String xmzsqhtyssj)
    {
        this.xmzsqhtyssj = xmzsqhtyssj;
    }

    public String getXmzsqhtyssj()
    {
        return xmzsqhtyssj;
    }
    public void setHtyssj(String htyssj)
    {
        this.htyssj = htyssj;
    }

    public String getHtyssj()
    {
        return htyssj;
    }
    public void setYswzbgys(String yswzbgys)
    {
        this.yswzbgys = yswzbgys;
    }

    public String getYswzbgys()
    {
        return yswzbgys;
    }
    public void setWcdzyyjgzhtzsysqk(String wcdzyyjgzhtzsysqk)
    {
        this.wcdzyyjgzhtzsysqk = wcdzyyjgzhtzsysqk;
    }

    public String getWcdzyyjgzhtzsysqk()
    {
        return wcdzyyjgzhtzsysqk;
    }
    public void setXcdjscggjjsjcxd(String xcdjscggjjsjcxd)
    {
        this.xcdjscggjjsjcxd = xcdjscggjjsjcxd;
    }

    public String getXcdjscggjjsjcxd()
    {
        return xcdjscggjjsjcxd;
    }
    public void setJszbwcqkhtzsysqk(String jszbwcqkhtzsysqk)
    {
        this.jszbwcqkhtzsysqk = jszbwcqkhtzsysqk;
    }

    public String getJszbwcqkhtzsysqk()
    {
        return jszbwcqkhtzsysqk;
    }
    public void setJl(String jl)
    {
        this.jl = jl;
    }

    public String getJl()
    {
        return jl;
    }
    public void setHtjjdmx(String htjjdmx)
    {
        this.htjjdmx = htjjdmx;
    }

    public String getHtjjdmx()
    {
        return htjjdmx;
    }
    public void setHtysdnr(String htysdnr)
    {
        this.htysdnr = htysdnr;
    }

    public String getHtysdnr()
    {
        return htysdnr;
    }
    public void setHtysyjnr(String htysyjnr)
    {
        this.htysyjnr = htysyjnr;
    }

    public String getHtysyjnr()
    {
        return htysyjnr;
    }
    public void setHtyszhpf(String htyszhpf)
    {
        this.htyszhpf = htyszhpf;
    }

    public String getHtyszhpf()
    {
        return htyszhpf;
    }
    public void setHtysjg(String htysjg)
    {
        this.htysjg = htysjg;
    }

    public String getHtysjg()
    {
        return htysjg;
    }
    public void setHtyszhpj(String htyszhpj)
    {
        this.htyszhpj = htyszhpj;
    }

    public String getHtyszhpj()
    {
        return htyszhpj;
    }
    public void setHtzsysqkbz(String htzsysqkbz)
    {
        this.htzsysqkbz = htzsysqkbz;
    }

    public String getHtzsysqkbz()
    {
        return htzsysqkbz;
    }
    public void setZl(String zl)
    {
        this.zl = zl;
    }

    public String getZl()
    {
        return zl;
    }
    public void setJsjrjzzq(String jsjrjzzq)
    {
        this.jsjrjzzq = jsjrjzzq;
    }

    public String getJsjrjzzq()
    {
        return jsjrjzzq;
    }
    public void setWz(String wz)
    {
        this.wz = wz;
    }

    public String getWz()
    {
        return wz;
    }
    public void setQt(String qt)
    {
        this.qt = qt;
    }

    public String getQt()
    {
        return qt;
    }
    public void setXsjd(String xsjd)
    {
        this.xsjd = xsjd;
    }

    public String getXsjd()
    {
        return xsjd;
    }
    public void setYxjd(String yxjd)
    {
        this.yxjd = yxjd;
    }

    public String getYxjd()
    {
        return yxjd;
    }
    public void setYsjd(String ysjd)
    {
        this.ysjd = ysjd;
    }

    public String getYsjd()
    {
        return ysjd;
    }
    public void setCgzlgdqk(String cgzlgdqk)
    {
        this.cgzlgdqk = cgzlgdqk;
    }

    public String getCgzlgdqk()
    {
        return cgzlgdqk;
    }
    public void setCgzlqtbgrysm(String cgzlqtbgrysm)
    {
        this.cgzlqtbgrysm = cgzlqtbgrysm;
    }

    public String getCgzlqtbgrysm()
    {
        return cgzlqtbgrysm;
    }
    public void setZlmxlxbz(String zlmxlxbz)
    {
        this.zlmxlxbz = zlmxlxbz;
    }

    public String getZlmxlxbz()
    {
        return zlmxlxbz;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("xmjb", getXmjb())
                .append("xmid", getXmid())
                .append("xmmc", getXmmc())
                .append("wbsbh", getWbsbh())
                .append("wbsxmmc", getWbsxmmc())
                .append("nd", getNd())
                .append("ndjf", getNdjf())
                .append("xmfzr", getXmfzr())
                .append("jssx", getJssx())
                .append("tbr", getTbr())
                .append("xmyjnr", getXmyjnr())
                .append("rwszygwxbfdsm", getRwszygwxbfdsm())
                .append("yfsdwxxm", getYfsdwxxm())
                .append("htbh", getHtbh())
                .append("htmc", getHtmc())
                .append("yxqx", getYxqx())
                .append("xsfs", getXsfs())
                .append("jsfwmb", getJsfwmb())
                .append("jsfwnr", getJsfwnr())
                .append("jsfwfs", getJsfwfs())
                .append("jsfwdjsyq", getJsfwdjsyq())
                .append("fwqx", getFwqx())
                .append("fwfy", getFwfy())
                .append("jfnr", getJfnr())
                .append("ydjfsj", getYdjfsj())
                .append("ydyssj", getYdyssj())
                .append("jscgdgs", getJscgdgs())
                .append("dw", getDw())
                .append("dwid", getDwid())
                .append("htxdrid", getHtxdrid())
                .append("htxdr", getHtxdr())
                .append("lxqxksrq", getLxqxksrq())
                .append("lxqxjsrq", getLxqxjsrq())
                .append("jbr", getJbr())
                .append("xzzyyjnr", getXzzyyjnr())
                .append("nwcdgzl", getNwcdgzl())
                .append("jslx", getJslx())
                .append("jsgj", getJsgj())
                .append("jszb", getJszb())
                .append("yqtjcg", getYqtjcg())
                .append("jfysmx", getJfysmx())
                .append("jdapjkhzb", getJdapjkhzb())
                .append("ktyjry", getKtyjry())
                .append("yyssj", getYyssj())
                .append("yyspwmd", getYyspwmd())
                .append("yysclgsqk", getYysclgsqk())
                .append("yyswzbgys", getYyswzbgys())
                .append("yysbgbxzl", getYysbgbxzl())
                .append("wcdzyyjgzhtyysqk", getWcdzyyjgzhtyysqk())
                .append("qddzycg", getQddzycg())
                .append("jszbwcqkhtyysqk", getJszbwcqkhtyysqk())
                .append("yyszljjqk", getYyszljjqk())
                .append("htyyszhpj", getHtyyszhpj())
                .append("xmzsqhtyssj", getXmzsqhtyssj())
                .append("htyssj", getHtyssj())
                .append("yswzbgys", getYswzbgys())
                .append("wcdzyyjgzhtzsysqk", getWcdzyyjgzhtzsysqk())
                .append("xcdjscggjjsjcxd", getXcdjscggjjsjcxd())
                .append("jszbwcqkhtzsysqk", getJszbwcqkhtzsysqk())
                .append("jl", getJl())
                .append("htjjdmx", getHtjjdmx())
                .append("htysdnr", getHtysdnr())
                .append("htysyjnr", getHtysyjnr())
                .append("htyszhpf", getHtyszhpf())
                .append("htysjg", getHtysjg())
                .append("htyszhpj", getHtyszhpj())
                .append("htzsysqkbz", getHtzsysqkbz())
                .append("zl", getZl())
                .append("jsjrjzzq", getJsjrjzzq())
                .append("wz", getWz())
                .append("qt", getQt())
                .append("xsjd", getXsjd())
                .append("yxjd", getYxjd())
                .append("ysjd", getYsjd())
                .append("cgzlgdqk", getCgzlgdqk())
                .append("cgzlqtbgrysm", getCgzlqtbgrysm())
                .append("zlmxlxbz", getZlmxlxbz())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .toString();
    }
}
