package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外协运行与验收-课题研究人员对象 outsourcing_wxyxyys_ktyjry
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class OutsourcingWxyxyysKtyjry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fid;

    /** 职责 */
    @Excel(name = "职责")
    private String zz;

    /** 姓名 */
    @Excel(name = "姓名")
    private String xm;

    /** 专业技术 */
    @Excel(name = "专业技术")
    private String zyjs;

    /** 职称 */
    @Excel(name = "职称")
    private String zc;

    /** 单位 */
    @Excel(name = "单位")
    private String dw;

    /** 承担的主要
     研究任务 */
    @Excel(name = "承担的主要研究任务")
            private String zyyjrw;

            /** 创建人 */
            @Excel(name = "创建人")
            private String created_by;

            /** 创建时间 */
            @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
            @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFid(Long fid)
    {
        this.fid = fid;
    }

    public Long getFid()
    {
        return fid;
    }
    public void setZz(String zz)
    {
        this.zz = zz;
    }

    public String getZz()
    {
        return zz;
    }
    public void setXm(String xm)
    {
        this.xm = xm;
    }

    public String getXm()
    {
        return xm;
    }
    public void setZyjs(String zyjs)
    {
        this.zyjs = zyjs;
    }

    public String getZyjs()
    {
        return zyjs;
    }
    public void setZc(String zc)
    {
        this.zc = zc;
    }

    public String getZc()
    {
        return zc;
    }
    public void setDw(String dw)
    {
        this.dw = dw;
    }

    public String getDw()
    {
        return dw;
    }
    public void setZyyjrw(String zyyjrw)
    {
        this.zyyjrw = zyyjrw;
    }

    public String getZyyjrw()
    {
        return zyyjrw;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fid", getFid())
                .append("zz", getZz())
                .append("xm", getXm())
                .append("zyjs", getZyjs())
                .append("zc", getZc())
                .append("dw", getDw())
                .append("zyyjrw", getZyyjrw())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .toString();
    }
}
