package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 外协运行与验收-项目运行情况对象 outsourcing_wxyxyys_xmyhqk
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public class OutsourcingWxyxyysXmyhqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主表id */
    @Excel(name = "主表id")
    private Long fid;

    /** 外协项目开展的实际工作 */
    @Excel(name = "外协项目开展的实际工作")
    private String wxxmkzdsjgz;

    /** 取得的阶段性成果 */
    @Excel(name = "取得的阶段性成果")
    private String qddjdxcg;

    /** 存在的问题及解决方案 */
    @Excel(name = "存在的问题及解决方案")
    private String czdwtjjjfa;

    /** 下一步工作安排 */
    @Excel(name = "下一步工作安排")
    private String xybgzap;

    /** 项目组建议 */
    @Excel(name = "项目组建议")
    private String xmzjy;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created_by;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date created_time;

    /** 更新人 */
    private String update_by;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date update_time;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFid(Long fid)
    {
        this.fid = fid;
    }

    public Long getFid()
    {
        return fid;
    }
    public void setWxxmkzdsjgz(String wxxmkzdsjgz)
    {
        this.wxxmkzdsjgz = wxxmkzdsjgz;
    }

    public String getWxxmkzdsjgz()
    {
        return wxxmkzdsjgz;
    }
    public void setQddjdxcg(String qddjdxcg)
    {
        this.qddjdxcg = qddjdxcg;
    }

    public String getQddjdxcg()
    {
        return qddjdxcg;
    }
    public void setCzdwtjjjfa(String czdwtjjjfa)
    {
        this.czdwtjjjfa = czdwtjjjfa;
    }

    public String getCzdwtjjjfa()
    {
        return czdwtjjjfa;
    }
    public void setXybgzap(String xybgzap)
    {
        this.xybgzap = xybgzap;
    }

    public String getXybgzap()
    {
        return xybgzap;
    }
    public void setXmzjy(String xmzjy)
    {
        this.xmzjy = xmzjy;
    }

    public String getXmzjy()
    {
        return xmzjy;
    }
    public void setCreated_by(String created_by)
    {
        this.created_by = created_by;
    }

    public String getCreated_by()
    {
        return created_by;
    }
    public void setCreated_time(Date created_time)
    {
        this.created_time = created_time;
    }

    public Date getCreated_time()
    {
        return created_time;
    }
    public void setUpdate_by(String update_by)
    {
        this.update_by = update_by;
    }

    public String getUpdate_by()
    {
        return update_by;
    }
    public void setUpdate_time(Date update_time)
    {
        this.update_time = update_time;
    }

    public Date getUpdate_time()
    {
        return update_time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fid", getFid())
                .append("wxxmkzdsjgz", getWxxmkzdsjgz())
                .append("qddjdxcg", getQddjdxcg())
                .append("czdwtjjjfa", getCzdwtjjjfa())
                .append("xybgzap", getXybgzap())
                .append("xmzjy", getXmzjy())
                .append("created_by", getCreated_by())
                .append("created_time", getCreated_time())
                .append("update_by", getUpdate_by())
                .append("update_time", getUpdate_time())
                .toString();
    }
}
