package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtrwsJbxx;

/**
 * 合同（任务书）项目（课题）基本信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HistoryProjectHtrwsJbxxMapper
{
    /**
     * 查询合同（任务书）项目（课题）基本信息
     *
     * @param id 合同（任务书）项目（课题）基本信息主键
     * @return 合同（任务书）项目（课题）基本信息
     */
    public HistoryProjectHtrwsJbxx selectHistoryProjectHtrwsJbxxById(Long id);

    /**
     * 查询合同（任务书）项目（课题）基本信息列表
     *
     * @param historyProjectHtrwsJbxx 合同（任务书）项目（课题）基本信息
     * @return 合同（任务书）项目（课题）基本信息集合
     */
    public List<HistoryProjectHtrwsJbxx> selectHistoryProjectHtrwsJbxxList(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx);

    /**
     * 新增合同（任务书）项目（课题）基本信息
     *
     * @param historyProjectHtrwsJbxx 合同（任务书）项目（课题）基本信息
     * @return 结果
     */
    public int insertHistoryProjectHtrwsJbxx(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx);

    /**
     * 修改合同（任务书）项目（课题）基本信息
     *
     * @param historyProjectHtrwsJbxx 合同（任务书）项目（课题）基本信息
     * @return 结果
     */
    public int updateHistoryProjectHtrwsJbxx(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx);

    /**
     * 删除合同（任务书）项目（课题）基本信息
     *
     * @param id 合同（任务书）项目（课题）基本信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtrwsJbxxById(Long id);

    /**
     * 批量删除合同（任务书）项目（课题）基本信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtrwsJbxxByIds(Long[] ids);
}
