package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtrwsJbxxNdjf;

/**
 * 合同（任务书）项目（课题）基本信息_年度经费Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HistoryProjectHtrwsJbxxNdjfMapper
{
    /**
     * 查询合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param id 合同（任务书）项目（课题）基本信息_年度经费主键
     * @return 合同（任务书）项目（课题）基本信息_年度经费
     */
    public HistoryProjectHtrwsJbxxNdjf selectHistoryProjectHtrwsJbxxNdjfById(Long id);

    /**
     * 查询合同（任务书）项目（课题）基本信息_年度经费列表
     *
     * @param historyProjectHtrwsJbxxNdjf 合同（任务书）项目（课题）基本信息_年度经费
     * @return 合同（任务书）项目（课题）基本信息_年度经费集合
     */
    public List<HistoryProjectHtrwsJbxxNdjf> selectHistoryProjectHtrwsJbxxNdjfList(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf);

    /**
     * 新增合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param historyProjectHtrwsJbxxNdjf 合同（任务书）项目（课题）基本信息_年度经费
     * @return 结果
     */
    public int insertHistoryProjectHtrwsJbxxNdjf(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf);

    /**
     * 修改合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param historyProjectHtrwsJbxxNdjf 合同（任务书）项目（课题）基本信息_年度经费
     * @return 结果
     */
    public int updateHistoryProjectHtrwsJbxxNdjf(HistoryProjectHtrwsJbxxNdjf historyProjectHtrwsJbxxNdjf);

    /**
     * 删除合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param id 合同（任务书）项目（课题）基本信息_年度经费主键
     * @return 结果
     */
    public int deleteHistoryProjectHtrwsJbxxNdjfById(Long id);

    /**
     * 批量删除合同（任务书）项目（课题）基本信息_年度经费
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtrwsJbxxNdjfByIds(Long[] ids);
}
