package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtysJbxx;

/**
 * 项目验收信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HistoryProjectHtysJbxxMapper
{
    /**
     * 查询项目验收信息
     *
     * @param id 项目验收信息主键
     * @return 项目验收信息
     */
    public HistoryProjectHtysJbxx selectHistoryProjectHtysJbxxById(Long id);

    /**
     * 查询项目验收信息列表
     *
     * @param historyProjectHtysJbxx 项目验收信息
     * @return 项目验收信息集合
     */
    public List<HistoryProjectHtysJbxx> selectHistoryProjectHtysJbxxList(HistoryProjectHtysJbxx historyProjectHtysJbxx);

    /**
     * 新增项目验收信息
     *
     * @param historyProjectHtysJbxx 项目验收信息
     * @return 结果
     */
    public int insertHistoryProjectHtysJbxx(HistoryProjectHtysJbxx historyProjectHtysJbxx);

    /**
     * 修改项目验收信息
     *
     * @param historyProjectHtysJbxx 项目验收信息
     * @return 结果
     */
    public int updateHistoryProjectHtysJbxx(HistoryProjectHtysJbxx historyProjectHtysJbxx);

    /**
     * 删除项目验收信息
     *
     * @param id 项目验收信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtysJbxxById(Long id);

    /**
     * 批量删除项目验收信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtysJbxxByIds(Long[] ids);
}
