package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtzjJbxx;

/**
 * 项目中检信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HistoryProjectHtzjJbxxMapper
{
    /**
     * 查询项目中检信息
     *
     * @param id 项目中检信息主键
     * @return 项目中检信息
     */
    public HistoryProjectHtzjJbxx selectHistoryProjectHtzjJbxxById(Long id);

    /**
     * 查询项目中检信息列表
     *
     * @param historyProjectHtzjJbxx 项目中检信息
     * @return 项目中检信息集合
     */
    public List<HistoryProjectHtzjJbxx> selectHistoryProjectHtzjJbxxList(HistoryProjectHtzjJbxx historyProjectHtzjJbxx);

    /**
     * 新增项目中检信息
     *
     * @param historyProjectHtzjJbxx 项目中检信息
     * @return 结果
     */
    public int insertHistoryProjectHtzjJbxx(HistoryProjectHtzjJbxx historyProjectHtzjJbxx);

    /**
     * 修改项目中检信息
     *
     * @param historyProjectHtzjJbxx 项目中检信息
     * @return 结果
     */
    public int updateHistoryProjectHtzjJbxx(HistoryProjectHtzjJbxx historyProjectHtzjJbxx);

    /**
     * 删除项目中检信息
     *
     * @param id 项目中检信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtzjJbxxById(Long id);

    /**
     * 批量删除项目中检信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtzjJbxxByIds(Long[] ids);
}
