package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HtjhFgsxmndjfysKmys;

/**
 * 合同计划-分公司项目年度经费预算科目Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HtjhFgsxmndjfysKmysMapper
{
    /**
     * 查询合同计划-分公司项目年度经费预算科目
     *
     * @param id 合同计划-分公司项目年度经费预算科目主键
     * @return 合同计划-分公司项目年度经费预算科目
     */
    public HtjhFgsxmndjfysKmys selectHtjhFgsxmndjfysKmysById(Long id);

    /**
     * 查询合同计划-分公司项目年度经费预算科目列表
     *
     * @param htjhFgsxmndjfysKmys 合同计划-分公司项目年度经费预算科目
     * @return 合同计划-分公司项目年度经费预算科目集合
     */
    public List<HtjhFgsxmndjfysKmys> selectHtjhFgsxmndjfysKmysList(HtjhFgsxmndjfysKmys htjhFgsxmndjfysKmys);

    /**
     * 新增合同计划-分公司项目年度经费预算科目
     *
     * @param htjhFgsxmndjfysKmys 合同计划-分公司项目年度经费预算科目
     * @return 结果
     */
    public int insertHtjhFgsxmndjfysKmys(HtjhFgsxmndjfysKmys htjhFgsxmndjfysKmys);

    /**
     * 修改合同计划-分公司项目年度经费预算科目
     *
     * @param htjhFgsxmndjfysKmys 合同计划-分公司项目年度经费预算科目
     * @return 结果
     */
    public int updateHtjhFgsxmndjfysKmys(HtjhFgsxmndjfysKmys htjhFgsxmndjfysKmys);

    /**
     * 删除合同计划-分公司项目年度经费预算科目
     *
     * @param id 合同计划-分公司项目年度经费预算科目主键
     * @return 结果
     */
    public int deleteHtjhFgsxmndjfysKmysById(Long id);

    /**
     * 批量删除合同计划-分公司项目年度经费预算科目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHtjhFgsxmndjfysKmysByIds(Long[] ids);
}
