package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.HtjhYskm;

/**
 * 合同计划-预算科目Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface HtjhYskmMapper
{
    /**
     * 查询合同计划-预算科目
     *
     * @param id 合同计划-预算科目主键
     * @return 合同计划-预算科目
     */
    public HtjhYskm selectHtjhYskmById(Long id);

    /**
     * 查询合同计划-预算科目列表
     *
     * @param htjhYskm 合同计划-预算科目
     * @return 合同计划-预算科目集合
     */
    public List<HtjhYskm> selectHtjhYskmList(HtjhYskm htjhYskm);

    /**
     * 新增合同计划-预算科目
     *
     * @param htjhYskm 合同计划-预算科目
     * @return 结果
     */
    public int insertHtjhYskm(HtjhYskm htjhYskm);

    /**
     * 修改合同计划-预算科目
     *
     * @param htjhYskm 合同计划-预算科目
     * @return 结果
     */
    public int updateHtjhYskm(HtjhYskm htjhYskm);

    /**
     * 删除合同计划-预算科目
     *
     * @param id 合同计划-预算科目主键
     * @return 结果
     */
    public int deleteHtjhYskmById(Long id);

    /**
     * 批量删除合同计划-预算科目
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHtjhYskmByIds(Long[] ids);
}
