package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.HistoryProjectHtyysJbxx;

/**
 * 预验收信息Service接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface IHistoryProjectHtyysJbxxService
{
    /**
     * 查询预验收信息
     *
     * @param id 预验收信息主键
     * @return 预验收信息
     */
    public HistoryProjectHtyysJbxx selectHistoryProjectHtyysJbxxById(Long id);

    /**
     * 查询预验收信息列表
     *
     * @param historyProjectHtyysJbxx 预验收信息
     * @return 预验收信息集合
     */
    public List<HistoryProjectHtyysJbxx> selectHistoryProjectHtyysJbxxList(HistoryProjectHtyysJbxx historyProjectHtyysJbxx);

    /**
     * 新增预验收信息
     *
     * @param historyProjectHtyysJbxx 预验收信息
     * @return 结果
     */
    public int insertHistoryProjectHtyysJbxx(HistoryProjectHtyysJbxx historyProjectHtyysJbxx);

    /**
     * 修改预验收信息
     *
     * @param historyProjectHtyysJbxx 预验收信息
     * @return 结果
     */
    public int updateHistoryProjectHtyysJbxx(HistoryProjectHtyysJbxx historyProjectHtyysJbxx);

    /**
     * 批量删除预验收信息
     *
     * @param ids 需要删除的预验收信息主键集合
     * @return 结果
     */
    public int deleteHistoryProjectHtyysJbxxByIds(Long[] ids);

    /**
     * 删除预验收信息信息
     *
     * @param id 预验收信息主键
     * @return 结果
     */
    public int deleteHistoryProjectHtyysJbxxById(Long id);
}
