package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.HtjhDqwlgsxmndjfysKmys;

/**
 * 合同计划-地球物理公司项目年度经费预算科目Service接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface IHtjhDqwlgsxmndjfysKmysService
{
    /**
     * 查询合同计划-地球物理公司项目年度经费预算科目
     *
     * @param id 合同计划-地球物理公司项目年度经费预算科目主键
     * @return 合同计划-地球物理公司项目年度经费预算科目
     */
    public HtjhDqwlgsxmndjfysKmys selectHtjhDqwlgsxmndjfysKmysById(Long id);

    /**
     * 查询合同计划-地球物理公司项目年度经费预算科目列表
     *
     * @param htjhDqwlgsxmndjfysKmys 合同计划-地球物理公司项目年度经费预算科目
     * @return 合同计划-地球物理公司项目年度经费预算科目集合
     */
    public List<HtjhDqwlgsxmndjfysKmys> selectHtjhDqwlgsxmndjfysKmysList(HtjhDqwlgsxmndjfysKmys htjhDqwlgsxmndjfysKmys);

    /**
     * 新增合同计划-地球物理公司项目年度经费预算科目
     *
     * @param htjhDqwlgsxmndjfysKmys 合同计划-地球物理公司项目年度经费预算科目
     * @return 结果
     */
    public int insertHtjhDqwlgsxmndjfysKmys(HtjhDqwlgsxmndjfysKmys htjhDqwlgsxmndjfysKmys);

    /**
     * 修改合同计划-地球物理公司项目年度经费预算科目
     *
     * @param htjhDqwlgsxmndjfysKmys 合同计划-地球物理公司项目年度经费预算科目
     * @return 结果
     */
    public int updateHtjhDqwlgsxmndjfysKmys(HtjhDqwlgsxmndjfysKmys htjhDqwlgsxmndjfysKmys);

    /**
     * 批量删除合同计划-地球物理公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-地球物理公司项目年度经费预算科目主键集合
     * @return 结果
     */
    public int deleteHtjhDqwlgsxmndjfysKmysByIds(Long[] ids);

    /**
     * 删除合同计划-地球物理公司项目年度经费预算科目信息
     *
     * @param id 合同计划-地球物理公司项目年度经费预算科目主键
     * @return 结果
     */
    public int deleteHtjhDqwlgsxmndjfysKmysById(Long id);
}
