package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OutsourcingWxyxyys;

/**
 * 外协运行与验收Service接口
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IOutsourcingWxyxyysService
{
    /**
     * 查询外协运行与验收
     *
     * @param id 外协运行与验收主键
     * @return 外协运行与验收
     */
    public OutsourcingWxyxyys selectOutsourcingWxyxyysById(Long id);

    /**
     * 查询外协运行与验收列表
     *
     * @param outsourcingWxyxyys 外协运行与验收
     * @return 外协运行与验收集合
     */
    public List<OutsourcingWxyxyys> selectOutsourcingWxyxyysList(OutsourcingWxyxyys outsourcingWxyxyys);

    /**
     * 新增外协运行与验收
     *
     * @param outsourcingWxyxyys 外协运行与验收
     * @return 结果
     */
    public int insertOutsourcingWxyxyys(OutsourcingWxyxyys outsourcingWxyxyys);

    /**
     * 修改外协运行与验收
     *
     * @param outsourcingWxyxyys 外协运行与验收
     * @return 结果
     */
    public int updateOutsourcingWxyxyys(OutsourcingWxyxyys outsourcingWxyxyys);

    /**
     * 批量删除外协运行与验收
     *
     * @param ids 需要删除的外协运行与验收主键集合
     * @return 结果
     */
    public int deleteOutsourcingWxyxyysByIds(Long[] ids);

    /**
     * 删除外协运行与验收信息
     *
     * @param id 外协运行与验收主键
     * @return 结果
     */
    public int deleteOutsourcingWxyxyysById(Long id);
}
