package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OutsourcingWxyxyysXmyhqk;

/**
 * 外协运行与验收-项目运行情况Service接口
 *
 * @author ruoyi
 * @date 2025-02-26
 */
public interface IOutsourcingWxyxyysXmyhqkService
{
    /**
     * 查询外协运行与验收-项目运行情况
     *
     * @param id 外协运行与验收-项目运行情况主键
     * @return 外协运行与验收-项目运行情况
     */
    public OutsourcingWxyxyysXmyhqk selectOutsourcingWxyxyysXmyhqkById(Long id);

    /**
     * 查询外协运行与验收-项目运行情况列表
     *
     * @param outsourcingWxyxyysXmyhqk 外协运行与验收-项目运行情况
     * @return 外协运行与验收-项目运行情况集合
     */
    public List<OutsourcingWxyxyysXmyhqk> selectOutsourcingWxyxyysXmyhqkList(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk);

    /**
     * 新增外协运行与验收-项目运行情况
     *
     * @param outsourcingWxyxyysXmyhqk 外协运行与验收-项目运行情况
     * @return 结果
     */
    public int insertOutsourcingWxyxyysXmyhqk(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk);

    /**
     * 修改外协运行与验收-项目运行情况
     *
     * @param outsourcingWxyxyysXmyhqk 外协运行与验收-项目运行情况
     * @return 结果
     */
    public int updateOutsourcingWxyxyysXmyhqk(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk);

    /**
     * 批量删除外协运行与验收-项目运行情况
     *
     * @param ids 需要删除的外协运行与验收-项目运行情况主键集合
     * @return 结果
     */
    public int deleteOutsourcingWxyxyysXmyhqkByIds(Long[] ids);

    /**
     * 删除外协运行与验收-项目运行情况信息
     *
     * @param id 外协运行与验收-项目运行情况主键
     * @return 结果
     */
    public int deleteOutsourcingWxyxyysXmyhqkById(Long id);
}
