package com.ruoyi.system.service.Impl;

        import java.util.List;
        import com.ruoyi.common.utils.DateUtils;
        import org.springframework.beans.factory.annotation.Autowired;
        import org.springframework.stereotype.Service;
        import com.ruoyi.system.mapper.ApplyprizesProjectInfoPointMapper;
        import com.ruoyi.system.domain.ApplyprizesProjectInfoPoint;
        import com.ruoyi.system.service.IApplyprizesProjectInfoPointService;

/**
 * 主要内容-创新点Service业务层处理
 *
 * @author ruoyi
 * @date 2024-11-12
 */
@Service
public class ApplyprizesProjectInfoPointServiceImpl implements IApplyprizesProjectInfoPointService
{
    @Autowired
    private ApplyprizesProjectInfoPointMapper applyprizesProjectInfoPointMapper;

    /**
     * 查询主要内容-创新点
     *
     * @param id 主要内容-创新点主键
     * @return 主要内容-创新点
     */
    @Override
    public ApplyprizesProjectInfoPoint selectApplyprizesProjectInfoPointById(Long id)
    {
        return applyprizesProjectInfoPointMapper.selectApplyprizesProjectInfoPointById(id);
    }

    /**
     * 查询主要内容-创新点列表
     *
     * @param applyprizesProjectInfoPoint 主要内容-创新点
     * @return 主要内容-创新点
     */
    @Override
    public List<ApplyprizesProjectInfoPoint> selectApplyprizesProjectInfoPointList(ApplyprizesProjectInfoPoint applyprizesProjectInfoPoint)
    {
        return applyprizesProjectInfoPointMapper.selectApplyprizesProjectInfoPointList(applyprizesProjectInfoPoint);
    }

    /**
     * 新增主要内容-创新点
     *
     * @param applyprizesProjectInfoPoint 主要内容-创新点
     * @return 结果
     */
    @Override
    public int insertApplyprizesProjectInfoPoint(ApplyprizesProjectInfoPoint applyprizesProjectInfoPoint)
    {
        return applyprizesProjectInfoPointMapper.insertApplyprizesProjectInfoPoint(applyprizesProjectInfoPoint);
    }

    /**
     * 修改主要内容-创新点
     *
     * @param applyprizesProjectInfoPoint 主要内容-创新点
     * @return 结果
     */
    @Override
    public int updateApplyprizesProjectInfoPoint(ApplyprizesProjectInfoPoint applyprizesProjectInfoPoint)
    {
        applyprizesProjectInfoPoint.setUpdateTime(DateUtils.getNowDate());
        return applyprizesProjectInfoPointMapper.updateApplyprizesProjectInfoPoint(applyprizesProjectInfoPoint);
    }

    /**
     * 批量删除主要内容-创新点
     *
     * @param ids 需要删除的主要内容-创新点主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectInfoPointByIds(Long[] ids)
    {
        return applyprizesProjectInfoPointMapper.deleteApplyprizesProjectInfoPointByIds(ids);
    }

    /**
     * 删除主要内容-创新点信息
     *
     * @param id 主要内容-创新点主键
     * @return 结果
     */
    @Override
    public int deleteApplyprizesProjectInfoPointById(Long id)
    {
        return applyprizesProjectInfoPointMapper.deleteApplyprizesProjectInfoPointById(id);
    }
}