package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ErpWbsbhJfysMapper;
import com.ruoyi.system.domain.ErpWbsbhJfys;
import com.ruoyi.system.service.IErpWbsbhJfysService;

/**
 * ERP管理-WBS编号_经费预算Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-17
 */
@Service
public class ErpWbsbhJfysServiceImpl implements IErpWbsbhJfysService
{
    @Autowired
    private ErpWbsbhJfysMapper erpWbsbhJfysMapper;

    /**
     * 查询ERP管理-WBS编号_经费预算
     *
     * @param id ERP管理-WBS编号_经费预算主键
     * @return ERP管理-WBS编号_经费预算
     */
    @Override
    public ErpWbsbhJfys selectErpWbsbhJfysById(Long id)
    {
        return erpWbsbhJfysMapper.selectErpWbsbhJfysById(id);
    }

    /**
     * 查询ERP管理-WBS编号_经费预算列表
     *
     * @param erpWbsbhJfys ERP管理-WBS编号_经费预算
     * @return ERP管理-WBS编号_经费预算
     */
    @Override
    public List<ErpWbsbhJfys> selectErpWbsbhJfysList(ErpWbsbhJfys erpWbsbhJfys)
    {
        return erpWbsbhJfysMapper.selectErpWbsbhJfysList(erpWbsbhJfys);
    }

    /**
     * 新增ERP管理-WBS编号_经费预算
     *
     * @param erpWbsbhJfys ERP管理-WBS编号_经费预算
     * @return 结果
     */
    @Override
    public int insertErpWbsbhJfys(ErpWbsbhJfys erpWbsbhJfys)
    {
        return erpWbsbhJfysMapper.insertErpWbsbhJfys(erpWbsbhJfys);
    }

    /**
     * 修改ERP管理-WBS编号_经费预算
     *
     * @param erpWbsbhJfys ERP管理-WBS编号_经费预算
     * @return 结果
     */
    @Override
    public int updateErpWbsbhJfys(ErpWbsbhJfys erpWbsbhJfys)
    {
        return erpWbsbhJfysMapper.updateErpWbsbhJfys(erpWbsbhJfys);
    }

    /**
     * 批量删除ERP管理-WBS编号_经费预算
     *
     * @param ids 需要删除的ERP管理-WBS编号_经费预算主键
     * @return 结果
     */
    @Override
    public int deleteErpWbsbhJfysByIds(Long[] ids)
    {
        return erpWbsbhJfysMapper.deleteErpWbsbhJfysByIds(ids);
    }

    /**
     * 删除ERP管理-WBS编号_经费预算信息
     *
     * @param id ERP管理-WBS编号_经费预算主键
     * @return 结果
     */
    @Override
    public int deleteErpWbsbhJfysById(Long id)
    {
        return erpWbsbhJfysMapper.deleteErpWbsbhJfysById(id);
    }
}
