package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtrwsJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtrwsJbxx;
import com.ruoyi.system.service.IHistoryProjectHtrwsJbxxService;

/**
 * 合同（任务书）项目（课题）基本信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtrwsJbxxServiceImpl implements IHistoryProjectHtrwsJbxxService
{
    @Autowired
    private HistoryProjectHtrwsJbxxMapper historyProjectHtrwsJbxxMapper;

    /**
     * 查询合同（任务书）项目（课题）基本信息
     *
     * @param id 合同（任务书）项目（课题）基本信息主键
     * @return 合同（任务书）项目（课题）基本信息
     */
    @Override
    public HistoryProjectHtrwsJbxx selectHistoryProjectHtrwsJbxxById(Long id)
    {
        return historyProjectHtrwsJbxxMapper.selectHistoryProjectHtrwsJbxxById(id);
    }

    /**
     * 查询合同（任务书）项目（课题）基本信息列表
     *
     * @param historyProjectHtrwsJbxx 合同（任务书）项目（课题）基本信息
     * @return 合同（任务书）项目（课题）基本信息
     */
    @Override
    public List<HistoryProjectHtrwsJbxx> selectHistoryProjectHtrwsJbxxList(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        return historyProjectHtrwsJbxxMapper.selectHistoryProjectHtrwsJbxxList(historyProjectHtrwsJbxx);
    }

    /**
     * 新增合同（任务书）项目（课题）基本信息
     *
     * @param historyProjectHtrwsJbxx 合同（任务书）项目（课题）基本信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtrwsJbxx(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        return historyProjectHtrwsJbxxMapper.insertHistoryProjectHtrwsJbxx(historyProjectHtrwsJbxx);
    }

    /**
     * 修改合同（任务书）项目（课题）基本信息
     *
     * @param historyProjectHtrwsJbxx 合同（任务书）项目（课题）基本信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtrwsJbxx(HistoryProjectHtrwsJbxx historyProjectHtrwsJbxx)
    {
        return historyProjectHtrwsJbxxMapper.updateHistoryProjectHtrwsJbxx(historyProjectHtrwsJbxx);
    }

    /**
     * 批量删除合同（任务书）项目（课题）基本信息
     *
     * @param ids 需要删除的合同（任务书）项目（课题）基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtrwsJbxxByIds(Long[] ids)
    {
        return historyProjectHtrwsJbxxMapper.deleteHistoryProjectHtrwsJbxxByIds(ids);
    }

    /**
     * 删除合同（任务书）项目（课题）基本信息信息
     *
     * @param id 合同（任务书）项目（课题）基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtrwsJbxxById(Long id)
    {
        return historyProjectHtrwsJbxxMapper.deleteHistoryProjectHtrwsJbxxById(id);
    }
}
