package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtwtxyJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtwtxyJbxx;
import com.ruoyi.system.service.IHistoryProjectHtwtxyJbxxService;

/**
 * 委托协议基本信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtwtxyJbxxServiceImpl implements IHistoryProjectHtwtxyJbxxService
{
    @Autowired
    private HistoryProjectHtwtxyJbxxMapper historyProjectHtwtxyJbxxMapper;

    /**
     * 查询委托协议基本信息
     *
     * @param id 委托协议基本信息主键
     * @return 委托协议基本信息
     */
    @Override
    public HistoryProjectHtwtxyJbxx selectHistoryProjectHtwtxyJbxxById(Long id)
    {
        return historyProjectHtwtxyJbxxMapper.selectHistoryProjectHtwtxyJbxxById(id);
    }

    /**
     * 查询委托协议基本信息列表
     *
     * @param historyProjectHtwtxyJbxx 委托协议基本信息
     * @return 委托协议基本信息
     */
    @Override
    public List<HistoryProjectHtwtxyJbxx> selectHistoryProjectHtwtxyJbxxList(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        return historyProjectHtwtxyJbxxMapper.selectHistoryProjectHtwtxyJbxxList(historyProjectHtwtxyJbxx);
    }

    /**
     * 新增委托协议基本信息
     *
     * @param historyProjectHtwtxyJbxx 委托协议基本信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtwtxyJbxx(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        return historyProjectHtwtxyJbxxMapper.insertHistoryProjectHtwtxyJbxx(historyProjectHtwtxyJbxx);
    }

    /**
     * 修改委托协议基本信息
     *
     * @param historyProjectHtwtxyJbxx 委托协议基本信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtwtxyJbxx(HistoryProjectHtwtxyJbxx historyProjectHtwtxyJbxx)
    {
        return historyProjectHtwtxyJbxxMapper.updateHistoryProjectHtwtxyJbxx(historyProjectHtwtxyJbxx);
    }

    /**
     * 批量删除委托协议基本信息
     *
     * @param ids 需要删除的委托协议基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtwtxyJbxxByIds(Long[] ids)
    {
        return historyProjectHtwtxyJbxxMapper.deleteHistoryProjectHtwtxyJbxxByIds(ids);
    }

    /**
     * 删除委托协议基本信息信息
     *
     * @param id 委托协议基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtwtxyJbxxById(Long id)
    {
        return historyProjectHtwtxyJbxxMapper.deleteHistoryProjectHtwtxyJbxxById(id);
    }
}
