package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtwxxmJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtwxxmJbxx;
import com.ruoyi.system.service.IHistoryProjectHtwxxmJbxxService;

/**
 * 项目（课题）外协项目基本信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtwxxmJbxxServiceImpl implements IHistoryProjectHtwxxmJbxxService
{
    @Autowired
    private HistoryProjectHtwxxmJbxxMapper historyProjectHtwxxmJbxxMapper;

    /**
     * 查询项目（课题）外协项目基本信息
     *
     * @param id 项目（课题）外协项目基本信息主键
     * @return 项目（课题）外协项目基本信息
     */
    @Override
    public HistoryProjectHtwxxmJbxx selectHistoryProjectHtwxxmJbxxById(Long id)
    {
        return historyProjectHtwxxmJbxxMapper.selectHistoryProjectHtwxxmJbxxById(id);
    }

    /**
     * 查询项目（课题）外协项目基本信息列表
     *
     * @param historyProjectHtwxxmJbxx 项目（课题）外协项目基本信息
     * @return 项目（课题）外协项目基本信息
     */
    @Override
    public List<HistoryProjectHtwxxmJbxx> selectHistoryProjectHtwxxmJbxxList(HistoryProjectHtwxxmJbxx historyProjectHtwxxmJbxx)
    {
        return historyProjectHtwxxmJbxxMapper.selectHistoryProjectHtwxxmJbxxList(historyProjectHtwxxmJbxx);
    }

    /**
     * 新增项目（课题）外协项目基本信息
     *
     * @param historyProjectHtwxxmJbxx 项目（课题）外协项目基本信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtwxxmJbxx(HistoryProjectHtwxxmJbxx historyProjectHtwxxmJbxx)
    {
        return historyProjectHtwxxmJbxxMapper.insertHistoryProjectHtwxxmJbxx(historyProjectHtwxxmJbxx);
    }

    /**
     * 修改项目（课题）外协项目基本信息
     *
     * @param historyProjectHtwxxmJbxx 项目（课题）外协项目基本信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtwxxmJbxx(HistoryProjectHtwxxmJbxx historyProjectHtwxxmJbxx)
    {
        return historyProjectHtwxxmJbxxMapper.updateHistoryProjectHtwxxmJbxx(historyProjectHtwxxmJbxx);
    }

    /**
     * 批量删除项目（课题）外协项目基本信息
     *
     * @param ids 需要删除的项目（课题）外协项目基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtwxxmJbxxByIds(Long[] ids)
    {
        return historyProjectHtwxxmJbxxMapper.deleteHistoryProjectHtwxxmJbxxByIds(ids);
    }

    /**
     * 删除项目（课题）外协项目基本信息信息
     *
     * @param id 项目（课题）外协项目基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtwxxmJbxxById(Long id)
    {
        return historyProjectHtwxxmJbxxMapper.deleteHistoryProjectHtwxxmJbxxById(id);
    }
}
