package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtysJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtysJbxx;
import com.ruoyi.system.service.IHistoryProjectHtysJbxxService;

/**
 * 项目验收信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtysJbxxServiceImpl implements IHistoryProjectHtysJbxxService
{
    @Autowired
    private HistoryProjectHtysJbxxMapper historyProjectHtysJbxxMapper;

    /**
     * 查询项目验收信息
     *
     * @param id 项目验收信息主键
     * @return 项目验收信息
     */
    @Override
    public HistoryProjectHtysJbxx selectHistoryProjectHtysJbxxById(Long id)
    {
        return historyProjectHtysJbxxMapper.selectHistoryProjectHtysJbxxById(id);
    }

    /**
     * 查询项目验收信息列表
     *
     * @param historyProjectHtysJbxx 项目验收信息
     * @return 项目验收信息
     */
    @Override
    public List<HistoryProjectHtysJbxx> selectHistoryProjectHtysJbxxList(HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        return historyProjectHtysJbxxMapper.selectHistoryProjectHtysJbxxList(historyProjectHtysJbxx);
    }

    /**
     * 新增项目验收信息
     *
     * @param historyProjectHtysJbxx 项目验收信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtysJbxx(HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        return historyProjectHtysJbxxMapper.insertHistoryProjectHtysJbxx(historyProjectHtysJbxx);
    }

    /**
     * 修改项目验收信息
     *
     * @param historyProjectHtysJbxx 项目验收信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtysJbxx(HistoryProjectHtysJbxx historyProjectHtysJbxx)
    {
        return historyProjectHtysJbxxMapper.updateHistoryProjectHtysJbxx(historyProjectHtysJbxx);
    }

    /**
     * 批量删除项目验收信息
     *
     * @param ids 需要删除的项目验收信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtysJbxxByIds(Long[] ids)
    {
        return historyProjectHtysJbxxMapper.deleteHistoryProjectHtysJbxxByIds(ids);
    }

    /**
     * 删除项目验收信息信息
     *
     * @param id 项目验收信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtysJbxxById(Long id)
    {
        return historyProjectHtysJbxxMapper.deleteHistoryProjectHtysJbxxById(id);
    }
}
