package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtzjJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtzjJbxx;
import com.ruoyi.system.service.IHistoryProjectHtzjJbxxService;

/**
 * 项目中检信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtzjJbxxServiceImpl implements IHistoryProjectHtzjJbxxService
{
    @Autowired
    private HistoryProjectHtzjJbxxMapper historyProjectHtzjJbxxMapper;

    /**
     * 查询项目中检信息
     *
     * @param id 项目中检信息主键
     * @return 项目中检信息
     */
    @Override
    public HistoryProjectHtzjJbxx selectHistoryProjectHtzjJbxxById(Long id)
    {
        return historyProjectHtzjJbxxMapper.selectHistoryProjectHtzjJbxxById(id);
    }

    /**
     * 查询项目中检信息列表
     *
     * @param historyProjectHtzjJbxx 项目中检信息
     * @return 项目中检信息
     */
    @Override
    public List<HistoryProjectHtzjJbxx> selectHistoryProjectHtzjJbxxList(HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        return historyProjectHtzjJbxxMapper.selectHistoryProjectHtzjJbxxList(historyProjectHtzjJbxx);
    }

    /**
     * 新增项目中检信息
     *
     * @param historyProjectHtzjJbxx 项目中检信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtzjJbxx(HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        return historyProjectHtzjJbxxMapper.insertHistoryProjectHtzjJbxx(historyProjectHtzjJbxx);
    }

    /**
     * 修改项目中检信息
     *
     * @param historyProjectHtzjJbxx 项目中检信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtzjJbxx(HistoryProjectHtzjJbxx historyProjectHtzjJbxx)
    {
        return historyProjectHtzjJbxxMapper.updateHistoryProjectHtzjJbxx(historyProjectHtzjJbxx);
    }

    /**
     * 批量删除项目中检信息
     *
     * @param ids 需要删除的项目中检信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtzjJbxxByIds(Long[] ids)
    {
        return historyProjectHtzjJbxxMapper.deleteHistoryProjectHtzjJbxxByIds(ids);
    }

    /**
     * 删除项目中检信息信息
     *
     * @param id 项目中检信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtzjJbxxById(Long id)
    {
        return historyProjectHtzjJbxxMapper.deleteHistoryProjectHtzjJbxxById(id);
    }
}
