package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HistoryProjectHtzscqcgJbxxMapper;
import com.ruoyi.system.domain.HistoryProjectHtzscqcgJbxx;
import com.ruoyi.system.service.IHistoryProjectHtzscqcgJbxxService;

/**
 * 项目（课题）知识产权成果基本信息Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HistoryProjectHtzscqcgJbxxServiceImpl implements IHistoryProjectHtzscqcgJbxxService
{
    @Autowired
    private HistoryProjectHtzscqcgJbxxMapper historyProjectHtzscqcgJbxxMapper;

    /**
     * 查询项目（课题）知识产权成果基本信息
     *
     * @param id 项目（课题）知识产权成果基本信息主键
     * @return 项目（课题）知识产权成果基本信息
     */
    @Override
    public HistoryProjectHtzscqcgJbxx selectHistoryProjectHtzscqcgJbxxById(Long id)
    {
        return historyProjectHtzscqcgJbxxMapper.selectHistoryProjectHtzscqcgJbxxById(id);
    }

    /**
     * 查询项目（课题）知识产权成果基本信息列表
     *
     * @param historyProjectHtzscqcgJbxx 项目（课题）知识产权成果基本信息
     * @return 项目（课题）知识产权成果基本信息
     */
    @Override
    public List<HistoryProjectHtzscqcgJbxx> selectHistoryProjectHtzscqcgJbxxList(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        return historyProjectHtzscqcgJbxxMapper.selectHistoryProjectHtzscqcgJbxxList(historyProjectHtzscqcgJbxx);
    }

    /**
     * 新增项目（课题）知识产权成果基本信息
     *
     * @param historyProjectHtzscqcgJbxx 项目（课题）知识产权成果基本信息
     * @return 结果
     */
    @Override
    public int insertHistoryProjectHtzscqcgJbxx(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        return historyProjectHtzscqcgJbxxMapper.insertHistoryProjectHtzscqcgJbxx(historyProjectHtzscqcgJbxx);
    }

    /**
     * 修改项目（课题）知识产权成果基本信息
     *
     * @param historyProjectHtzscqcgJbxx 项目（课题）知识产权成果基本信息
     * @return 结果
     */
    @Override
    public int updateHistoryProjectHtzscqcgJbxx(HistoryProjectHtzscqcgJbxx historyProjectHtzscqcgJbxx)
    {
        return historyProjectHtzscqcgJbxxMapper.updateHistoryProjectHtzscqcgJbxx(historyProjectHtzscqcgJbxx);
    }

    /**
     * 批量删除项目（课题）知识产权成果基本信息
     *
     * @param ids 需要删除的项目（课题）知识产权成果基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtzscqcgJbxxByIds(Long[] ids)
    {
        return historyProjectHtzscqcgJbxxMapper.deleteHistoryProjectHtzscqcgJbxxByIds(ids);
    }

    /**
     * 删除项目（课题）知识产权成果基本信息信息
     *
     * @param id 项目（课题）知识产权成果基本信息主键
     * @return 结果
     */
    @Override
    public int deleteHistoryProjectHtzscqcgJbxxById(Long id)
    {
        return historyProjectHtzscqcgJbxxMapper.deleteHistoryProjectHtzscqcgJbxxById(id);
    }
}
