package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhGjxmndjfysSbfmxMapper;
import com.ruoyi.system.domain.HtjhGjxmndjfysSbfmx;
import com.ruoyi.system.service.IHtjhGjxmndjfysSbfmxService;

/**
 * 合同计划-国家项目年度经费预算-设备费明细Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhGjxmndjfysSbfmxServiceImpl implements IHtjhGjxmndjfysSbfmxService
{
    @Autowired
    private HtjhGjxmndjfysSbfmxMapper htjhGjxmndjfysSbfmxMapper;

    /**
     * 查询合同计划-国家项目年度经费预算-设备费明细
     *
     * @param id 合同计划-国家项目年度经费预算-设备费明细主键
     * @return 合同计划-国家项目年度经费预算-设备费明细
     */
    @Override
    public HtjhGjxmndjfysSbfmx selectHtjhGjxmndjfysSbfmxById(Long id)
    {
        return htjhGjxmndjfysSbfmxMapper.selectHtjhGjxmndjfysSbfmxById(id);
    }

    /**
     * 查询合同计划-国家项目年度经费预算-设备费明细列表
     *
     * @param htjhGjxmndjfysSbfmx 合同计划-国家项目年度经费预算-设备费明细
     * @return 合同计划-国家项目年度经费预算-设备费明细
     */
    @Override
    public List<HtjhGjxmndjfysSbfmx> selectHtjhGjxmndjfysSbfmxList(HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        return htjhGjxmndjfysSbfmxMapper.selectHtjhGjxmndjfysSbfmxList(htjhGjxmndjfysSbfmx);
    }

    /**
     * 新增合同计划-国家项目年度经费预算-设备费明细
     *
     * @param htjhGjxmndjfysSbfmx 合同计划-国家项目年度经费预算-设备费明细
     * @return 结果
     */
    @Override
    public int insertHtjhGjxmndjfysSbfmx(HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        return htjhGjxmndjfysSbfmxMapper.insertHtjhGjxmndjfysSbfmx(htjhGjxmndjfysSbfmx);
    }

    /**
     * 修改合同计划-国家项目年度经费预算-设备费明细
     *
     * @param htjhGjxmndjfysSbfmx 合同计划-国家项目年度经费预算-设备费明细
     * @return 结果
     */
    @Override
    public int updateHtjhGjxmndjfysSbfmx(HtjhGjxmndjfysSbfmx htjhGjxmndjfysSbfmx)
    {
        return htjhGjxmndjfysSbfmxMapper.updateHtjhGjxmndjfysSbfmx(htjhGjxmndjfysSbfmx);
    }

    /**
     * 批量删除合同计划-国家项目年度经费预算-设备费明细
     *
     * @param ids 需要删除的合同计划-国家项目年度经费预算-设备费明细主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysSbfmxByIds(Long[] ids)
    {
        return htjhGjxmndjfysSbfmxMapper.deleteHtjhGjxmndjfysSbfmxByIds(ids);
    }

    /**
     * 删除合同计划-国家项目年度经费预算-设备费明细信息
     *
     * @param id 合同计划-国家项目年度经费预算-设备费明细主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysSbfmxById(Long id)
    {
        return htjhGjxmndjfysSbfmxMapper.deleteHtjhGjxmndjfysSbfmxById(id);
    }
}
