package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhGjxmndjfysMapper;
import com.ruoyi.system.domain.HtjhGjxmndjfys;
import com.ruoyi.system.service.IHtjhGjxmndjfysService;

/**
 * 合同计划-国家项目年度经费预算主Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhGjxmndjfysServiceImpl implements IHtjhGjxmndjfysService
{
    @Autowired
    private HtjhGjxmndjfysMapper htjhGjxmndjfysMapper;

    /**
     * 查询合同计划-国家项目年度经费预算主
     *
     * @param id 合同计划-国家项目年度经费预算主主键
     * @return 合同计划-国家项目年度经费预算主
     */
    @Override
    public HtjhGjxmndjfys selectHtjhGjxmndjfysById(Long id)
    {
        return htjhGjxmndjfysMapper.selectHtjhGjxmndjfysById(id);
    }

    /**
     * 查询合同计划-国家项目年度经费预算主列表
     *
     * @param htjhGjxmndjfys 合同计划-国家项目年度经费预算主
     * @return 合同计划-国家项目年度经费预算主
     */
    @Override
    public List<HtjhGjxmndjfys> selectHtjhGjxmndjfysList(HtjhGjxmndjfys htjhGjxmndjfys)
    {
        return htjhGjxmndjfysMapper.selectHtjhGjxmndjfysList(htjhGjxmndjfys);
    }

    /**
     * 新增合同计划-国家项目年度经费预算主
     *
     * @param htjhGjxmndjfys 合同计划-国家项目年度经费预算主
     * @return 结果
     */
    @Override
    public int insertHtjhGjxmndjfys(HtjhGjxmndjfys htjhGjxmndjfys)
    {
        return htjhGjxmndjfysMapper.insertHtjhGjxmndjfys(htjhGjxmndjfys);
    }

    /**
     * 修改合同计划-国家项目年度经费预算主
     *
     * @param htjhGjxmndjfys 合同计划-国家项目年度经费预算主
     * @return 结果
     */
    @Override
    public int updateHtjhGjxmndjfys(HtjhGjxmndjfys htjhGjxmndjfys)
    {
        return htjhGjxmndjfysMapper.updateHtjhGjxmndjfys(htjhGjxmndjfys);
    }

    /**
     * 批量删除合同计划-国家项目年度经费预算主
     *
     * @param ids 需要删除的合同计划-国家项目年度经费预算主主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysByIds(Long[] ids)
    {
        return htjhGjxmndjfysMapper.deleteHtjhGjxmndjfysByIds(ids);
    }

    /**
     * 删除合同计划-国家项目年度经费预算主信息
     *
     * @param id 合同计划-国家项目年度经费预算主主键
     * @return 结果
     */
    @Override
    public int deleteHtjhGjxmndjfysById(Long id)
    {
        return htjhGjxmndjfysMapper.deleteHtjhGjxmndjfysById(id);
    }
}
