package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.HtjhSygcgsxmndjfysKmysMapper;
import com.ruoyi.system.domain.HtjhSygcgsxmndjfysKmys;
import com.ruoyi.system.service.IHtjhSygcgsxmndjfysKmysService;

/**
 * 合同计划-石油工程公司项目年度经费预算科目Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-18
 */
@Service
public class HtjhSygcgsxmndjfysKmysServiceImpl implements IHtjhSygcgsxmndjfysKmysService
{
    @Autowired
    private HtjhSygcgsxmndjfysKmysMapper htjhSygcgsxmndjfysKmysMapper;

    /**
     * 查询合同计划-石油工程公司项目年度经费预算科目
     *
     * @param id 合同计划-石油工程公司项目年度经费预算科目主键
     * @return 合同计划-石油工程公司项目年度经费预算科目
     */
    @Override
    public HtjhSygcgsxmndjfysKmys selectHtjhSygcgsxmndjfysKmysById(Long id)
    {
        return htjhSygcgsxmndjfysKmysMapper.selectHtjhSygcgsxmndjfysKmysById(id);
    }

    /**
     * 查询合同计划-石油工程公司项目年度经费预算科目列表
     *
     * @param htjhSygcgsxmndjfysKmys 合同计划-石油工程公司项目年度经费预算科目
     * @return 合同计划-石油工程公司项目年度经费预算科目
     */
    @Override
    public List<HtjhSygcgsxmndjfysKmys> selectHtjhSygcgsxmndjfysKmysList(HtjhSygcgsxmndjfysKmys htjhSygcgsxmndjfysKmys)
    {
        return htjhSygcgsxmndjfysKmysMapper.selectHtjhSygcgsxmndjfysKmysList(htjhSygcgsxmndjfysKmys);
    }

    /**
     * 新增合同计划-石油工程公司项目年度经费预算科目
     *
     * @param htjhSygcgsxmndjfysKmys 合同计划-石油工程公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int insertHtjhSygcgsxmndjfysKmys(HtjhSygcgsxmndjfysKmys htjhSygcgsxmndjfysKmys)
    {
        return htjhSygcgsxmndjfysKmysMapper.insertHtjhSygcgsxmndjfysKmys(htjhSygcgsxmndjfysKmys);
    }

    /**
     * 修改合同计划-石油工程公司项目年度经费预算科目
     *
     * @param htjhSygcgsxmndjfysKmys 合同计划-石油工程公司项目年度经费预算科目
     * @return 结果
     */
    @Override
    public int updateHtjhSygcgsxmndjfysKmys(HtjhSygcgsxmndjfysKmys htjhSygcgsxmndjfysKmys)
    {
        return htjhSygcgsxmndjfysKmysMapper.updateHtjhSygcgsxmndjfysKmys(htjhSygcgsxmndjfysKmys);
    }

    /**
     * 批量删除合同计划-石油工程公司项目年度经费预算科目
     *
     * @param ids 需要删除的合同计划-石油工程公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhSygcgsxmndjfysKmysByIds(Long[] ids)
    {
        return htjhSygcgsxmndjfysKmysMapper.deleteHtjhSygcgsxmndjfysKmysByIds(ids);
    }

    /**
     * 删除合同计划-石油工程公司项目年度经费预算科目信息
     *
     * @param id 合同计划-石油工程公司项目年度经费预算科目主键
     * @return 结果
     */
    @Override
    public int deleteHtjhSygcgsxmndjfysKmysById(Long id)
    {
        return htjhSygcgsxmndjfysKmysMapper.deleteHtjhSygcgsxmndjfysKmysById(id);
    }
}
