package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.JfsyqkNddqwlgsjfsyMapper;
import com.ruoyi.system.domain.JfsyqkNddqwlgsjfsy;
import com.ruoyi.system.service.IJfsyqkNddqwlgsjfsyService;

/**
 * 经费使用情况_地球物理公司年度使用情况Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-20
 */
@Service
public class JfsyqkNddqwlgsjfsyServiceImpl implements IJfsyqkNddqwlgsjfsyService
{
    @Autowired
    private JfsyqkNddqwlgsjfsyMapper jfsyqkNddqwlgsjfsyMapper;

    /**
     * 查询经费使用情况_地球物理公司年度使用情况
     *
     * @param id 经费使用情况_地球物理公司年度使用情况主键
     * @return 经费使用情况_地球物理公司年度使用情况
     */
    @Override
    public JfsyqkNddqwlgsjfsy selectJfsyqkNddqwlgsjfsyById(Long id)
    {
        return jfsyqkNddqwlgsjfsyMapper.selectJfsyqkNddqwlgsjfsyById(id);
    }

    /**
     * 查询经费使用情况_地球物理公司年度使用情况列表
     *
     * @param jfsyqkNddqwlgsjfsy 经费使用情况_地球物理公司年度使用情况
     * @return 经费使用情况_地球物理公司年度使用情况
     */
    @Override
    public List<JfsyqkNddqwlgsjfsy> selectJfsyqkNddqwlgsjfsyList(JfsyqkNddqwlgsjfsy jfsyqkNddqwlgsjfsy)
    {
        return jfsyqkNddqwlgsjfsyMapper.selectJfsyqkNddqwlgsjfsyList(jfsyqkNddqwlgsjfsy);
    }

    /**
     * 新增经费使用情况_地球物理公司年度使用情况
     *
     * @param jfsyqkNddqwlgsjfsy 经费使用情况_地球物理公司年度使用情况
     * @return 结果
     */
    @Override
    public int insertJfsyqkNddqwlgsjfsy(JfsyqkNddqwlgsjfsy jfsyqkNddqwlgsjfsy)
    {
        return jfsyqkNddqwlgsjfsyMapper.insertJfsyqkNddqwlgsjfsy(jfsyqkNddqwlgsjfsy);
    }

    /**
     * 修改经费使用情况_地球物理公司年度使用情况
     *
     * @param jfsyqkNddqwlgsjfsy 经费使用情况_地球物理公司年度使用情况
     * @return 结果
     */
    @Override
    public int updateJfsyqkNddqwlgsjfsy(JfsyqkNddqwlgsjfsy jfsyqkNddqwlgsjfsy)
    {
        return jfsyqkNddqwlgsjfsyMapper.updateJfsyqkNddqwlgsjfsy(jfsyqkNddqwlgsjfsy);
    }

    /**
     * 批量删除经费使用情况_地球物理公司年度使用情况
     *
     * @param ids 需要删除的经费使用情况_地球物理公司年度使用情况主键
     * @return 结果
     */
    @Override
    public int deleteJfsyqkNddqwlgsjfsyByIds(Long[] ids)
    {
        return jfsyqkNddqwlgsjfsyMapper.deleteJfsyqkNddqwlgsjfsyByIds(ids);
    }

    /**
     * 删除经费使用情况_地球物理公司年度使用情况信息
     *
     * @param id 经费使用情况_地球物理公司年度使用情况主键
     * @return 结果
     */
    @Override
    public int deleteJfsyqkNddqwlgsjfsyById(Long id)
    {
        return jfsyqkNddqwlgsjfsyMapper.deleteJfsyqkNddqwlgsjfsyById(id);
    }
}
