package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingWxxspsFwszgscqkMapper;
import com.ruoyi.system.domain.OutsourcingWxxspsFwszgscqk;
import com.ruoyi.system.service.IOutsourcingWxxspsFwszgscqkService;

/**
 * 外协选商评审-服务商资格审查情况Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class OutsourcingWxxspsFwszgscqkServiceImpl implements IOutsourcingWxxspsFwszgscqkService
{
    @Autowired
    private OutsourcingWxxspsFwszgscqkMapper outsourcingWxxspsFwszgscqkMapper;

    /**
     * 查询外协选商评审-服务商资格审查情况
     *
     * @param id 外协选商评审-服务商资格审查情况主键
     * @return 外协选商评审-服务商资格审查情况
     */
    @Override
    public OutsourcingWxxspsFwszgscqk selectOutsourcingWxxspsFwszgscqkById(Long id)
    {
        return outsourcingWxxspsFwszgscqkMapper.selectOutsourcingWxxspsFwszgscqkById(id);
    }

    /**
     * 查询外协选商评审-服务商资格审查情况列表
     *
     * @param outsourcingWxxspsFwszgscqk 外协选商评审-服务商资格审查情况
     * @return 外协选商评审-服务商资格审查情况
     */
    @Override
    public List<OutsourcingWxxspsFwszgscqk> selectOutsourcingWxxspsFwszgscqkList(OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        return outsourcingWxxspsFwszgscqkMapper.selectOutsourcingWxxspsFwszgscqkList(outsourcingWxxspsFwszgscqk);
    }

    /**
     * 新增外协选商评审-服务商资格审查情况
     *
     * @param outsourcingWxxspsFwszgscqk 外协选商评审-服务商资格审查情况
     * @return 结果
     */
    @Override
    public int insertOutsourcingWxxspsFwszgscqk(OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        return outsourcingWxxspsFwszgscqkMapper.insertOutsourcingWxxspsFwszgscqk(outsourcingWxxspsFwszgscqk);
    }

    /**
     * 修改外协选商评审-服务商资格审查情况
     *
     * @param outsourcingWxxspsFwszgscqk 外协选商评审-服务商资格审查情况
     * @return 结果
     */
    @Override
    public int updateOutsourcingWxxspsFwszgscqk(OutsourcingWxxspsFwszgscqk outsourcingWxxspsFwszgscqk)
    {
        return outsourcingWxxspsFwszgscqkMapper.updateOutsourcingWxxspsFwszgscqk(outsourcingWxxspsFwszgscqk);
    }

    /**
     * 批量删除外协选商评审-服务商资格审查情况
     *
     * @param ids 需要删除的外协选商评审-服务商资格审查情况主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxxspsFwszgscqkByIds(Long[] ids)
    {
        return outsourcingWxxspsFwszgscqkMapper.deleteOutsourcingWxxspsFwszgscqkByIds(ids);
    }

    /**
     * 删除外协选商评审-服务商资格审查情况信息
     *
     * @param id 外协选商评审-服务商资格审查情况主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxxspsFwszgscqkById(Long id)
    {
        return outsourcingWxxspsFwszgscqkMapper.deleteOutsourcingWxxspsFwszgscqkById(id);
    }
}
