package com.ruoyi.system.service.Impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OutsourcingWxyxyysXmyhqkMapper;
import com.ruoyi.system.domain.OutsourcingWxyxyysXmyhqk;
import com.ruoyi.system.service.IOutsourcingWxyxyysXmyhqkService;

/**
 * 外协运行与验收-项目运行情况Service业务层处理
 *
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class OutsourcingWxyxyysXmyhqkServiceImpl implements IOutsourcingWxyxyysXmyhqkService
{
    @Autowired
    private OutsourcingWxyxyysXmyhqkMapper outsourcingWxyxyysXmyhqkMapper;

    /**
     * 查询外协运行与验收-项目运行情况
     *
     * @param id 外协运行与验收-项目运行情况主键
     * @return 外协运行与验收-项目运行情况
     */
    @Override
    public OutsourcingWxyxyysXmyhqk selectOutsourcingWxyxyysXmyhqkById(Long id)
    {
        return outsourcingWxyxyysXmyhqkMapper.selectOutsourcingWxyxyysXmyhqkById(id);
    }

    /**
     * 查询外协运行与验收-项目运行情况列表
     *
     * @param outsourcingWxyxyysXmyhqk 外协运行与验收-项目运行情况
     * @return 外协运行与验收-项目运行情况
     */
    @Override
    public List<OutsourcingWxyxyysXmyhqk> selectOutsourcingWxyxyysXmyhqkList(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {
        return outsourcingWxyxyysXmyhqkMapper.selectOutsourcingWxyxyysXmyhqkList(outsourcingWxyxyysXmyhqk);
    }

    /**
     * 新增外协运行与验收-项目运行情况
     *
     * @param outsourcingWxyxyysXmyhqk 外协运行与验收-项目运行情况
     * @return 结果
     */
    @Override
    public int insertOutsourcingWxyxyysXmyhqk(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {
        return outsourcingWxyxyysXmyhqkMapper.insertOutsourcingWxyxyysXmyhqk(outsourcingWxyxyysXmyhqk);
    }

    /**
     * 修改外协运行与验收-项目运行情况
     *
     * @param outsourcingWxyxyysXmyhqk 外协运行与验收-项目运行情况
     * @return 结果
     */
    @Override
    public int updateOutsourcingWxyxyysXmyhqk(OutsourcingWxyxyysXmyhqk outsourcingWxyxyysXmyhqk)
    {
        return outsourcingWxyxyysXmyhqkMapper.updateOutsourcingWxyxyysXmyhqk(outsourcingWxyxyysXmyhqk);
    }

    /**
     * 批量删除外协运行与验收-项目运行情况
     *
     * @param ids 需要删除的外协运行与验收-项目运行情况主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysXmyhqkByIds(Long[] ids)
    {
        return outsourcingWxyxyysXmyhqkMapper.deleteOutsourcingWxyxyysXmyhqkByIds(ids);
    }

    /**
     * 删除外协运行与验收-项目运行情况信息
     *
     * @param id 外协运行与验收-项目运行情况主键
     * @return 结果
     */
    @Override
    public int deleteOutsourcingWxyxyysXmyhqkById(Long id)
    {
        return outsourcingWxyxyysXmyhqkMapper.deleteOutsourcingWxyxyysXmyhqkById(id);
    }
}
